Title

Vector Issue Tracker - Administrator’s Guide

Configuring and Maintaining Vector Issue Tracker version 6.00


Copyright

Copyright © Vector Networks Limited, MetaQuest Software Inc. and NetSupport Limited. All rights reserved.

The information in this document is subject to change without notice and should not be construed as a commitment by Vector

Networks Limited, Vector Networks Inc., MetaQuest Software Inc. or NetSupport Limited.

Vector Networks Limited, Vector Networks Inc. MetaQuest Software Inc. and NetSupport Limited assume no responsibility for

errors in this document.

The software described in this document is supplied under a license and may be used or copied only in accordance with the terms

of such license.

PC-Duo, and its logos, are trademarks of Vector Networks Limited. MetaQuest is a trademark of MetaQuest Software Inc. All other

trademarks are the property of their respective owners.

PART NUMBER: DH500/00


Chapter 1 - Administering Issue Tracker


HelpDesk Help Center

Vector Issue Tracker Help Center

Common Tasks

Creating New Projects

Editing Fields

Creating Web Views

Generating Web Views

Automating Workflow

Setting Up Service Agreements

Getting Started

Planning an Issue Tracking System

Implementation Roadmap

Creating Projects and Generating Web Views

Managing Users, Contacts, and Groups


Creating Projects and Generating Web Views

A Vector Issue Tracker project includes:

A database of issues (and their revision histories).

A database of definitions, which includes the queries, sorts, layouts, reports, notifications, fields, and tabs available in the project.

Each project can have multiple Web-based views.

Each Web view is customized to meet the needs of a class of users. For example, employees only need to see the issues they submitted; not all the issues in the project database. On the other hand, support staff need access to all the issue information in the project database.

With Vector Issue Tracker, you can provide separate views for employees and for help desk staff. Each view is accessed through the same Web-based interface.

Views are easy to define using the Web view Editor. Just choose the queries and fields that you want users to see:

Queries determine which issues users can retrieve from the project database.

Fields determine what information users can view and modify for each issue.

To create projects and edit definitions (of fields, queries, reports, sorts, layouts, and notifications), use Issue Tracker Admin, a Windows program. Issue Tracker Web Admin is a Web-based tool that allows you to remotely edit some of the project definitions (such as tabs and choice lists).

Administering Projects and Web Views

Related Topics

Creating New Projects

Editing Fields

Defining Reports

Defining Queries

Defining Sorts

Defining Layouts

About Workflow Rules

Working with Tabs

Editing Choice Tables

Setting Up Notifications

Creating Web Views

Issue Tracker Admin

Web View Editor

Issue Tracker Web Admin


Managing Users, Contacts, and Groups

Users

All users must have a Vector Issue Tracker user account, which consists of a user name and an optional password. Use Issue Tracker Web Admin to create and manage user accounts.

Groups

By assigning users to groups, you can control:

Access to features in Issue Tracker Admin, Issue Tracker Web Admin, and Web views.

Access to projects.

Access to Web views.

Workflow permissions.

Use Issue Tracker Web Admin to create groups, edit group privileges, and assign users to groups.

Contacts

A contact is a person who reports an issue. For example, a guest from another company may report an issue with a computer while they are working on-site. In this case, the guest is the contact, and the help desk analyst who enters the report is the submitter.

Contacts

A contact is a person who is not a Vector Issue Tracker user, but who reports an issue. For example, a guest from another company may report an issue with a computer while they are working on-site. In this case, the guest is the contact, and the help desk analyst who enters the report is the submitter.

To create and manage a list of contacts, use Issue Tracker Web Admin. Web views can also include a Contact button that opens the Users and Contacts dialog. Access to this dialog from a Web view is controlled by the group permissions defined in Issue Tracker Web Admin.

Vector Issue Tracker provides a set of tools for administering projects and Web views:

Issue Tracker Admin for administering projects.

Web View Editor for defining and generating Web views for projects.

Issue Tracker Web Admin for administering projects and users through the Web.

Related Topics

Defining User Groups

Creating User Accounts

Adding and Removing Users

Defining Conditions based on User Groups

Setting Group Access Permissions for Web views

Issue Tracker Admin

Web View Editor

Issue Tracker Web Admin


Technical Support

Product Support Services

You can use the following link to get support information.

Technical Support


Issue Tracker Admin

Issue Tracker Admin is an application for administering Vector Issue Tracker projects. For example, you can use it to:

Create projects

Customize fields

Define queries, sorts, and layouts

Define reports

Define and set up e-mail notifications

To start Issue Tracker Admin:

On the Start menu, select Programs, Vector, Issue Tracker, Issue Tracker Admin.

Related Topics

Creating New Projects

Editing Fields

Defining Reports

Defining Queries

Defining Sorts

Defining Layouts


Web View Editor

Web View Editor is a Microsoft Windows application that creates Web views for your Vector Issue Tracker projects. Web views are Web-based applications that provide access to projects through a Web browser.

To start the Web View Editor from Issue Tracker Admin:

On the Tools menu, click Web and then click Web View Editor.

The Tools > Web > Web View Editor command is available only when the Web View editor is installed on the computer running Issue Tracker Admin.

To start the Web View Editor from the Start menu:

On the Start menu, select Programs, Vector, Issue Tracker, Web View Editor.

Notes

Issue Tracker Admin and Web View Editor are installed on the Web server, by default. You can install additional copies of these tools on other computers, so you can perform administration tasks locally. However, to create new Web views, you must use the editor on the Web server.

Related Topics

Creating Web Views


HelpDesk Web Admin

Issue Tracker Web Admin

Issue Tracker Web Admin is a Web-based administration tool. It allows you to perform the following administrative tasks over the Web:

Manager users and user groups, and define group privileges (access to features and projects)

Add and edit contacts

Define workflow rules

Create new tabs

Set up choice fields

Enable e-mail notifications

Migrate projects to SQL Server and move projects to different SQL Server computers

Move attachments to a different computer

To logon to Issue Tracker Web Admin, choose one of the following methods:

In your Web browser, go to //server/vitadmin, where server is the name of your Web server.

In Issue Tracker Admin, click Tools > Web > Web Admin.

At the Web server, click Start > Programs > Vector > Issue Tracker > Issue Tracker Web Admin.

Related Topics

Administering Vector Issue Tracker on the Web

Troubleshooting Issue Tracker Web Admin

About Workflow Rules

Working with Tabs

Editing Choice Tables

Setting Up Notifications

Relocating Databases to SQL Server

Relocating Attachments


Troubleshooting Issue Tracker Web Admin

If users cannot successfully relocate databases or perform other tasks with Issue Tracker Web Admin, check that there is a global group named YOURDOMAIN\CensusAdminsGroup, and that the user (especially if the user is a domain user, not a domain administrator) is a member of this group.

Issue Tracker Web Admin uses your Windows credentials to run tasks if you are a member of the CensusAdminsGroup group or the local Administrators group on the Issue Tracker Server computer. Otherwise, Issue Tracker Web Admin runs tasks as CensusUser.

Members of the CensusAdminsGroup group (or of the local Administrators group on the Issue Tracker Server computer) have the required permissions to perform any task with Issue Tracker Web Admin. The CensusUser account, on the other hand, cannot perform IIS-related tasks such as unloading virtual directories (when logging off users), and may not be able to relocate databases to other computers.

During installation, the Setup program creates the CensusAdminsGroup group and adds all members of the domain Administrators group to the CensusAdminsGroup group. Setup also adds the CensusAdminsGroup to the local Administrators group on the Issue Tracker Server computer. The purpose of the CensusAdminsGroup is to control access to Web Admin.

If Setup was unable to create the CensusAdminsGroup, you can create it manually.

For example, if you want to allow a domain user that is not a domain administrator (because domain administrators already belong to the local Admins group by default) to use the Relocation tab, you can create the CensusAdminsGroup and add the domain user to the group. This allows the domain user to perform tasks that are typically only available to local admins:

Managing SQL Server databases and physical files.

Logging off Vector Issue Tracker users (which requires permissions to control IIS).

To manually create the CensusAdminsGroup after Vector Issue Tracker is installed:

1 Create a global group named CensusAdminsGroup in the domain.

2 Add CensusAdminsGroup as a member of the local Administrators group of the Web server.

3 On the Start menu, click All Programs > Vector > Issue Tracker > Issue Tracker Tools > Set Up Global Group.


Chapter 2 - Planning and Deploying

Chapter 2 - Planning and Deploying your Installation


Planning

Before you can set up your Vector Issue Tracker system, you need to understand your business structure and have a clear idea of the process you want to implement. The following sections illustrate the sort of information required to set up a typical Vector Issue Tracker installation.

Information Recording and Tracking

What information do you want to record and track for each issue?

How do you categorize issues?

Do you want to provide different views of the issue data?

For example, do you want a summary view optimized for logging issues and categorizing problems, and a detailed view for recording things such as how the issue was resolved, and how long it took?

Do you want to be able to link issues? Vector Issue Tracker supports parent-child relationships between issues.

Workflow

What is your help desk process?

Can you represent the path of an issue through the process as a sequence of steps, or decisions, such as New, Assigned, Verified, Resolved?

Do you want to enforce this workflow process?

Who needs permission to make decisions? Who is responsible for carrying out each step in the process?

Do you need e-mail notifications to enforce ownership and accountability? When issues are submitted or resolved, who needs to be alerted?

Roles and Responsibilities

What are the different roles and responsibilities of the people that use Vector Issue Tracker? Can you identify different groups of users?

Do different groups have different requirements of the issue tracking system? Do you need to restrict access to the system based on group membership?

For example, you probably want to restrict most users to the ability to submit and track issues. Support staff, on the other hand, require greater access to the system.

Do you need to manage and coordinate work teams? Vector Issue Tracker allows you to define work teams and the assign issues to them rather than a specific individual.

Related Topics

Implementation Roadmap

Creating a New Project

Customizing Fields

Creating Groups and Granting Permissions

Managing Work Teams

Creating User Accounts

Generating Web Views

Setting Up Notifications


Implementation Roadmap

This roadmap outlines the major steps in implementing an issue tracking system. Performing the steps in the sequence recommended here save time and simplify the process.

Step 1. Create a project

A project defines the fields, queries, sorts, layouts, and reports that you see in a Web view.

1 Create a new project.

2 Customize the fields in the project.

3 Edit and define the queries, reports, sorts, and layouts to match the set of fields defined in the project.

Step 2. Define user groups and create user accounts

1 Define user groups and set group permissions to control access to data and administrative features.

2 Create user accounts so people can log on. You can either import user accounts from Active Directory (or from a Windows domain), or create user accounts in Vector Issue Tracker.

3 Assign users to groups.

4 Define work teams and assign users to work teams.

Step 3. Define and generate Web views

After you generate and test your Web views, you can perform more advanced customizations, such as defining workflow and notifications.

Step 4. Define field dependencies (optional)

Use the workflow editor in Issue Tracker Web Admin to make the possible values in one choice list depend on the choice selected from another list.

You can apply changes made in the workflow editor without regenerating the Web view.

Step 5. Define a workflow (optional)

Use the workflow editor in Issue Tracker Web Admin to define workflow rules to emulate your process. For example, you can enforce a sequence of steps by controlling the possible values of the Progress field.

You can also define rules that set the value of a field when another field changes. For example, you can define rules that assign an owner based on the problem area:

When (Problem Area = Outlook), then set this value: (Owner = Resident Outlook Wiz).

Step 6. Define Service Level Agreements

A service agreement is an agreement between the help desk and users. The service agreement defines a required level of service for the users.

A service agreements can be with individual users (contacts), with all users in a department, or all users in a company.

A service level is a guarantee of a certain level of service. For example, a basic service level may provide 9-to-5 service during the regular working week, while a more comprehensive service level might provide 24 hour service, 7 days a week.

Each service level has its own hours of service, target response and closure times for issues, and escalation rules.

Step 7. Import existing data (optional)

After you finalize the set of fields in a project, you can import information from existing databases.

Step 8. Define and set up notifications

You can define and set up notifications after you generate your Web views, but you should do this before people start using the Web views to submit issues.

Step 9. Go live

Make your Web views available for general use.

Step 10. System maintenance (ongoing)

You should regularly backup your projects, databases, Web views, and other system files.

You should also run the Repair and Compact utility (in the Tools menu of Issue Tracker Admin) on a regular basis. Compacting Microsoft Access databases and files often is the best preventive maintenance.

Related Topics

Creating New Projects

Editing Fields

Defining Reports

Defining Queries

Defining Sorts

Defining Layouts

Importing User Accounts

Defining User Groups

Creating User Accounts

Users: Changing Group Membership

Groups: Adding and Removing Users

Assigning Users to Work Teams

Creating Web Views

About Workflow Rules

Defining a Workflow

Importing Issues

Defining Notifications

Pointing Users to Web Views

Backing Up

About the Repair and Compact Tool


Creating a Project

A project defines everything you see in a Web view: the fields, queries, reports, sorts, and layouts.

How Many Projects Do You Need?

Each project has its own issue database.

For example, you can record different types of issue in separate databases by creating separate projects. Separate projects mean smaller databases and better performance. They also mean you can customize the fields, queries, sorts, layouts, and reports, so you can simplify your Web Views.

However, tracking issues in separate projects has some disadvantages:

You cannot generate reports across all projects.

You cannot create a single view that covers all projects.

You cannot link items from different projects

People who work with all three types of issue can find that separate projects are inefficient and time-consuming.

Choosing a Base Project

A base project serves as a starting point for a new project. The new project inherits the fields defined in the base project, and can optionally inherit the styles (queries, reports, sorts, layouts, and notifications) and Web views as well.

Vector Issue Tracker includes a default Issue Tracker project you can use as the base project. Before you create a new project based on Issue Tracker, you should familiarize yourself with the fields included in Issue Tracker, and understand what you can and cannot do when customizing fields.

Designed for use in development projects, Issue Tracker allows you to record and track project-related tasks, feature and enhancement requests, user suggestions, and change notices.

Issue Tracker includes over 60 fields, along with a complete set of reports, queries, sorts, layouts, and notifications based on those fields. Some of the default fields cannot be deleted, so even if you don’t use these fields, they take up extra space in your database.

Before you delete a field, you must remove it from any report, query, sort, layout, or notification that references it. Deleting unused fields helps minimize the size of your database.


Customizing Fields

You can edit and delete most fields in Vector Issue Tracker. For example, if a field is the right data type and size, but has the wrong caption, you can change the caption. Similarly, you can replace some or all of the entries in choice lists.

Before customizing a project, you should familiarize with the fields, and determine:

Which of the existing fields you can use as is, or by changing the label, choice table, or tab

Which fields you need to add

Which the existing fields you want to delete

You should also familiarize yourself with what you can and cannot do when editing fields.

You Can:

Add new fields.

Change field labels.

Change the list of choices for a choice list and update the queries that test the choice values.

If you change the Progress choice list, you should either disable or update the default workflow rules because the default workflow is based on this list.

Delete most fields.

To delete a field, you must first remove it from any queries, sorts, layouts, reports, and notification that use the field.

Before you delete a field, go through the different queries, sorts, layouts, reports, and notification conditions and either remove the field or delete the style.

Create linked choice lists so that the contents of one list depends on a selection in another list.

Move fields between tabs.

Change tab names, and reorder the tabs.

Disable fields (make read-only) either for all users or for specific user groups.

Hide fields. Note that when you hide a field, it is hidden in all Web views.

You Cannot:

Change field types.

For example, you cannot change a single choice field into a multi-choice field, or a Number field into a Text field.

Change the field size.

For example, you cannot change the size of a text box from 20 to 30.

Delete certain fields. Some fields, such as Owner, State, and Progress, cannot be deleted.

When you generate a Web view, you can choose not to include specific fields. So even if you cannot delete them, you can remove them from all views. Of course, the fields still take up space in your database.

Use multi-choice lists in workflow rules.

Use multi-choice lists in formulas, charts, or cross-tabs when building custom reports with Crystal Reports.

Notes

If you need to change the type or the size of a field, the best thing to do is to copy the field and delete the original. When you copy a field, you can edit its type and size. Note that copying a field does not copy the stored data, and deleting a field destroys any stored data.

What Happens to Styles

Styles such as queries and reports are based on fields. For the most part, Issue Tracker Admin automatically updates styles when you customize the fields, but there are some exceptions.

When you add a new field, you need to add it to the following reports:

Current Issue - Detailed

Used to print the current issue in a Web view.

Notification - Detailed Record, Notification - Summary

Used to format the contents or attachments to e-mail notification messages.

Notes

In a Web view, these reports show only the fields exported to the view.

When you rename a field

When you change the label appearing on choice lists, Issue Tracker Admin automatically updates any reports and layouts that use the field name as a title.

If you change just the Field Caption label, Issue Tracker Admin does not update any reports and layouts that use the field name as a title.

If you rename a field such as the Progress field, you may want to rename any sorts, queries, and layouts whose names are based on the name of the field.

When you edit a choice list

If you delete a choice from a choice table (for example, Assigned from tblSubstate, the Progress choice table), then you have to update any queries that test the choice value. The same is true if you change the choice text (for example, from Assigned to Started).

You may also have to update custom reports that use the choice list. For example, when you change the choice text, custom reports that use a specified sort order add the new choice to the Others category.

You should also check the workflow rules if you edit the Progress choice list.

When you delete a field

Custom reports that use the deleted field do not display properly. For example, if a custom report uses the field for calculations, or as a chart axis, then deleting the field invalidates the report. In many cases the report still works, but the data does not make sense.

Related Topics

Editing Fields with the Field Editor

Editing Field Attributes in the Web View Editor

Planning


Creating Groups and Granting Permissions

Groups enable you to restrict access to Web views or administrative features. Typically, groups match the different roles in a process. For example, if you have separate groups for employees and help desk staff, you can prevent employees from opening the same Web views used by the help desk staff.

Vector Issue Tracker includes several built-in groups that cannot be deleted: Users, Admins, and Guests. It also includes several sample groups that reflect basic help desk roles: Employees, Issue Tracker-Analysts, and Issue Tracker-GroupLeads.

If a help desk analyst is responsible for administering the your system, you can make the analyst a member of both Issue Tracker-Analysts and Admins. As a member of Admins, the analyst has full access to all administrative features.

You can have several different admin-type groups, with each group providing a different level of access to administrative capabilities. For example, a basic admin group could allow members to create new user accounts and update contact information, while other admin groups could:

Create fields, edit choice lists, rename tabs, change workflow.

Create reports, queries, sorts, and layouts, define notifications.

Create projects, delete records, perform database maintenance, set up notifications.

About the Built-in Groups

Users

All users are automatically members of the Users group. You cannot remove users from this group, or delete it. Permissions granted to this group apply to all users, and cannot be overridden.

Admins

Members of the Admin group have complete access to all projects and administrative features. You cannot disable features or projects for the Admins group.

Guests

The Guests group is intended for users who are not full-time employees, such as customers or visitors from other companies.

Features

Features allow you to control:

Who can use the Ad-hoc Query Editor, generate reports, update contact information, view revision histories, or change their password in a Web view.

Who can log on to Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor.

Who can use certain tools in Issue Tracker Admin and Issue Tracker Web Admin. For example, who can edit workflow rules in Issue Tracker Web Admin, and who can create reports or edit fields in Issue Tracker Admin.

Projects

When you create a project, you specify which groups can open the project. Groups allowed to open a project can:

Log on to Web views of the project (if they also have permission to open the view).

Edit the project in Issue Tracker Admin.

Edit views of that project in Web View Editor, or generate new views of that project.

Admins can always open a project. Instead of allowing Users to open a project, you should allow specific groups. That way you can grant access permissions to views on a group-by-group basis in the Web View Editor.

Views

Groups allowed to open a view can log on to the view. A group must be allowed to open the project before it can be allowed to open a view.

Remember that if members of the Users group are allowed to open the view, then any user can open the view.

Related Topics

Defining User Groups

Enabling and Disabling Features

Enabling and Disabling Projects

Setting Group Access Permissions for Web Views


User Accounts

User accounts provide basic logon security. Vector Issue Tracker supports the following types of account:

Vector Issue Tracker user accounts.

Active Directory user accounts.

Windows NT user accounts.

The authentication method used for each user is specified in Issue Tracker Web Admin.

A user account must is required to access Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor. Users must also log on to access Web Views unless they use a submit-only view.

Submit-only Views

A submit-only view allows an unlimited number of users to enter issues from a single user account. All users automatically log on to the view with this account (in fact, the users never see the logon window, they go straight to the view).

This user account must belong to a group that has permission to open the Web view, and to add and update contacts. The account is used to set the Submitter field.

Users submitting issues by this method are recorded as the contact. They must enter the required contact information (name, e-mail, and so on) the first time they submit an issue.

Importing User Accounts from Windows

You can import accounts from an Active Directory domain or from a Windows NT domain. Vector Issue Tracker includes a User Account Manager wizard to help you import user accounts.

You can also schedule imports to keep Vector Issue Tracker synchronized with Active Directory (or Windows domains).

Predefined User Accounts

Vector Issue Tracker includes several built-in users: demo, guest, and admin. It also includes sample users that reflect basic help desk roles. You can disable most of these accounts in Issue Tracker Web Admin. The admin account cannot be disabled, so you should change the admin password.

Disabled user accounts are still listed in the Contact, Owner, and Submitter lists. You must edit the project database files to delete the users from the database, or to remove them from the choice lists.

Related Topics

Importing User Accounts

Creating User Accounts

Users: Changing Group Membership

Groups: Adding and Removing Users

Hiding Users in Projects


Generating Web Views

Parent-child relationships between issues?

You can add a Child Issues tab to a Web view to allow users to link one or more child issues to a parent issue. For example:

If you have several bugs that are all symptoms of the same problem, you can make those bugs the children of the main, parent bug for the problem.

If a task consists of a number of sub-tasks, the sub-task issues can be children of the main task.

If a bug is present in multiple branches of your code, you can create a child issue for each code branch.

By default, the parent issue controls the substate of the child issues. For example, when a user changes the substate of the parent to Fixed, the children are also marked Fixed. If you want the substate of a child issue to be independent from the substate of the parent issue, you must export the Substate controlled by parent field.

Customized files from the base project?

New projects automatically inherit the customized Web view files of the base project including any custom reports.

When you create a new project, everything in:

CUSTOMIZEDFILES\#Project#<base-project>\

is copied to:

CUSTOMIZEDFILES\#Project#<your-project>\

What if you don’t export a field?

Queries

If you don’t export a field, don’t export queries that reference the field. The query won’t work.

For example, suppose you don’t export the Owner field, but you do export a query like My Open Issues, which tests the value of the Owner field. When a user tries to run the query, the user gets a message saying that the query could not be completed and the view is rolling back to the previous query.

If the query is the default query for the view, users get a more informative message when they log on.

Layouts

Layouts do not include fields that are not exported.

Sorts

Sorts default to sorting by issue number if a field is missing.

Listing Reports

Listing reports (such as the Current Issue - Detailed report, which is used by the Print button) include only the fields exported to the view.

Custom Reports

Like listing reports, custom reports include only the fields exported to the view. However, unlike listing reports, custom reports do not always handle missing fields properly.

For example, if the Owner field is not exported, then, instead of showing owner names along one axis of a chart, the report may show the summary descriptions or the priority values. What the report shows depends on the order of the fields in the report definition (if a field is missing, the next one in the definition is used).

Should you automatically update choice lists?

If you expect to frequently update a choice list, set the Automatically Update List attribute to Yes. This means you won’t have to regenerate the Web view every time you update the list because the view checks for updates each time a user logs on.

By default, only the Contact, Owner, and Submitter choice lists are automatically updated.

Automatically updating a large number of choice lists may affect performance. You should automatically update only the choice lists that you plan to frequently change.

Changing field labels

To change field labels, set the Caption attribute in the Web View Editor. This allows you to override the label specified in the project.

The Caption attribute only changes the label in the HTML form. Everywhere else in the Web view (such as in reports and the Ad-hoc Query Editor), the label defined in the project is used.

When do you have to regenerate?

When you:

Add a new field or query to a project. Remember to move the new field or query to the Export to View list before you generate.

Change a choice list (for example, add a new choice, or change the text of a choice), unless Automatically Update List is set to Yes.

When you change any of the attributes for a field (such as when you set Automatically Update List to Yes).

You don’t have to regenerate when you:

Change the definition of a query, sort, or layout.

Define new sorts and layouts. All sorts and layouts are automatically exported to views of the project.

Create or edit reports.

Add a group to, or remove from, the list of groups allowed to open the view. You just have to save the view.

Enable or disable features.

Notes

Web view users must exit and log back on to see the changes.

How to control the layout of fields

The order of the fields in the Export to View list determines the order in which they are laid out in the two columns of the HTML form. For example, here’s how the first six fields in the Export to View list would be arranged, if:

None of the first five fields are Memo fields.

Field 3 has Column Span = 2.

Field 6 is a Memo field and has Column Span = 2 and CSS Class = MemoFieldWidth. (Memo fields automatically have Column Span set to 2 and CSS Class = MemoFieldWidth.)

In this example, fields 1 through 5 have the CSS Class set to either ComboBoxWidth or TextBoxWidth. You can change the default widths by editing the CSS classes in CensusMain.css.

Related Topics

Creating and Generating Web Views

Automatically Updating Choice Lists

Adding the Child Issues Tab

Changing Field Captions

Setting Field Labels

Spanning Columns

Applying CSS Styles

Planning


Setting Up Notifications

Notifications allow you to alert users when issues are updated. For example, you can:

Notify analysts and developers when issues are assigned to them.

Notify support staff when employees update an issue.

Notify employees and customers when issues are resolved.

Use notifications to alert users to changes to critical fields such as Owner, Progress, and Priority. Defining too many update notifications can overwhelm users with e-mail, resulting in users missing important notifications.

Related Topics

Planning

Defining Notifications


Chapter 3 - Projects


What is a Project?

In Vector Issue Tracker, projects are used to keep issues in separate databases. How you organize your projects is up to you. You can have one project for tracking all issues, or you can have several projects. To create and manage projects, use Issue Tracker Admin .

A project includes:

A database of issues and their revision histories, attachments, Service Level Agreements and e-mails.

A set of project-specific definitions, which include styles (queries, sorts, layouts, reports, and report pages), the fields, e-mail templates, choice lists and notification definitions. These definitions are shared by all users of a project.

Project Structure

Related Topics

Creating New Projects

Copying Definitions and Styles

Building a Project Template

Deleting Projects

Relocating Databases to SQL Server

Relocating Attachments

Editing Project Properties


Creating New Projects

Creating Projects

Typically, you start a new project because you want to start tracking issues in a new database. However, there are other reasons for creating a new project. For example, you may want to:

Build a template project and use it as a base for all other projects.

Break a large project into several smaller projects.

New projects are always based on an existing project. When you create a new project, you can copy the issues, styles, notifications, Web views and the fields from the base project.

To create a project:

1 Start Issue Tracker Admin, and click New Project in the File menu.

2 In the Project Name box, type the name of the new project.

3 In the Base Project list, click the project you want to use as a template for the new project.

4 In the Groups Allowed to Open Project, click the user groups that are allowed to access the project through Issue Tracker Admin, Issue Tracker Web Admin, the Web View Editor, or Web views.

Note that access to individual Vector Issue Tracker components can be selectively disabled. For example, a group can have access to Web views of a project, but no access to Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor.

5 Under Global Styles and Notifications:

Click None to create a project with no queries, sorts, layouts, reports, or notifications. Only the fields are copied from the base project.

Click Copy from the Base Project to copy the definitions of fields, queries, sorts, layouts, reports, and notifications to the new project.

If you are creating your first project, we recommend you use one of the sample projects that come with Vector Issue Tracker as the base project. Copy the styles and notifications, but do not copy the issues and revision history. Also, read Building a Project Template before you start tracking issues.

6 If you want to copy the issues from the base project, click the Copy issues and revision history from base project check box.

7 If you don’t want to copy the Web views from the base project, clear the Copy Web views from the base project check box.

Copying Web views from the base project can save time. For example, copying the Web views from Issue Tracker means you don't have to manually set up timestamping in a new Web view.

Related Topics

What is a Project?

Copying and Sharing Definitions

Building a Project Template

Deleting Projects

Relocating Databases to SQL Server

Relocating Attachments

Editing Project Properties


Copying Definitions and Styles

A new project is always based on an existing project. The new project can start empty or take a copy of the styles, notifications, and fields in the base project. In the New Project dialog, select the option that corresponds to what you want to do with the new project:

None

Clear the styles and notifications so you can build your own. Copy the fields from the base project and use it as a starting point.

Copy from the Base Project

Copy the styles, notifications, and fields from the base project and use them as a starting point, or template, for the new project. This is the suggested way.

Why copy styles and notifications?

Copying styles and notifications allows you to configure your new project faster by making changes on existing styles instead of creating them from scratch. For example, a new report may be very similar to a report that exists in the base project, with the only difference being that you need to add or replace new fields that only exist in the new project. In this case, it is faster to copy the styles, and therefore the reports, from the base project and then create the new fields and update the report in the new project.

Related Topics

Creating New Projects

Building a Project Template


Building a Project Template

Before you start using Vector Issue Tracker to track issues, you should build a project template. A project template is a project that acts as the base for all new projects. The project template contains styles and definitions common to all projects.

For example, a project template can define a standard set of queries, reports, and notifications. In addition, a project template can include a set of fields customized to match your company's process and terminology.

Using a project template allows you to reuse custom styles, notifications, and fields. Each new project can copy the styles and definitions from the project template.

Before you build a project template, you must evaluate your issue tracking and reporting requirements. For example, you should decide:

Which custom fields and choice lists are required.

Which standard queries and reports you want in each project.

Which notifications are needed to the workflow in your process.

To build the actual project template, create a new project based on the Issue Tracker project, then customize the issue fields and define the custom styles and notifications you need.

Related Topics

What is a Project?

Creating New Projects

Copying Definitions and Styles


Deleting Projects

To delete a project:

1 In Issue Tracker Admin, click a project in the Project list.

2 On the File menu, click Delete Project.

Related Topics

What is a Project?

Creating New Projects


Editing Project Properties

The project properties are displayed when you click a project in the Project list.

Project Location

Location of the project files, which includes the definitions database.

Definitions Database

The name of the project definitions database. The definitions database contains the definitions of the fields, queries, sorts, layouts, reports, and notifications for the project.

Database Engine

Specifies whether the project uses Microsoft Access or SQL Server for the issue database.

Groups Allowed to Open Project

List of user groups that are allowed to open the project. Groups allowed to open a project can:

Log on to Web views of the project (if they also have permission to open the views).

Edit the project in Issue Tracker Admin (depending on what features are enabled for the group).

Edit views of that project in Web View Editor, or generate new views of that project.

If the Users group is allowed to open the project, then all groups can open the project. The Admins group is always allowed to open projects.

Current Users

Displays the users currently logged on to Web views of the project.

Name

Logon name of the user.

Date/Time

Date and time that the user logged on.

Workstation

The user’s IP address or computer name.

Project

The user is logged on to a Web view of this project.

Virtual Directory

The virtual directory is the final part of the URL used to access the Web view. For example, if the virtual directory is named vit, then the URL is http://server/vit.

Virtual directories such as vit00, vit01, and vit02 are all accessed through the //server/vit URL.

Application

This is always Web View. The Logons Editor also lists the Web View Editor and Web Admin.

Related Topics

Relocating Databases to SQL Server

Relocating Attachments


Change Management Project

Managing Change through the Change Management Project

Vector Issue Tracker allows you to manage change throughout the organisation utilising the ChangeMgmt Project provided out of the box.

The ChangeMgmt project allows you manage Change requests throughout the organisation, following the guidelines set out by ITIL. From the initial change request, through to the completion, all changes and steps are managed and dictated via the Workflows, following ITIL conventions, specified within the project, ensuring that all stakeholders in the change management process are appropriately involved in identifying the need for change, planning and executing the change.

A change can be anything from a bug fix to be rolled out to a selection or estate of PCs, to a major configuration change, right through to a complete platform rollout. All linked to HelpDesk tickets, Incidents Management and Problem Management, hence providing a holistic view of IT service operations.


Chapter 4 - Editing Fields


About the Field Editor

Before you start recording and tracking issues, you probably need to customize some of the fields used to collect and display information. For example, the Problem Area and Priority fields should list choices that correspond to your organization's terminology and environment.

You may want to delete unused fields, add new fields to track additional information, or add new tabs. For example, you may want to add a tab for hardware configuration details.

Issue Tracker Admin provides a Field Editor for editing fields. To open this editor, click Field Editor on the Project menu. The Field Editor allows you to edit field definitions, but to export fields to Web views use the Web View Editor.

Editing Fields

Click a field in the Field list to edit, copy, rename, or delete the field. The Field list contains all the fields defined in the project.

The buttons beside the Field list allow you to create new fields or copy, delete, or edit the selected field.

Destination Tab

Tabs allow you to group sets of related fields.

Labels

A field has two labels. One label is the field name, which appears in choice lists such as the Field list in any of the Issue Tracker Admin editors. The other label is the caption that appears beside the field in a Web view.

Data

Under Data, you specify what type of input the field accepts: text, dates, times, numbers, yes/no values, or choices from a list.

The choices displayed in a choice list field are defined in a choice table. To edit and create choice tables, click the browse [image] button adjacent to the Table Containing Choices list.

Field Is

The Field Is check boxes give you control over how the field behaves in a Web view. Required fields cannot be left blank. Visible fields appear in a Web view, instead of being hidden. Enabled fields accept user input, while disabled fields are read-only (they display data but do not accept user input).

The Read-Only For list specifies which user groups cannot edit the field.

Show in Choice Lists

This check box controls whether you can use the field to build queries, reports, and other styles.

Maintain Revision History

This check box controls whether Vector Issue Tracker tracks revisions to the field, and whether you can use the field for update notifications (update notifications are generated when the value of a field changes).

Applying Changes

To apply changes to fields, Issue Tracker Admin must log off the users who are logged on to Web views of the project.

Related Topics

Customizing Fields

Setting Default Values for Fields

Adding Fields

Editing Choice Lists

Removing Fields

Working with Tabs


About Adding Fields

You can add fields to any of the tabs. New fields are automatically available in all Vector Issue Tracker editors, such as the Query Editor and Report Editor.

New fields are not automatically exported to Web views. You must use the Web View Editor to export the fields and regenerate the Web views.

To use a field as a starting point for a new field, click an entry in the Field list and click [image].

Related Topics

Customizing Fields

Setting Default Values for Fields

Generating Web Views

About the Field Editor

Adding New Fields to Reports

Making Fields Required

Making Fields Read-Only

Using Fields to Define Styles

Tracking Changes

Choosing a Destination Tab

Setting Field Labels

Choosing a Field Type

Setting the Field Size

Removing Fields

Working with Tabs

Exporting Fields


Adding New Fields to Reports

Adding Fields to Reports

When you add new fields, you must update the reports that Vector Issue Tracker uses to print issues and to format notifications:

Current Issue - Detailed prints the current issue in a Web view.

Notification - Detailed Record and Notification - Summary formats the contents or attachments of e-mail notifications.

Related Topic

Customizing Fields

Adding Fields

Specifying Notification Contents


Making Fields Required

By default, users can leave the Web view fields blank when they submit an issue. To force users to complete a field before saving an issue, click the Required check box. The field label is highlighted in Web views to show that it is mandatory.

Related Topics

Adding Fields

Making Fields Read-Only

Making Fields Required Per View


Making Fields Read-Only

To make a field read-only for all users, clear the Enabled check box.

To make a field read-only for a specific user group, click the Enabled check box, and then click the group in the Read-Only For list.

Related Topics

Displaying Read-Only Fields

Making Fields Read-Only Per View

Adding Fields


Using Fields to Define Styles

If you don't need to use a field to build queries, sorts, layouts, reports, or notifications, clear the Show in Choice Lists check box. This removes the field from the Field lists of editors, such as the Query Editor and the Ad-hoc Query Editor of a Web view.

For example, the Attachments field is not needed for queries, sorts, layouts, reports, or notifications. How often would you expect users to search for or sort issues based on the files attached to an issue?

Related Topics

Customizing Fields

Adding Fields


Tracking Changes

If you don't want to track changes to a field, clear the Maintain Revision History check box. Vector Issue Tracker doesn’t update the revision history when a user changes the field.

For a memo field, Vector Issue Tracker doesn’t track the changes to the field value. Instead, it marks the field as modified.

Notes

To send notifications when a field is updated, select the field's Maintain Revision History check box.

Related Topics

Adding Fields

Sending Notifications of Field Update


Choosing a Destination Tab

The Destination Tab specifies the tab to which the new field is added.

Fields added to the Contact tab are read-only (visible but not enabled). These fields are also added to the Users and Contact page in Issue Tracker Web Admin, which is where you enter data into the fields.

Related Topics

Adding Fields

Working with Tabs


Setting Field Labels

Field Caption is the label displayed by the field in a Web view. You can override this label in the Web View Editor by setting the Caption attribute.

Choice Lists is the label that appears in any choice list that allows a user to choose a field (for example, in the Field list of the Ad-hoc Query editor of a Web view). To change this label, click [image] to rename the field.

Related Topics

Adding Fields

Changing Field Captions


Choosing a Field Type

Currency, Date, Number, Text, and Time

These are text entry fields. Vector Issue Tracker validates the text entered in these field types, and displays a warning if users enter invalid characters or uses the wrong format.

For example, Number fields accept only numeric values, and Currency, Date, and Time fields require the input values to follow the Windows Regional Settings.

Memo

A Memo field is a text field that allows a large amount of characters to be input.

Single Choice and Multi Choice

These fields are drop-down choice lists. Choice lists present fixed lists of choices to the user. Multi Choice fields allow a user to select one or more choices.

Yes/No

This is a check box.

Related Topics

Adding Fields

Setting the Field Size

Adding Pop-up Editors to Memo Fields


Setting the Field Size

For Text fields, the field size is the maximum number of characters that a user can type in the field. For Number fields, however, the size is determined by the selected data size:

Size | Description
Byte | Stores numbers from 0 to 255 (no fractions). Decimal precision: None Storage size: 1 bytes
Integer | Stores numbers from –32,768 to 32,767 (no fractions). Decimal precision: None Storage size: 2 bytes
Long Integer | Stores numbers from -2,147,483,648 to 2,147,483,647 (no fractions). Decimal precision: None Storage size: 4 bytes
Single | Stores numbers from –3.402823E38 to –1.401298E–45 for negative values and from 1.401298E–45 to 3.402823E38 for positive values. Decimal precision: 7 Storage size: 4 bytes
Double | Stores numbers from –1.79769313486231E308 to –4.94065645841247E–324 for negative values and from 1.79769313486231E308 to 4.94065645841247E–324 for positive values. Decimal precision: 15 Storage size: 8 bytes

Related Topics

Choosing a Field Type


About Removing Fields

To remove a field, you can either delete it or hide it. Alternatively, you can choose not export the field when you generate your Web views.

You can also disable fields by making them read-only .

Related Topics

About the Field Editor

Adding Fields

Deleting Fields

Hiding Fields

Removing Fields from Web Views


Deleting Fields

Deleting a field removes it and all stored data from the issue database. If you don't want to lose the data, you can disable the field, hide it, or remove it from the Web views.

You can delete a field only if it is not used in any query, sort, layout, report, or notification.

Related Topics

Hiding Fields in all Web Views

Hiding Fields in specific Web Views

Removing Fields from Web Views


Hiding Fields

Hiding Fields in all Web Views

Because you can remove a field from a Web view by not exporting the field, the ability to hide fields is not often required. However, you may want to hide a field if some of the queries you export use the field, but you don’t want users to see it.

To hide a field in all Web views of a project, clear the Visible check box in the Field Editor. To hide a field in specific Web views, use the Visible attribute of the field in the Web View Editor.

Notes

Hidden fields are still available in editors unless you clear the Show in Choice Lists check box.

Queries do not work if fields used in the query definition are not in the Web view.

Related Topics

Deleting Fields

Removing Fields from Web Views

Hiding Fields in Web Views


Removing Fields from Web Views

Using the Web View Editor, you can remove fields from some Web views and leave the fields in other views.

Related Topics

Deleting Fields

Hiding Fields in all Web Views

Hiding Fields in specific Web Views

Exporting Fields to Web Views


About Choice Lists

A choice list is a list of choices displayed in a selection list on an HTML form. The choices are defined in a choice table.

Related Topics

Editing Choice Tables

Editing Choice Text

Renaming Choice List Tables

Sorting Choice Lists

Editing the Progress and State Lists

Automatically Updating Choice Lists

Setting Default Values for Fields

Global Choice Lists


Editing Choice Tables

You can edit the choices in the list from Issue Tracker Admin or from Issue Tracker Web Admin. Both allow you to add new choices, delete choices, change choice text, and reorder choices.

Using Issue Tracker Admin

Use Issue Tracker Admin when you want to create new choice tables. Using the Field Editor, you can create the choice table and associate it with a field.

Also, use Issue Tracker Admin when you want to edit the Progress choice table. Progress choices must be mapped to State choices (see Editing the Progress and State Lists ) using the Field editor.

When to use Issue Tracker Web Admin

Use Issue Tracker Web Admin to edit existing choice tables (for example, when you want to edit choice text or add new choices). While you can create new choice tables in Issue Tracker Web Admin, you cannot associate the new choice table with a field—for that you need to use the Field Editor in Issue Tracker Admin.

Also, don’t use Issue Tracker Web Admin to edit the Progress choice list. Use Issue Tracker Admin instead. All Progress choices must be mapped to a State choice, and you cannot edit (or even view) that mapping in Issue Tracker Web Admin.

Any new choices added to the Progress list are not mapped to a State choice. If you edit the text of a progress choice and the new text changes the sense of the choice, the State field must be changed. For example, if you change Resolved to Reopened, then Reopened still corresponds to the Closed state until it is remapped.

Issue Tracker Web Admin can also delete choice lists when they are not referenced by a field.

Advantages of Issue Tracker Web Admin

The advantage of Issue Tracker Web Admin is that you can edit choice lists across the Web. You don't have to be sitting at a machine where Issue Tracker Admin is installed. Also, you must use Issue Tracker Web Admin to define global choice lists.

Related Topics

Editing Choice Text

Renaming Choice List Tables

Sorting Choice Lists

Editing the Substate and State Lists

Automatically Updating Choice Lists

Setting Default Values for Fields

Global Choice Lists


Editing Choice Text

When you change the text of a choice, you must update any queries that test the choice value. For example, consider this query:

Progress = Assigned

If you change the choice text from Assigned to InProgress in the choice table, the query will not find any issues. Issues store the index of the choice, but queries store the text.


Renaming Choice List Tables

Issue Tracker Web Admin (in the Choice List list on the Choices tab) displays a name associated with the choice table, not the name of the choice list field.

A choice table has two names: the name of the choice table (for example, tblState) and a friendly name (for example, State). Issue Tracker Web Admin displays the friendly name. You can change the friendly name by renaming the choice table in Issue Tracker Web Admin.

Related Topics

Editing Choice Tables


Sorting Choice Lists

Web Views can list choices in any order. For example, a non-alphabetic choice order such as Highest, High, Medium, Low, Lowest is more appropriate for a list of relative values than the alphabetic order.

When you create a new choice list, you choose how you want to order the list. The Allow Choice Order Sort check box controls whether a choice list supports non-alphabetic choice orders and sorts.

By default, Vector Issue Tracker lists choices in alphabetic order. However, when you allow choice order sorts, you can define the sort order by assigning a numeric ID to each choice. This ID controls the position of the choice in the list (1st, 2nd, and so on).

Related Topics

Editing Choice Tables

Editing Choice Text

Editing the Substate and State Lists


Editing the Progress and State Lists

The Progress choice list is a special type of choice list. When a user selects a choice from the Progress list, the State field is set to Open or Closed.

To change the mapping of progress values to state values, use Issue Tracker Admin. Its choice table for the Progress list contains an extra column that maps Progress choices to State choices. You must complete this column when you add or edit the choices in the Progress list.

When you edit the State choice table, remember that the Closed choice sets the Closed Date and Time fields. So, for example, changing the choice text from Closed may confuse users.

Notes

If you edit the Progress choice list, check that workflow rules based on the Progress field still work.

Related Topics

Editing Choice Tables

Editing Choice Text


Global Choice Lists

Global choice lists are shared by all projects.

To define a global choice list

1 In Issue Tracker Web Admin, click the Choices tab.

2 In the Project list, click Global Choice Lists.

3 Click [image] to create a new choice list.

Alternatively, to base the new list on an existing list, select an entry in Choice List and click [image].

4 In the Add Choice List dialog:

a In the Choice List Name box, type a name for the database table in which you want to store the list choices.

b In Choice List Caption, type a display name for the choice list (this is the name displayed in in Issue Tracker Web Admin).

c Select the Non-Alphabetical Choice Order check box if you want to define a non-alphabetical order for the choices in the list (for example, Applications, System, Hardware).

d In the Choices section, click [image] to add a new choice to the list.

To associate the new choice list with a field, use the Field Editor in Issue Tracker Admin, then regenerate the Web views that use the field.

Related Topics

Editing Choice Tables


Working with Tabs

Issue Tracker Web Admin allows you to add new tabs to a project. After you add a new tab, use the Field Editor to add new fields to the tab.

You can also reorder the tabs, change the tab names, and delete tabs. To delete tabs you must delete all the fields on the tab or move the fields to another tab.


Chapter 5 - Finding and Listing Issues


Using the Summary List

When users log into a view, they are immediately presented with the summary list. The summary list is responsible for listing


About Queries

To build queries in Issue Tracker Admin, click Query Editor on the Project menu. In the Query editor, use And and Or operators to combine multiple search conditions. You can control the order in which search conditions are evaluated using parentheses.

Notes

To base a new query on an existing query, choose an entry in the Query Name list, click Copy, and name the new query.

To test a query, click Preview.

Related Topics

Exporting Queries to Web Views

Searching by Dates

Searching for Unassigned Issues

Finding Issues for the Current User

Finding New Issues

Finding Parent Issues

Searching Choices Lists with Relational Operators

Previewing Queries

Saving Queries

Inserting Parentheses Around Search Conditions

Searching for Strings

Searching for Wildcards

Exporting Queries


Searching by Dates

Use the <Today> value to match the current date. For example, you can search for all issues submitted or updated today.

To search against specific dates, double-click the Value box, then double-click a date in the calendar.

Related Topics

Building Queries


Searching for Unassigned Issues

By default, the Owner field is set to <None>. You can use the value <None> in queries to find unassigned issues.

Related Topics

Building Queries

Searching for Null Values

Searching for Strings

Searching for Wildcards


Finding Issues for the Current User

Use the value <User> to match the current user. With <User>, you can build generic queries that work for any user. For example, the My Assigned Issues query finds all issues assigned to the current user.

Related Topics

Building Queries


Finding New Issues

To find all issues that have not been updated since they were first submitted, search against the revision number: Revision Number = 1.

Related Topics

Building Queries


Finding Parent Issues

You can find the parent issues of a child issue by searching against the Child Issues field. For example, to find the parent issues of the issue 22, use the Advanced Query editor to search for Child Issues = 22.

To find all parent issues, use the Advanced query editor to search for Child Issues <> 0.

Related Topics

Building Queries


Searching Choices Lists with Relational Operators

The relational operators are <, <=, >=, and >. When you search choice lists with a relational operator, the search is based on the order of the choices in the list.

For example, if the choices in the Problem Area list are ordered:

Apps - Goldmine

Apps - MS Excel

Apps - MS Outlook

Apps - MS Word

Apps - Other

HW - Disk

...

the query Problem Area < HW - Disk returns all the application-related issues.

When a choice list uses a non-alphabetical sort order, the sense of the relational operators is reversed. For example, if the Priority list is ordered:

Highest

High

Medium

Low

Lowest

the query Priority > Medium returns issues marked High or Highest, and the query Priority < Medium returns issues marked Low or Lowest.

Related Topics

Building Queries


Previewing Queries

To check the results of a query without closing the Query editor, click the Preview button. This runs the query and displays the results in a preview window.

Related Topics

Building Queries


Saving Queries

To save changes and continue editing, click Apply.

To save changes and exit the Query editor, click Close.


Inserting Parentheses Around Search Conditions

When you combine search conditions with the And and Or operators, you may not always get the results you expect. For example, suppose you want to find all new issues with priorities ASAP or Today.

Progress = New And
Priority = ASAP Or
Priority = Today

And has a higher precedence than Or, so this query finds all new issues with priority ASAP, plus all issues (not just the new ones) with priority Today.

To find only new issues with priorities ASAP and Today, click the Priority = Today search condition, then click [image] to place parentheses around the conditions joined by Or. For example:

Progress = New And
(Priority = ASAP Or
Priority = Today)

Related Topics

Building Queries


Searching for Strings

The Contains operator performs a case-insensitive search for a string of text anywhere in a field. You can use Contains to search for keywords in the Summary or Description fields. This allows you to package common keyword searches such as predefined queries. For example:

Summary Contains printer

You can also use Contains to find all choices in a list that contain the same string of characters. For example, the choices in the default Problem Area list start with “HW -“ “, “Apps - “, or “System - “. So Contains “HW -” finds all hardware problems.

Related Topics

Building Queries

Searching for Wildcards

Searching for Null Values

Searching for Unassigned Issues


Searching for Null Values

It is possible to perform a search to determine whether or not a value has been set for a field. When a field has no value, it is considered to be <Null>; on the other hand, when a field has a value, it is <Not Null>.

The following steps describe how these macros can be used in queries:

1 Open the Query Editor for the desired project.

2 Create the query using <Null> and <Not Null> as desired (use Like for the Test column).

Example:

                  Priority Like <Null> AND Severity Like <Not Null>

NOTE: Searching for null values in Date, Time, and Number fields will require a few additional steps. Please contact support for more information.

3 Export the query to the Web view(s) and regenerate the view(s).

NOTE: Saved queries with <Null> and <Not Null> can only be used from the Web views, not from the Preview in the Admin editors.

It is also possible to use the <Null> and <Not Null> using the Ad-hoc Query editor of any given Web view. Simply select a Field, choose Like for the Test option, and type either <Null> or <Not Null> in the Value textbox.

Related Topics

Searching for Strings

Searching for Wildcards


Searching for Wildcards

To provide flexibility in the specification of search patterns, the Like and Not Like operators support wildcard characters. Using wildcards, you can search for inexact patterns of text in any field.

Wildcard

Matches

_

Any single character. For example:

run_time matches run time or run-time

%

Zero or more characters. For example:

Contains run%time matches any string that contains runtime, run time, or run-time.

Like Install% matches any string that starts with Install.

Like %run%time% matches the same strings as Contains run%time.

[charlist]

Any single character in charlist. Can include spaces, but not the right bracket (]) character. For example:

SP[56] matches SP5 or SP6

Use a hyphen to specify a range of characters. For example:

[1-36-9] matches the digits 1, 2, 3, 6, 7, 8, or 9

To match the hyphen character, the hyphen must be either the first or last character in charlist. For example:

[-0-9] or [0-9-] match any digit or a minus sign

[!charlist]

Any single character not in charlist. For example:

[!tb]rash matches crash but not trash or brash

To search for the wildcard characters _ and %, you must enclose them in brackets. For example, to search for a percent sign, use the pattern [%].

Related Topics

Building Queries

Searching for Strings

Searching for Null Values

Searching for Unassigned Issues


About Sorts

You can sort the Summary List by issue number, priority, state, progress, owner, or any other field or combination of fields. Vector Issue Tracker allows you to define sorts, which are named sets of sort criteria. Sorts appear in the Sort list on the Summary toolbar.

To define a sort in Issue Tracker Admin:

1 Click Sort Editor on the Project menu to open the Sort editor.

2 In the Sort editor, choose the fields you want to use as sort keys. The first field is the primary sort key, the second field is the secondary key, and so on.

For example, if you sort by Owner and Priority, all issues belonging to the same person are grouped together, and the issues for each owner are sorted by priority.

To base a new sort on an existing sort, choose a sort from the Name list, click Copy, and name the new sort.

Related Topics

Sort Orders

Previewing Sorts

Saving Sorts

Exporting Sorts


Sort Orders

Choice Order Ascending and Choice Order Descending sort the issues based on the order of the choices in the choice list, not on alphabetical order.

For example, a choice list may contain the values High, Medium, Low in that order. An alphabetical order for the sort list would be High, Low, Medium or Medium, Low, High, which doesn't make as much sense.

Related Topics

Defining Sorts


Previewing Sorts

To check the results of a sort without closing the Sort editor, click the Preview button. This runs the sort and displays the results in a preview window.

Related Topics

Defining Sorts


Saving Sorts

To save changes and continue editing, click Apply.

To save changes and exit the Sort editor, click Close.

Related Topics

Defining Sorts


About Layouts

Different queries can list different information in the Summary List. For example, a query that lists only the issues assigned to the user does not need to display the Owner column, unlike a query that lists all issues assigned to a group.

Vector Issue Tracker allows you to define layout styles that specify the column layout and contents of the Summary List. Layout styles appear in the Layout list on the Summary Toolbar.

To define a layout in Issue Tracker Admin, click Layout Editor on the Project menu to open the Layout Editor.

Each column in the Summary List corresponds to a field. Choose the fields you want to list, and set the column widths and alignments. By default, field names are used as column headings, but you can change this by entering a new heading in the Title cell.

Notes

To base a new layout on an existing layout, choose the layout from the Name list, click Copy, and name the new layout.

Related Topics

Previewing Layouts

Saving Layouts

Exporting Layouts


Previewing Layouts

To check a layout definition without closing the Layout editor, click the Preview button.

Related Topics

Defining Layouts

Saving Layouts


Saving Layouts

To save changes and continue editing, click Apply.

To save changes and exit the Layout editor, click Close.

Related Topics

Defining Layouts

Previewing Layouts


Chapter 6 - Reporting


About Reports

Reports help you understand and assess the state of your project. An issue tracking system like Vector Issue Tracker contains a lot of valuable information about a project. Reports allow you to access this information, break it down, analyze it, and present it.

Vector Issue Tracker provides three types of reports: Summary (cross-tab), Listing , and Time (trend).

In addition to defining standard Listing reports in Issue Tracker Admin, you can also use Crystal Reports, which must be purchased separately, to customize Listing reports by adding features such as charts, formulas, field highlighting, and running totals

To design reports in Issue Tracker Admin, click Reports on the Project menu, and then click Report Editor.

Related Topics

Viewing Reports

Changing Report Viewers

Selecting Issues for a Report

Defining Summary Reports

Defining Listing Reports

Defining Time Reports

Defining Report Pages

Exporting Reports


Viewing Reports

Depending on the report format and definition, you can view reports as text or as line, bar, or pie charts. Charts can be in either 2D or 3D.

You can view Summary, Time, and Listing reports in Issue Tracker Admin. You can also view Listing reports in Web views. By default, Web views use HTML to format and display Listing reports, and Crystal Reports for custom reports (Vector Issue Tracker includes the Crystal Reports Runtime Software).

Related Topics

About Reports

Changing Report Viewers


Changing Report Viewers

Options control which report viewers are used by the Web views:

Standard Report Engine specifies the report viewer used for Listing reports.

Custom Report Engine specifies the report viewer used for Custom reports.

To set these options, log on to Issue Tracker Admin, and on the Tools menu, click Options.

Note: If you have a version of Crystal Reports that is newer than version 9, you must still select Crystal Reports 9 as the report viewer.

By default, Vector Issue Tracker uses the included Crystal Reports v9.0 Runtime Software to display custom reports, and a built-in HTML report engine to display listing reports, print issues from the Web Views, and format notification contents such as attachments.

It is possible to use the Crystal Reports engine for all the Listing reports, rather than the HTML report engine.

For more information about this, see the Building Custom Reports topic.

Related Topics

Viewing Reports

Building Custom Reports

Defining Listing Reports


Selecting Issues to Include in a Report

In the Query list, choose a query to extract issues from the issue database and include them in the report. For example, if you want a report that breaks down the open issue count, then use the Open Issues query.

In Web views, users can use a combination of predefined and ad-hoc queries to specify what issues to include in a report. The Web-based report viewer allows users to generate reports using the current contents of the Summary List, or using the current issue.

Related Topics

About Reports

Defining Summary Reports

Defining Listing Reports

Defining Time Reports

Defining Report Pages


Defining Summary Reports

Summary Reports

Summary reports are like spreadsheets. They provide a numerical break down of the state of your project. Use Summary reports to answer questions like: "How many of the open issues are urgent?" or "Is there a relationship between department and issue priority?"

You can view Summary reports in Issue Tracker Admin.

Adding Rows

Each row corresponds to a possible value of a choice-list field (single or multi). For example, you can add rows for all users in the Owner list, or just for the help desk analysts in the list.

A row is different in each type of report.

Text (cross-tab) reports

Each row is a row in the cross-tab table.

Bar charts

A bar chart shows bars for each row. That is, the rows define the horizontal axis, while the column defines what the bars represent.

If you don’t include a column, then there is one bar for each row. This bar represents the total number of issues for the row. If you include a column, side-by-side bars are displayed for each row.

Pie charts

Each row is a slice of the pie. To ensure that the slices add up to 100%, select <All> in the Rows column.

Adding Columns

Each column corresponds to a possible value of a choice-list field (single or multi). For example, you can add columns for all possible priority values, or just for the highest priorities.

Like rows, columns mean different things in the different report formats:

Text (cross-tab) reports

Each column is a column in the cross-tab table.

Bar charts

The column specifies what bars to display for each row.

Pie charts

Columns are not used in pie charts.

Calculating Totals

You can insert rows to calculate the totals of columns of numbers. Choose <Total> from the Field Name list, then choose the groups for which you want a total.

A group is the set of rows for a given field. The Group column displays the group ID. When you add a total row, use these IDs to specify which groups of rows you want to total.

A Total row sums only the numbers in the selected groups. So, each group of rows can have its own subtotal. To add a grand total, choose <ALL>.

To add a column that calculates the totals of rows of numbers, select the Total check box.

Using Totals and the Show Setting

Suppose you want to break down the open issue count, not by individual owner, but by groups of owners. For example, you might want to see the distribution of open issues between the analysts group and the group leaders group.

For both groups, add a group of rows and a total row. The group of rows (for example, row 1 below) contains a row for each help desk analyst. The total row for analysts (row 2) totals up the individual numbers to give a group total.

Showing Totals for Groups

To hide the rows for the individual owners in a group, clear the Show check box.

Customizing Row and Column Headings

Use the Title fields to enter the heading text for rows and columns.

Controlling Column Width in Text Reports

Use the Column Width box to set a maximum width for all columns in a report, including the column headings.

Examples

Text (cross-tab) report

A Summary report can break down the open issue count by owner and by priority.

This example includes a row for each help desk analyst, and columns for the priorities ASAP, Next 4 Hours, Today, and Tomorrow. The report also includes totals.

Bar chart

Bar charts show data as vertical bars. If you have no columns (in the Columns list, click <None>), the bar chart shows a total for each row.

If you add columns, the bar chart shows a series of side-by-side bars for each value of the horizontal field. For example, to show an issue breakdown by priority, enter Progress = New.

Pie charts

A pie charts shows a percentage breakdown of the issues with each slice of the pie corresponds to a row. Since a whole pie represents 100%, select <All> in the Rows list.

In a pie chart, columns are ignored, and you cannot have more than one group of rows or a total row. If the report defines more than one group of rows or a total row, clear the Show check box before you view the pie chart.

Related Topics

About Reports

Viewing Reports

Selecting Issues to Include in a Report

Defining Listing Reports

Defining Time Reports

Defining Report Pages


Defining Listing Reports

Listing Reports

Listings extract and present subsets of the information entered in issues. Listings are available only as text.

You can view Listing reports in Issue Tracker Admin and in Web views. You can use Crystal Reports to customize the version of the listing report that is displayed in Web views.

Defining Listing Reports

Listing reports are listings of information entered in issues. Use Listing reports to extract specific information from issues.

For example, you can use a Listing report to print a summary of the resolution details for each resolved issue, or to print only the issue number, owner, and summary for each issue. With Listing reports, you choose a set of issue fields, and only those fields are included in the report.

Query

Retrieves the issues included in the report

Sort

Sorts the issues.

Page

Header, footer, and title to apply to the report.

Tabular

Tabular listings list issues in the columns of a table. A tabular report is like the Summary List, except that you can use a report template to add things like a report title or page numbering.

Multicolumn

Multicolumn listings arrange issue information into blocks; these are repeated down the page for each issue.

Custom Report

Marks the report as a custom report. In a Web view, custom reports are listed on the Custom tab of the View Reports dialog. Custom reports are typically Listing reports customized with Crystal Reports.

Related Topics

About Reports

Viewing Reports

Changing Report Viewers

Selecting Issues to Include in a Report

Defining Summary Reports

Defining Time Reports

Defining Report Pages


Defining Time Reports

Time Reports

Time reports show trends over time. Use Time reports to answer questions like: "What is the issue arrival rate?", or "How fast are issues being resolved?"

Defining the Time Axis

The time axis divides the reporting period into intervals of days, weeks, months, quarters, or years (this is the granularity of the report). The Time report then sorts the issues into the time intervals, and counts the number of issues in each interval.

To sort issues into time intervals, a Time report uses a master date. The master date is a specified in an issue field such as Submitted Date, Closed Date, Assigned Date, or Update Date.

Master Date | Description
Assigned Date | The date an issue was assigned. For a report that shows the number of open issues per analyst or developer, you could use the Assigned Date instead of the Submitted Date.
Closed Date | The date an issue was closed. This happens when Progress is set to a value that maps to the Closed state. Use this date for reports that show the number of issues fixed over time (fix rate reports).
Submitted Date | The date an issue was submitted. Use this date for Time reports that show the number of submitted, open, or closed issues over time.
Update Date | The date an issue was last modified.

Including All Dates

Select the Show dates with no values check box to show days, weeks, months, quarters, and years when there were no issues. For example, in a report that shows the daily arrival rate of new issues during the last week, you probably want to see a value for each day in the week, even if that value is 0.

Showing Interval Totals

When the Cumulative check box is selected, a Time report accumulates the number of issues from one interval to the next. For example, suppose you have a Time report that shows the number of submitted issues per week. To see how the total number of submitted issues grows week by week, select the Cumulative check box. To see the number of issues submitted each week, clear the Cumulative check box.

Defining Reporting Periods

Enter specific From and To dates, or choose one of the When conditions: This Month, This Quarter, or This Year. You can also combine From or To with When. For example, if the year is 2006 and you set From to 3/3/06 and When to This Year, your reporting period would be 3/3/06 to 12/31/06.

Including Totals

Select the Total check box. For each time interval, the Time report shows the total number of issues included in the report.

Controlling Column Width in Tabular Time Reports

Use the Column Width box to set a maximum width for all columns in a report, including the column headings.

Defining the Field Axis

The field axis determines which issues a report counts. For example, to include the number of ASAP and Today priority issues, choose these Priority field values as the columns. The Time report then counts the number of ASAP and Today priority issues in each interval.

Each column corresponds to a possible value of a choice-list field (single or multi). For example, you can add columns for all possible priority values, or just for the highest priorities (ASAP, Next 4 Hours, Today).

Text (cross-tab) reports

Each column is a column in the cross-tab table.

Line charts

Each column is a line in the line chart.

Bar charts

The column specifies what bars to display for each row.

If you set Field Name to <None>, then the Time report provides a total of all issues for each interval.

Related Topics

About Reports

Viewing Reports

Selecting Issues to Include in a Report

Defining Summary Reports

Defining Listing Reports

Defining Report Pages


Defining Report Pages

Report pages define formatting elements common to every page of a report, such as headers, footers, titles, and column layout. Report pages also define report titles. Pages can be shared by many reports, allowing you to define a standard look for all reports generated by Vector Issue Tracker.

Vector Issue Tracker comes with a set of predefined pages. You can adapt these templates to your specific requirements, or define entirely new pages.

To open the Page Editor:

On the Tools menu, click Report, then click Page Editor.

Choose a page from the Name list. You can then edit, delete, or rename the page.

To use one page as a starting point for a new page, choose a page from the Name list, click Copy, and give the new page a name.

To create a page from scratch, click New.

You can use the Page editor to define headers, footers, and titles for your reports. In addition to typing and formatting plain text, you can insert placeholders for the current date, time, and page number. When you generate your report, these placeholders are replaced with values.

To do this | Click
Insert the current date |
Insert the current time |
Insert the current page number |
Left-align text |
Center text |
Right-align text |
Format text by changing fonts and point sizes, and applying bold, italic, or underline styles. |

Related Topics

About Reports

Defining Summary Reports

Defining Listing Reports

Defining Time Reports


Chapter 7 - Contacts, Users, Groups

Chapter 7 - Managing Contacts, Users and Groups


About Users and Contacts

In Vector Issue Tracker, you work with four types of users:

Users, who have logon names and passwords and can log on to Web views, Issue Tracker Web Admin, Issue Tracker Admin, or the Web View Editor.

Contacts, who cannot log on. Contacts are people who, for example, report issues by telephone, e-mail, fax, or through submit-only views.

Companies, who cannot log on. Companies are related to either a Contact, or User of the Issue Tracker system.

Value-Added Resellers (VARs), who cannot logon. Like Companies, VARs are related to either a Contact, or User of the Issue Tracker system.

Users are not specific to projects. For example, a user can use the same logon name and password to log on to any Web view of any project. However, each project can store different information for users. When you add a field to the Contact tab of a project, that field is a project-specific user information field. That is why you have to choose a project before you can create or edit users in Issue Tracker Web Admin.

Companies and VARs can be used to better organize Users and Contacts. For example, when multiple Contacts are associated to the same Company, it becomes easier to search for all issues related to the Company - the same is true for VARs. However, there are specific features in Issue Tracker that only work with Companies, for example:

Service level agreements can be created to apply to all users of one specific company. For more information, see Companies .

When Contacts are created through E-mail Integration, Issue Tracker will attempt to automatically associate a Company. For more information, see Setting Default Values for Issues Submitted by E-mail .

Importing Users and Contacts from Windows

You can import user accounts from Active Directory (or from a Windows NT domain), so users can log on to Vector Issue Tracker with their Windows user names and passwords. Use the User Account Import Manager to import user accounts and keep Vector Issue Tracker synchronized with Active Directory/Windows.

Administering Users and Contacts

To create and manage users and contacts in Vector Issue Tracker, use Issue Tracker Web Admin. For example, you can use Web Admin to disable users, create contacts, and to create user accounts.

Users with the required permissions can also create contacts in Web views.

Related Topics

Importing User Accounts

Creating User Accounts

Disabling User Accounts

Changing Passwords and Editing User Information

Groups: Adding and Removing Users


About Security

Vector Issue Tracker security enables you to manage user access to issue data and features. In Vector Issue Tracker, security is based on the users and groups.

When you install Vector Issue Tracker, the Setup program creates sample users, such as Admin, and demo, along with a number of role-based user accounts.

To secure your projects, you must import or create user accounts for users. You then assign the users to groups, and use group privileges to control their access to tools, such as Issue Tracker Admin and Issue Tracker Web Admin and for individual features such as the Report editor.

Related Topics

About Users and Contacts

About Groups

Importing User Accounts

Creating User Accounts

Defining User Groups

Groups: Adding and Removing Users

Enabling and Disabling Projects


About Groups

Each user is a member of one or more groups. Access to Vector Issue Tracker features and projects is based on group membership. You can enable and disable features and projects on a group-by-group basis. A user can only access a feature or project if the user is a member of a group where the feature or project is enabled.

Vector Issue Tracker has several default groups.

The Admins group has all features enabled

The Users group enables features that you want to make available to all users. All users are members of this group

The Analysts and Group Leaders groups have access to all Web View features controlled by security permissions

The Employees group cannot access any of the Web view features controlled by security permissions

To control access to Vector Issue Tracker features, you assign users to the groups based on their roles and responsibilities in the issue tracking process. For example, a help desk group leader or analyst who is also responsible for administering Vector Issue Tracker must be a member of the Admins group.

Notes

Use the Web View Editor to set the group access permissions that control who can log on to the Web views of a project.

Use Issue Tracker Admin to control access to projects.

Related Topics

About Users and Contacts

About Security

Defining User Groups

Groups: Adding and Removing Users

Enabling and Disabling Projects


Importing User Accounts

You can import user accounts from an Active Directory domain, or a Windows NT domain.

To import user accounts:

1 Log on to the User Account Import Manager, and click Next in the Welcome dialog.

2 In the Import Rules dialog, click an import rule to specify the users you want to import.

3 In the Active Directory Servers and Windows Domains dialog, select an Active Directory LDAP server or a Windows NT domain.

To add an Active Directory server, click Add LDAP . To add a Windows NT domain, click Add Domain .

4 In the Active Directory Servers and Windows Domains dialog, click the Active Directory server or Windows domain from which you want to import users.

5 In the Import Users dialog, choose one of the following options:

To import all users listed in the dialog, click Next.

To filter the list based on Active Directory groups, click Add Filter and select the groups to filter, then click Append to add the group filter to the current search filter, or click Replace to replace the current filter with the group filter. Click Refresh to apply the search filter.

You can also type additional LDAP search filter conditions directly in the Filter box. For example, "(cn=e*)" selects all users with user names starting with "e", and "(&(!cn=IUSR*) (!cn=CensusUser))" filters out all IUSR_<computername> accounts and the CensusUser account.

To filter the list based on Windows Domains groups, select the groups you want to import from the list.

To import some of the users, click Selected Users, then click the users you want to import.

6 In the Import Settings dialog, select the Import as Contacts check box if you want to import contacts instead of users.

7 To add the imported users to a specified user group, such as Employees, click the group to which you want to add the new users in the Import to Group list. (Note that imported users are always added to the Users group.)

8 To schedule imports, select the When Scheduled check box, then click Configure.

Related Topics

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Filtering Users

Import Settings

Integration with Microsoft Dynamics


Importing Customers or Contacts from Microsoft Dynamics

Issue Tracker offers administrators the ability to import customers and contacts from Microsoft Dynamics, all through the Import Users tool.

To import from Microsoft Dynamics:

1 Log on to the User Account Import Manager, and click Next in the Welcome dialog.

2 In the Import Rules dialog, click Add to define a new import rule.

3 Enter a name, and press OK.

4 Ensure the rule you just created is selected, and press Next.

5 In the Import User Accounts dialog, select the Import From Microsoft Dynamics (Great Plains) radio button.

6 Select one of the radio buttons: Customers, or Contacts.

7 Click the [...] button.

8 In the dialog that appears, click Add.

9 In the Microsoft Dynamics Security settings dialog, enter all required details.

10 Press Test to ensure the settings are working as expected.

11 Click OK.

12 Click Close.

13 In the Choose a Great Plains Database for the account import rule field, select the database that you created.

14 Click Next.

15 In the Import Settings dialog, make any changes you desire. For more information, see Import Settings .

16 Press Finish.

Related Topics

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Filtering Users

Import Settings

Integration with Microsoft Dynamics


Defining Import Rules

An import rule remembers the settings from the last time you used the rule.

To define an import rule:

1 In the Import Rules dialog, click Add and type a name for the import rule.

2 Click Next and continue through the remaining steps of the User Account Import Manager.

All your subsequent choices and settings are saved in the import rule. For example, suppose you select an Active Directory server, specify an LDAP search filter, and change the default import settings. The next time you run the User Account Import Manager, you can select the import rule to use the same choices and settings.

Related Topics

Importing User Accounts

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Filtering Users

Import Settings


Adding Active Directory Servers and Windows Domains

Before you can import user accounts, you must add a connection to an Active Directory server or Windows NT domain.

To add an Active Directory server:

1 In the Active Directory Servers and Windows Domains dialog, click Manage.

2 In the Manage Active Directory Servers and Windows Domains dialog, click Add LDAP.

3 In the Display Name box, type a name for the LDAP server. Vector Issue Tracker uses this name to identify the server.

4 In the Host, Port, and Base DN boxes, enter the connection information for the LDAP server:

Host is the IP address of the LDAP server.

Port is the port the LDAP server is running on. By default, LDAP servers run on port 389. LDAP over SSL uses port 636 by default.

Base DN is the top level of the LDAP directory tree. For example, if your organization’s DNS domain name is mycompany.local, the Base DN is dc=mycompany,dc=local.

5 If you want to use anonymous authentication for the connection, select the Anonymous Bind check box.

Alternatively, clear the Anonymous Bind check box and enter the information for authenticating a user when connected to the server, where:

User DN is the user to authenticate For example: CN=Administrator,CN=Users,DC=mycompany,DC=local

Password is the user's password

6 In the LDAP Logon Name Field box, type the name of the LDAP property that stores the user account name. Vector Issue Tracker uses this name to log on.

7 Click Test to test the connection.

Related Topics

Importing User Accounts

Defining Import Rules

Adding a Windows NT Domain

Filtering Users

Import Settings


Adding a Windows NT Domain

To add a Windows NT domain:

1 In the Active Directory Servers and Windows Domains dialog, click Manage.

2 In the Active Directory Servers and Windows Domains dialog, click Add Domain.

3 In the Domain list, click the Windows NT domain you want to add.

4 If the Computer Name box is not automatically filled in, type the name of the server that is the primary domain controller, in the format “\\server”.

5 Click Test to test the connection.

Related Topics

Importing User Accounts

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Filtering Users

Import Settings


Filtering Users

You can use LDAP search filters to filter the list of users imported from Active Directory.

If you want to filter users based on Active Directory groups, click Add Filter and select the groups you want to filter. Then click Append to append the group filter to the search filter in the Filter box, or click Replace to replace any existing search filter.

If you want to filter on other conditions, you can also write your own LDAP search filters, and combine them with the group filters created with Add Filter. For example, you could type in filters such as:

(sn=Mark)

selects users with a surname of Mark.

(!cn=IUSR_*)

filters out all user names that start with IUSR_*.

(&(!cn=IUSR_*) (!cn=IWAM_*))

filters out all IUSR_<computername> and IWAM_<computername> users.

For more information on the LDAP search filter syntax, see:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/adsi/adsi/search_filter_syntax.asp.

Related Topics

Importing User Accounts

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Import Settings


Import Settings

Import as Contacts

If you want to import the users as contacts, select the Import as Contacts check box.

Import to Groups

By default, imported users are added the Users group in Vector Issue Tracker. If you want to add the imported users to a different group (for example, Admins), click the group in the Import to Groups list.

Get E-mail Addresses From

Specifies where to get the e-mail addresses of imported users.

Scheduling Imports

Specifies when to import users. Select the When Scheduled check box and then click Configure if you want to use Window's Scheduled Tasks to schedule regular imports. Scheduling imports keeps Vector Issue Tracker synchronized with Active Directory and Windows domains.

Select the Now check box if you want to import users as soon as you finish with the User Account Import Manager.

Import Settings

These check boxes control whether the Vector Issue Tracker User Account Manager:

Adds new user accounts for any new users found in the Active Directory or Windows domain.

Updates existing user accounts with any changes (for example, to the user name or e-mail address) found the Active Directory or Windows domain.

Related Topics

Importing User Accounts

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Filtering Users

Integration with Microsoft Dynamics

Importing Customers or Contacts from Microsoft Dynamics


Creating User Accounts

You create Vector Issue Tracker user accounts with Issue Tracker Web Admin. New users automatically belong to the Users group. To add a user to other groups, use Issue Tracker Web Admin.

To create a user account:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Click New [image] .

3 In the Type field, select User.

4 In the Authenticate With list, click Issue Tracker Authentication to authenticate against the Vector Issue Tracker user database.

5 In the Logon Name box, type the user name.

6 In the Password and Confirm Password boxes, type the user’s password.

7 Enter the rest of the user information and click Apply.

8 If you want to control the projects in which the user is visible, use the User Category list to assign the user to a category (for example, Internal User or External Contact).

Different projects can be configured to display different categories of users and contacts.

Related Topics

Importing User Accounts

Setting Default Values for New Users

Using Categories to Hide Users in Projects

Groups: Adding and Removing Users

Users: Changing Group Membership

Assigning Users to Work Teams

Reserving Licenses


Setting Default Values for New Users

To save time when creating user accounts, Issue Tracker allows administrators to specify default values for new accounts. To do this, one must access the User & Contacts view from the main view list, as opposed to using Issue Tracker Web Admin. Doing so ensures that the view has all regular view features, including the Defaults functionality.

To set the default values for new user accounts:

1 Logon to Issue Tracker as an administrative user.

2 In the view list, select Users & Contacts.

3 In the toolbar, click the Defaults button.

4 Enter any desired default values.

5 Click Apply to save the changes.

The defaults have now been saved, and will be added automatically whenever a new account is created.

Related Topics

Importing User Accounts

Defining Import Rules

Adding Active Directory Servers and Windows Domains

Adding a Windows NT Domain

Filtering Users


About Work Teams

You can use Vector Issue Tracker to help manage and coordinate work teams. Setting up work team support involves the following tasks:

Building a list of work teams. Vector Issue Tracker includes a global choice list named Work Team.

Assigning users to work teams.

Adding the Assigned Work Team field to Web views. This field is used to assign issues to specific work teams, either manually by users or automatically by workflow rules.

Define queries for finding work team issues. Vector Issue Tracker includes a My Work Team’s Issues query that gets all the issues assigned to a user’s work team, but you may want to define additional queries for work teams (for example, a query that finds all open issues assigned to the user’s work team).

Related Topics

Defining Work Teams

Assigning Users to Work Teams

Adding Work Team Support to Web Views

Building Work Team Queries


Defining Work Teams

The list of available work teams is stored in a global choice list named Work Team. The HelpDesk project has an Assigned Work Team field that uses this global choice list.

You use Issue Tracker Web Admin to edit the list of work teams.

To edit the list of work teams:

1 In Issue Tracker Web Admin, click the Choices tab.

2 In the Project list, click < Global Choice Lists >.

3 In the Choice List list, click Work Team.

4 In the Choices section:

To rename a work team, click the work team and then click [image].

To add a new work team, click [image] and then type the name of the work team.

To delete a work team, click the work team and then click [image].

Related Topics

About Work Teams

Assigning Users to Work Teams

Adding Work Team Support to Web Views

Building Work Team Queries


Assigning Users to Work Teams

You can assign both users and contacts to work teams. No user or contact can belong to more than one work team.

To assign a user or contact to a work team:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users & Contacts query.

For more information about using queries, see About Queries .

3 In the query results, click the user or contact you wish to edit.

4 In the Work Team list, click the work team to which the user belongs.

Related Topics

About Work Teams

Defining Work Teams

Adding Work Team Support to Web Views

Building Work Team Queries


Adding Work Team Support to Web Views

To allow users and workflow rules to assign issues to work teams, export the Assigned Work Team field (Overview tab) to the Web views.

Related Topics

About Work Teams

Defining Work Teams

Assigning Users to Work Teams

Building Work Team Queries


Building Work Team Queries

You can query for issues assigned to a specific work team, for example, all issues assigned to the QA Team:

Assigned Work Team = QA Team

You can also use the <My Work Team> macro to query for issues assigned to the work team of the current user. For example, this query finds all open issues assigned to the user’s work team:

Assigned Work Team = <My Work Team> AND
State = Open

Related Topics

About Work Teams

Defining Work Teams

Assigning Users to Work Teams

Adding Work Team Support to Web Views


Defining User Categories

You can control which users and contacts are visible in a project. Each user (and each contact) can be assigned to a user category. For example, some users can be assigned to the Internal User category, and others to the External User category.

The list of available user categories is a global choice list, so you can use Issue Tracker Web Admin to build the list of user categories you want to use.

To edit the list of user categories:

1 In Issue Tracker Web Admin, click the Choices tab.

2 In the Project list, click < Global Choice Lists >.

3 In the Choice List list, click User Category.

4 In the Choices section:

To add a new user category, click [image] and then type the category name.

To rename a user category, click the category and then click [image] .

To delete a user category, click the category and then click [image] .

Related Topics

Assigning Users to Categories

Hiding Users in Projects


Assigning Users to Categories

Assigning users and contacts to categories allows you to control which users and contacts are visible in a project.

To assign users and contacts to categories:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users & Contacts query.

For more information about using queries, see About Queries .

3 In the query results, click the user or contact you wish to edit.

4 In the User Category list, click the category to which the user belongs.

5 Click Save.

Related Topics

Defining User Categories

Hiding Users in Projects


Hiding Users in Projects

To control which users, contacts, and companies are visible in a project:

1 In Issue Tracker Web Admin, click the Options tab.

2 In the Project list, click a project.

3 Click Organize users per project.

4 Check the In this project, only display users, contacts, and companies in the following categories box.

5 Select the categories of users and contacts you want to be visible in the project.

6 Click OK.

Related Topics

Defining User Categories

Assigning Users to Categories

Project-Specific Options


Disabling User Accounts

Disabled accounts cannot be used to log on, but the names still appear in the Owner and Contact lists because existing issues may still refer to the users.

Disabling a contact, company, or VAR has no effect.

To disable a user account:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users query.

For more information about using queries, see About Queries .

3 In the query results, click the user you wish to edit.

4 Check the Is Disabled box.

5 Click Save.

Related Topics

About Users and Contacts

Creating User Accounts

Changing Passwords and Editing User Information


Editing User Information

You can edit user information for Users, Contacts, Companies, and VARs with Issue Tracker Web Admin.

To edit user information:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users, Contacts, Companies & VARs query.

For more information about using queries, see About Queries .

To quickly find a user, use of the search feature is recommended. To make the search box appear, press the [image] button.

3 In the query results, click the user you wish to edit.

4 Make the modifications you desire.

5 Click Save.

Related Topics

Changing Passwords

Changing the Authentication Method

Groups: Adding and Removing Users

Changing Group Membership

Reserving Licenses


Changing Passwords

You can change passwords for Vector Issue Tracker user accounts. You cannot change passwords for user accounts imported from Active Directory or Windows.

To change a user’s password:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users, Contacts, Companies & VARs query.

For more information about using queries, see About Queries .

To quickly find a user, use of the search feature is recommended. To make the search box appear, press the [image] button.

3 In the query results, click the user you wish to edit.

4 Change the value in the Password and Confirm Password fields.

5 Click Save.

Related Topics

Editing User Information


Changing the Authentication Method

1 In the Authenticate With list:

Click Issue Tracker Authentication to authenticate against the Vector Issue Tracker user database.

Click an Active Directory server to authenticate against Active Directory.

Click a Windows server to authenticate against a Windows domain.

2 If you authenticate with Issue Tracker, you may need to enter the logon name and password.

Related Topics

About Users and Contacts

Creating User Accounts

Disabling User Accounts


Defining User Groups

Groups allow you to assign privileges to users. By enabling and disabling features for a group, you control the features (privileges) available to the members of that group.

Group membership determines which features are available to a user. Each group enables and disables different features. Users that belong to more than one group have access to any feature enabled in at least one of the groups.

Group membership also controls access to projects and Web views. To assign users to groups, use Issue Tracker Admin .

In the Users view of the Security tab, you can select a user and then edit the list of groups to which the user belongs. In the Groups view, you can select a group and edit the list of users that belong to the group.

To add a group:

1 In Issue Tracker Web Admin, click the Security tab.

If you are in Issue Tracker Admin, click Tools > Security > Groups.

2 On the Security tab, click the large Groups button on the left side of the tab.

3 Click Add [image] and type a new for the group.

To delete a group:

1 In Issue Tracker Web Admin, click the Security tab.

If you are in Issue Tracker Admin, click Tools > Security > Groups.

2 On the Security tab, click the large Groups button on the left side of the tab.

3 In the Groups list, click the group you want to delete.

4 Click Delete [image].

Related Topics

About Users and Contacts

About Security

About Groups

Groups: Adding and Removing Users

Users: Changing Group Membership

Enabling and Disabling Projects


Groups: Adding and Removing Users

On the Security tab, the Groups view allows you to add or remove multiple users at the same time.

To add users to a group:

1 In Issue Tracker Web Admin, click the Security tab.

If you are in Issue Tracker Admin, click Tools > Security > Groups.

2 On the Security tab, click the large Groups button on the left side of the tab.

3 In the Groups list, click a group.

4 Click Users

5 To add users:

a In the Non-Members list, click the users you want to add to the group. Use the Shift and Control keys to select more than one user.

b Click [image].

6 To remove users:

c In the Members list, click the users you want to remove from the group. Use the Shift and Control keys to select more than one user.

d Click [image].

Related Topics

About Users and Contacts

About Security

About Groups

Defining User Groups

Enabling and Disabling Projects


Associating Multiple E-mail Addresses to a Single Contact

Upon receiving e-mails, Issue Tracker can be configured to automatically associate a contact based on the e-mail sender. For more information on how to configure this, see Mapping Message Fields to Issue Fields . When Issue Tracker looks for a match in the system, it will now take into consideration multiple e-mail addresses.

To associate multiple email addresses to a user:

1 Open Issue Tracker Web Admin.

2 Click the Security Tab.

3 Select Users.

4 Locate the User you wish to edit, and click on the name.

5 Select the Email Tab.

6 Enter the email addresses you wish to associate to that user.

7 Click Save.

It is also possible to modify the list of e-mail fields that are considered by the matching logic.

Before doing so, please keep the following in mind:

The default e-mail fields are suitable for the majority of Issue Tracker installations, no modification is required.

Adding a field requires knowing its internal field name.

Only fields present in the UserContacts project can be used.

To alter the list, do the following:

1 Open Issue Tracker Admin.

2 Click Tools.

3 Click Options.

4 Locate the option named User/Contact E-mail Field List.

By default, the value is:

tEmailName;E_mail_2;E_mail_3;E_mail_4;E_mail_5

Fields can be added or removed - as long as semi-colon separates each entry.

5 Change the value of the User/Contact E-mail Field List option.

6 Click OK.

In addition to matching multiple e-mail addresses, Issue Tracker is capable of automatically associating a company to any users created via the E-mail Integration system. For more information about this feature, see .

Related Topics

Mapping Message Fields to Issue Fields


Users: Changing Group Membership

To add a user to a group (in the Users view):

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Select the All Users query.

For more information about using queries, see About Queries .

To quickly find a user, use of the search feature is recommended. To make the search box appear, press the [image] button.

3 In the query results, click the user you wish to edit.

4 Select the Groups tab.

5 Click the Edit button.

6 In the Select Groups dialog, select the check boxes for the groups to which you want to add the user.

To filter the list of groups, click Advanced [image] and type part of a group name. Click Filter to list only the groups that contain the text you typed.

To find all groups with names that start with a certain string of characters, click Options and in the Search Type list, click Starting With.

7 Click OK.

8 Click Save.

Related Topics

About Users and Contacts

About Security

About Groups

Defining User Groups

Groups: Adding and Removing Users

Enabling and Disabling Projects


Reserving Licenses

Vector Issue Tracker offers the ability to assign licenses to specific users. This way, the latter will always have access to Web views regardless of the number of users currently accessing the system.

For example, if you have 10 licenses, and you wish to reserve 1 for a specific user (For example, 'Employee'), this means you will only have 9 licenses left for other users to use. When 'Employee' logs in, Issue Tracker will automatically use his reserved license. If 'Employee' logs in a second time, while still using his reserved license, Issue Tracker will use one of the unreserved (floating) licenses.

To assign reserved licenses to a user, set a value for the Number of Reserved Licenses field. This is done via the Users and Contacts editor, as described in Editing User Information .

For information on how concurrent licenses are handled, see Types of Web Views .

To view how the licenses are distributed, or whether or not they are in use, do the following:

1 Open Issue Tracker Admin by clicking Start > All Programs > Vector > Issue Tracker > Issue Tracker Admin.

2 Log in as a Issue Tracker administrator.

3 Click Tools from the menu bar, and then click Licenses.

4 Note the License Details and License Usage Summary sections.

Related Topics

About Users and Contacts

Creating User Accounts

Changing Passwords and Editing User Information

Types of Web Views


Companies

Vector Issue Tracker maintains a list of companies. By assigning users to companies, you can create a service level agreement that applies to all users at a specific company.

To create a company:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Click New [image] .

3 In the Type field, select Company.

4 Provide all required information.

5 Press Save.

Related Topics

About Users and Contacts


Value-Added Resellers (VARs)

To create a VAR:

1 In Issue Tracker Web Admin, select the Security tab and click the Users button.

Alternatively, in Issue Tracker Admin, click Tools > Security > Users.

2 Click New [image] .

3 In the Type field, select VAR.

4 Provide all required information.

5 Press Save.

Related Topics

About Users and Contacts


Departments

By assigning users to departments, you can create a service level agreement that applies to all users in a specific department.

To edit the list of departments:

1 In Issue Tracker Web Admin, click the Choices tab.

2 In the Project list, click a project.

Each project has its own list of departments.

3 In the Choice List list, click Department.

4 Edit the departments:

Click [image] to create a new department.

To delete a department, click the service type and then click [image].

To rename a department, click the service type and then click [image].

To reorder the list, click a department and then use [image] and [image] to move


About Features

Vector Issue Tracker includes UI features that can be enabled and disabled. Most features correspond directly to menu commands, such as Security or Report Editor. When a user does not have permission to use a feature, the feature is not displayed in the user interface.

To enable or disable a feature for a group:

1 In Issue Tracker Web Admin, click the Security tab.

If you are in Issue Tracker Admin, click Tools > Security > Groups.

2 On the Security tab, click the large Groups button on the left of the tab.

3 In the Groups list, click a group.

4 Click Features [image].

5 To enable a feature:

a In the Disabled list, click the feature you want to disable. Use the Shift and Control keys to select more than one feature.

b Click [image].

6 To disable a feature:

c In the Enabled list, click the features you want to disable. Use the Shift and Control keys to select more than one feature.

d Click [image].

Related Topics

Web View Features

Issue Tracker Web Admin Features

Issue Tracker Admin Features

Web View Editor Features

Enabling and Disabling Projects


Web View Features

Feature | Permits the user to
Ad hoc Queries | Access the Ad-hoc Query Editor
Add Contact Editor | Open the Users and Contacts dialog in a Web view by clicking the Contacts button
Add Contact | Create contacts
Add & Save Issues | Create new isues and save them
Copy & Save Issues | Create a new issue based on the current one in the Web view and save it
Delete Contact | Disable contacts
Update Contact | Edit contacts
Default Value Editor | Set default values for new issues
Email Conversation | View and manage the e-mails linked to the current issue in the Web view
E-mail Current Issue | Send an e-mail with a summary of the current issue from the Web views
Email Queue | View and manage the e-mails that are not linked to issues
Manage E-mail Templates | Create, update and delete e-mail templates that are used when composing new e-mails or in automated e-mail responses
My Queries | Run personal queries only available to the user from the Web views
Password Editor | Change password
Queries - View Source | View the SQL WHERE clause behind the named query
Report Viewer | View Vector Issue Tracker reports
Report Viewer - Hardware Inventory | View Hardware Inventory reports
Report Viewer - Software Inventory | View Software Inventory reports
Revision History | View the change history for an issue
Save & Remove User Queries | Create new personal queries and be able to delete them
Save Issues | Update and save issues from the Web views
Update Submit Only View Contact | Update the contact information from a Submit-Only View
Use E-mail Templates | Apply saved e-mail templates when composing new e-mails

Example

The staff responsible for logging issues received from customers need to be able to add new contacts (each customer is a contact). To allow users to add new contacts in Web views, enable these features:

Add Contact Editor

Add Contact

Related Topics

Disabling Features

Issue Tracker Web Admin Feature s

Issue Tracker Admin Features

Web View Editor Features

Enabling and Disabling Projects


HelpDesk Web Admin Features

Issue Tracker Web Admin Features

The following features enable and disable the different tabs in Issue Tracker Web Admin.

Feature | Permits the user to
Web Admin - Banner | Create and edit banners.
Web Admin - Choices | Create and edit choices lists
Web Admin - Email Integration | Manage and configure integrations of Issue Tracker and e-mail accounts for submitting issues by e-mail, linking e-mails to issues, automatic status by e-mail and more
Web Admin - Inventory Editor | Connect projects to Vector Asset Management or PC-Duo Enterprise site databases for linking computers and other assets to the issues as well as viewing hardware and software reports
Web Admin - Notifications | Set the user account used for notifications
Web Admin - Relocation | Relocate databases and attachments
Web Admin - Security | Edit users, contacts, and groups. Add, edit, and delete groups. Enable and disable features for groups
Web Admin - SLA - Manage Agreements & Levels | Manage Service Level Agreements and Service Levels, including working hours, target times and escalation rules
Web Admin - SLA - Report Viewer | View reports with summary and metrics of Service Level Agreements performance
Web Admin - SLA - View | View only the Service Level Agreement Information
Web Admin - Tabs | Create new tabs
Web Admin - Users - Add | Create new users
Web Admin - Users - Disable | Disable users therefore preventing them from logging into the system
Web Admin - Users - Update | Update user information such as e-mail addres, postal address and telephone
Web Admin - Users - View | View only users and user information
Web Admin - Workflow | Edit workflow rules

Related Topics

Disabling Features

Web View Features

Issue Tracker Admin Features

Web View Editor Features

Enabling and Disabling Projects


HelpDesk Admin Features

Admin Features

To enable Admin features, you must enable Admin Utility. Otherwise, users cannot log on.

Feature | Permits the user to
Admin Utility | Log on to Issue Tracker Admin
Delete Project | Delete a project
Delete Issues | Delete issues from a project
Import Issues | Import issues into a project
Integrity Editor | Open the Integrity Editor
Layout Editor | Open the Layout Editor and define custom layout styles for the Summary List
Licenses | Open the Licenses dialog
Logons Editor | Log off users
New Project | Create a new project
Notification Editor | Set up automatic e-mail notifications
Password Editor | Change password, in Web views and in Issue Tracker Admin
Page Editor | Create and edit report pages
Project Properties | Edit project properties, such as which groups are allowed to open a project
Query Editor | Open the Query Editor and define custom queries
Repair and Compact | Repair and compact a project database
Report Editor | Define new reports, and edit existing reports
Sort Editor | Open the Sort Editor and define custom sorts
Field Editor | Add new fields, change labels and modify the values that appear in choice lists
Upgrade Editor | Upgrade Issue Tracker Server files
Web Tools Menu | Start the Web View Editor and Issue Tracker Web Admin from the Tools > Web menu
When Editor | Edit the when conditions for notifications
Windows Account Editor | Edit the Windows user account used for anonymous access to virtual directories and for running the notification service.

Example

To allow users to create new reports, enable, at a minimum, the Admin Utility and Report editor features. This allows users to log on to Issue Tracker Admin and create new reports using existing queries, sorts, and report pages. The new reports are automatically made available in existing Web views.

Enabling the Query editor, Sort editor, and Page editor features allows users to create new queries, sorts, and report pages and use them in report definitions. New queries aren’t available in Web views unless you export the queries and regenerate the views. All new sorts, however, are automatically made available in Web views.

Related Topics

Disabling Features

Web View Features

Issue Tracker Web Admin Features

Web View Editor Features

Enabling and Disabling Projects

Generating Web Views


Web View Editor Features

You can prevent users from logging on to the Web View editor by disabling the Web View Editor feature.

Related Topics

Disabling Features

Web View Features

Web Admin Features

Admin Features

Enabling and Disabling Projects


Enabling and Disabling Projects

When you disable a project for a group, members of that group cannot:

Log on to Web views of the project.

Edit the project in Issue Tracker Admin.

Edit views of that project in Web View editor, or generate new views of that project.

You can disable specific Web views for members of a group.

To enable or disable a project for a group:

1 In Issue Tracker Web Admin, click the Security tab, then click the large Groups button on the left of the tab.

2 In the Groups list, click a group.

3 Click Projects

4 If you want to enable a project:

a In the Disabled list, click the projects you want to disable. Use the Shift and Control keys to select more than one project.

b Click [image].

5 If you want to disable a project:

c In the Enabled list, click the projects you want to disable. Use the Shift and Control keys to select more than one project.

d Click [image].

You can also enable or disable projects from the Groups Allowed to Open list in the Project Properties dialog.

Related Topics

Disabling Features

Web View Features

Web Admin Features

Admin Features

Web View Editor Features


Chapter 8 - E-mail Integration


Setting Up E-mail Integration

In addition to enabling users to submit issues through Web views, you can configure Issue Tracker to directly accept issues submitted by e-mail, as well as keep track of all e-mail conversations associated to the issue. This provides an easy-to-use interface with which most users are already familiar, and enables support staff to manage e-mail exchanges with users without having to spend time entering the details of conversations.

To configure your system to accept e-mail issues:

Open Web Admin using one of the following methods:

In your Web browser, enter //server/issuetrackeradmin, where server is the name of your Web server.

In Issue Tracker Admin, click Tools > Web > Web Admin.

At the Web server, click Start > All Programs > Vector > Issue Tracker > Issue Tracker Web Admin.

Log on as a user that belongs to the Issue Tracker Administrators group.

In Web Admin, click the E-mail tab and click Incoming Mail.

Select the Project for which you want to enable e-mail integration.

The E-mail Integration Process

Configuring Issue Tracker to accept issues submitted by e-mail is a multi-stage process:

Click Add a new Integration to enter the details of an e-mail address you want to use to submit issues to the project and keep the e-mail exchanges. The Add E-mail Integration Account window is displayed.

For each e-mail address, you want Issue Tracker to monitor, you must specify:

The information that will enable Issue Tracker to access the account. (See “ Specifying the E-mail Integration Account”.)

The rules that govern how incoming e-mails are handled. (See “ Mail Handling”.)

The information you want to copy from the e-mail to the associated issue, and default values for non-mapped fields. (See “ Mapping E-mail Fields to Issue Fields”.)

When you have completed entering the details of the E-mail Integration Account, select Enable this integration , and click OK to save your changes.

Specifiying the E-mail Integration Account

Before Issue Tracker can convert e-mails to issues, you must specify the addresses that you want to use for submitting issues.

To specify the details of the e-mail account you want to integrate with Issue Tracker:

1 In the Hostname field, enter the name or IP address of the POP e-mail server that handles incoming e-mail.

2 In the Port field, enter the port through which the e-mail server communicates. By default, POP uses port 110.

If the POP server requires an encrypted connection, check the SSL box, and change the port accordingly. By default, POP SSL uses port 995.

3 Enter a Logon and a Password for the account that Issue Tracker will use to access the e-mail server.

Mail Handling

Mail-handling rules determine how e-mails sent to the address specified in the Incoming E-mail Server section are processed.

When an e-mail is received, Issue Tracker compares the e-mail fields with the conditions specified in the first entry of the rules list. If the e-mail matches all conditions specified in the rule, Issue Tracker executes the specified actions, and then processes the next e-mail. If any of the conditions in the rule are not met, Issue Tracker tests the e-mail against the conditions specified in the next rule, until it reaches the end of the rule list.

It is recommended to place a rule that has an Action Type of Queue as the last rule in the list to cover the possibility that the e-mail does not meet the conditions of any rule in the list, in which case, the e-mail will be automatically added to the E-mail Queue for manual processing.

To create an e-mail rule:

In the Mail Handling section, click the Add button. The Add Rule window is displayed.

Enter a Rule Name.

Enter the conditions you want the rule to test for. For example, to test the Body of the e-mail for the word problem:

1 Enable the first empty condition by selecting its check box.

2 Click <Field> and select Body.

3 Click Is Equal to and select Contains.

4 Type problem in the entry field.

5 Next, enter the actions you want the system to perform when all the conditions are met.

For example, to configure the system to create an issue and send a reply to the person who sent the e-mail:

a Select the Integrate e-mail with Issue Tracker check box.

b Select Create New Issue using these values.

By default, Issue Tracker completes the issue using the field mappings defined in the Issue Completion section of the Edit E-mail Integration Account window. To override these mappings for this rule only, click these values. For more information, see “ Mapping E-mail Fields to Issue Fields” .

c Select Send an e-mail to <Reply to Sender> to send an acknowledgement to the submitter. (For more information, see “ Defining E-mails”) .

6 Click OK to save the rule. The rule is added to the bottom of the mail-handling list.

7 Select the rule and click the Up and Down arrows to specify the processing order for the rule.

In most systems, the first rule checks whether an e-mail refers to an existing issue to avoid the possibility of creating duplicate issues. The easiest way to create this rule is to specify a condition that checks whether the e-mail contains a reference to an existing issue. If there is no match, only then should the system go on to check whether the e-mail contains details of a new issue.

Related Topics

Mail Settings

Configuring E-mail Integrity


Mail Settings

In order for the Issue Tracker E-mail Integration to process incoming and outgoing e-mails, several Mail Settings must be configured in Issue Tracker.

To configure the Mail Settings:

Log on to Issue Tracker Web Admin. Click the E-mail tab and the Mail Settings section.

Fill in the Outgoing E-mail Settings. These settings are used when sending e-mails.

Click Test to ensure Issue Tracker is able to connect to the SMTP server using the settings you provided.

Option | Description
Hostname | The hostname or IP address of the SMTP server. For example: smtp.mycompany.com
Port | The port through which the SMTP server communicates. The default SMTP server port is 25.
SSL | Issue Tracker supports SSL, enabling you to use secure connections to your email server. Selecting Yes from the drop down list will ensure that Issue Tracker communicates uttilising the SSL protocol.
Logon | The logon account used to gain access to the SMTP server. Use this only if your SMTP server requires authentication.
Password | The password for logging into the SMTP server. Use this only if your SMTP server requires authentication.
Request Read Receipt | Read receipts will appear in the conversation, confirming that the recipient has read the message. Note, however, that some recipients may choose to never send read receipts.
Send Automatic E-mail Notifications From | Name of the sender for SMTP e-mail. Some SMTP mail servers require the sender to be a valid e-mail address.Supported Formats: "Notification Service" <notificationservice@yourcompany.com> notificationservice@yourcompany.com
Send Automatic E-mail Notifications Every | Send e-mail notifications at the specified interval (in minutes).
Maximum Retries | The maximum number of retries for e-mail notifications. Once surpassed, the e-mail will be sent to the address specified in the Send Failed Outgoing E-mails To.
Send Failed Outgoing E-mails To | If the Maximum Retries is surpassed, the e-mail will be sent to this address. If there is no address specified, the e-mail service will continue trying to send to the original recipient.

Fill in the Incoming E-mail Settings. These settings are used when receiving e-mails, together with the Account, Server and Logon Information specified in the defined Mail Integrations. For more information, see Setting Up E-mail Integration .

Option | Description
Check Server For New Mail Every | Check for new incoming e-mails at the specified interval (in minutes).

Related Topics

Setting Up E-mail Integration


Mapping Message Fields to Issue Fields

When an e-mail is sent to a monitored address, Issue Tracker generates an issue and copies information from the e-mail to specified issue fields. Issue Tracker automatically creates a default mapping between the e-mail fields and specified issue fields when you integrate an account. For example, the body of the e-mail is copied to the issue’s Description field. However, you can change the fields that the e-mail information is copied to using the Edit Mapping button.

To view the field mappings for the specified account:

Click the Edit Mapping button. The Edit Mapping window lists the fields in your selected project, with mandatory fields shown in red.

To map an e-mail field to a project field:

Double-click the row of the project field you wish to map. The Edit Mapping Field window is displayed.

In the Edit Mapping Field window, select the E-mail Field you want to map to the selected project field, and click the OK button.

To undo a field mapping:

In the Edit Mapping window, double-click the mapping you want to cancel.

In the Edit Mapping Field window, deselect the Assign value to this field check box and click the OK button.

Click the OK button to save your changes, and close the Edit Mapping window.

In addition to the usual E-mail Fields, a special field called Lookup user from e-mail’s sender is included. If a project field is mapped to this field, the system will use the incoming e-mail’s From address in an attempt to find an existing Issue Tracker user or contact who matches the credentials. When looking for a match, the system will consider all e-mail addresses associated with the user - not only the primary address. (See Associating Multiple E-mail Addresses to a Single Contact )

If a user is found, that user will be associated with the e-mail. Otherwise, a contact may be created automatically if the option Create a contact based on the “from” address in the Default Values is set (See Setting Default Values for Issues Submitted by E-mail ).

For example, a typical mapping could be like this:

E-mail Field | Vector Issue Tracker Field
Subject | Summary
Body | Description Log
From | Instead of mapping From to a Vector Issue Tracker field, you can use the <Look up User from sender’s e-mail> macro to fill in the field with Vector Issue Tracker user ID.
To | Contact (this would allow you to search for issues submitted by e-mail)

Related Topics

Setting Up E-mail Integration

Mail Settings

Setting Default Values for Issues Submitted by E-mail


Setting Default Values for Issues Submitted by E-mail

While the Edit Mapping window will allow associating e-mail fields to Issue Tracker project fields, it is possible to define a separate set of values that will be applied along with the imported e-mail fields. When Issue Tracker fields are not mapped to e-mail fields, or when those mapped values are empty, the default values are considered. There are two different types of Default Values:

· Global Default Values are set in the Issue Completion section of the E-mail Integration Account window.

· Rule Default Values can be set within any specific Rule that has Create as an Action Type, and if specified, they can override the Global Default Values.

For example, you could have a Global Default Value that sets the Issue Tracker field Priority to Medium. This may be acceptable in the majority of cases, but for the sake of this example, let’s say a Rule is created to treat e-mails sent from the CEO to the Issue Tracker system. In this case, you may want the issue Priority to be set to High, instead of Medium, but still use all other existing Global Default Values. By using the Rule Default Values, special cases like the one just described are possible.

If you mapped Lookup user from e-mail’s sender to any Issue Tracker field in the Edit Mapping window, selecting the Create a contact based on the “from” address if one doesn't already exist checkbox will enable the auto-creation of contacts when no match is found in the system. (See Mapping Message Fields to Issue Fields )

When a contact is created, Issue Tracker will analyze the "from" address, and attempt to automatically associate the contact with a company. To achieve this, Issue Tracker looks at the e-mail domain (ex: bob@mycompany.com), and looks for a company that has a similar e-mail address. It knows to ignore common e-mail domains like Gmail, Hotmail, Yahoo, etc. To make modifications to the invalid e-mail domain list, see Ignoring Specific E-mail Domains When Creating Companies .

Related Topics

Mapping Message Fields to Issue Fields


Sending Automatic E-mails

From both the E-mail Integration Rules and the SLA Escalation Rules, you can send an e-mail message automatically as an action.

To send an automatic e-mail as an SLA Escalation Rule Action:

Log on to Web Admin.

Click the SLA tab and the Service Levels section. Select a Project and a Service Level and click the Escalation Rules tab. Load an Escalation Rule, and click Send an e-mail as an Action.

Enter the e-mail information and click OK. This e-mail will be sent when the conditions of the SLA Escalation Rule are met.

Tip: Automatic SLA Escalation Rule E-mail Actions are useful for informing the Owner of when they need to resolve an issue by.

To send an automatic e-mail as an E-mail Integration Rule Action:

Log on to Web Admin.

Click the E-mail tab and the Incoming Mail section. Select a Project load an E-mail Integration. Load a Mail Handling Rule, and click Send an e-mail as an Action.

Enter the e-mail information and click OK. This e-mail will be sent when the conditions of the Mail Handling Rule are met.

Tip: Automatic E-mail Integration Rule E-mail Actions are useful for replying to the person who sent the e-mail to tell them the number of the issue that the e-mail created so they can follow up on it at a later time.


Configuring E-mail Integrity

Issue Tracker features an automatic process which compares e-mails found a POP server, and ensures they are present in the system. This added layer of verification ensures that e-mails will be integrated, even if a mail server problem is encountered when originally trying to integrate. This feature directly complements the existing E-mail Integration functionality, while requiring little to no configuration.

By default, E-mail Integrity will run every 60 minutes.

To change how often the Integrity process will run:

1 Open Issue Tracker Admin.

2 Click Tools.

3 Click Options.

4 Locate the option named Mail Integration Check Email Interval, and take note of the value.

Given that E-mail Integrity is so closely bound to E-mail Integration, we must consider the Mail Integration Check Email Interval.

By default, the Mail Integration Check Email Interval is set to 2, which means the Integration service will check for new mail every two minutes.

To learn how to change the integration check e-mail interval, see the Mail Settings topic.

5 Locate the option named Mail Integrity Verification Interval.

This option represents how often the Integration service should run a complete Mail Integrity Verification on the integration mailboxes.

By default, the Mail Integrity Verification Interval is set to 30, which means Integrity will run every 30 regular Mail Integration Email Check Intervals.

If the Mail Integration Email Check Interval is set to 2 minutes, that means 30 Mail Integration Email Check Intervals will take 60 minutes.

When modifying this value, make sure to always consider the Mail Integration Check Email Interval, as we did in Step 4.

6 Enter the desired interval in the Mail Integrity Verification Interval field.

7 Click OK.

Internally, E-mail Integrity is regularly checking the last five days of mail, following the interval configured above. If it ever notices an e-mail that is present on the POP server, but missing from Issue Tracker, it will flag it to the Integration service. Every time an E-mail Integration executes, it always looks for any flagged messages, and immediately imports them.

Related Topics

Setting Up E-mail Integration

Mail Settings


Activity Log

The Activity Log provides all the information about the actions taken to solve the issue in a comprehensive and simple way, automatically keeping track of all the e-mail communication.

Readily available and conveniently displayed in an integrated timeline, the Activity Log increases efficiency and reduces the time spent in solving incidents and problems.

The Activity Log eliminates the highly inefficient task of going back and forth between applications to check information about the issue and the correspondence with the customer or end user (contact).

With Vector Issue Tracker, you have complete and simple access to all the information about the issue, the contact and the correspondence in chronological order, regardless of whether it was exchanged with you or with other employees.

While actions and notes can be entered manually in the Activity Log, the system will automatically include the e-mails that are related to the issue. The included e-mails are those that were either:

Sent from the issue (See Sending E-mails From the Web Views ).

Sent to the Issue Tracker system, and linked to the issue by the E-mail Integration service.

In order to facilitate the reading of the Activity Log, the contents of e-mails are limited to the first few lines. In this case, clicking on (view e-mail) will locate and expand the full e-mail in the E-mail Conversation window.

Note:

The Activity Log is a special field and the Web Field attribute Editor must be set to HTML (see Adding Pop-up Editors ).

Related Topics

Adding Timestamping Fields

E-mail Conversation


Sending E-mails From Web views

Sending E-mails From the Web Views

To send an e-mail containing information about an issue:

Log on to a Web view.

Load an issue and click on the [image] button.

The E-mail Editor will open, with the default Current Issue Template. You can add the value of additional fields using the Field Value Macro.

Click the Send button.

This e-mail will be added to the issue’s Conversation if the Save to Conversation checkbox is selected.

To Reply, Reply All and Forward E-mails from the Conversation or Queue:

Refer to the section E-mail Conversation and E-mail Queue

Service Level Agreements (SLA) and E-mails:

If the issue has an SLA agreement associated with it, the first time you send an e-mail from Issue Tracker to the Contact of the issue, the Actual Initial Response Date and Actual Initial Response Time fields in the issue will automatically be set to the date and time when the e-mail is sent (if they aren’t set already).


Using the E-mail Editor

The E-mail Editor in Issue Tracker allows you and your users to create and send e-mail messages from the Web view. You can also configure e-mail to be sent automatically from SLA or E-mail Integration (for example, when Issue Tracker creates a new issue from an incoming e-mail, or when an SLA rule changes the Owner of an issue).

Sending E-mails

Editing the To, CC, and From Fields

You can specify users by either looking up users and contacts in Issue Tracker, using macros or typing in the e-mail address directly.

To lookup users and contacts in Issue Tracker, beside the To, CC, or From box, click [image] .

In the Select Users and Contacts dialog box, double-click the users and contacts you want to add.

The list of selected users and contacts is displayed under Selected Users and Contacts. You can edit this string of text, for example, to remove a user, or to add the e-mail address of a person who is not a user or contact.

Notes

The text box beside the Find button allows you to display all users and contacts whose names start with the same letters. In the text box, type the first few letters of the name and then click Find.

To display the complete list of users and contacts again, delete all text from the box and then click Find.

Click Advanced to search for all users and contacts whose names contain the same string, or to search based on e-mail addresses.

If you would like to send separate e-mails to several recipients, select the Send e-mail to each recipient individually checkbox. If you have recipients entered in the CC field, you will not be able to send individual e-mails.

Editing E-mail Content

You can type in any text you want, and you can use macros to insert the issue number, the name of the project, and the values of different fields (such as the Summary and Description Log).

If you prefer your e-mail body to be in HTML format, click the HTML in Body checkbox.

Attaching Files

Beside the Attachments box, click [image] .

In the E-mail Content Attachments dialog, click Browse and locate the file you want to attach. Click Upload or Link.

This adds the file to the list of files attached to this e-mail message. Every time the e-mail message is sent, the files are attached to the message.


E-mail Conversation and Queue

E-mail integration brings the ability to view support-related and other e-mails directly from the Web views. The E-mail Conversation and Queue are where you can view and manipulate these integrated e-mails.

The E-mail Conversation

The E-mail Conversation is where you can access all the e-mails related to a specific issue.

To access an issue’s E-mail Conversation:

Log on to the Web view where the issue can be found.

Find the issue using the search feature.

Select the issue from the summary list.

Click [image] in the toolbar.

The E-mail Queue

The E-mail Queue is where you can access and process all the e-mails pending assessment from a help desk analyst. These e-mails have not been associated to any existing issue.

To access the E-mail Queue:

Log on to a Web view of the desired Project. (Each Project has its own E-mail Queue.)

Click [image] in the toolbar.

Processing E-mails in the WebView

The E-mail Conversation and Queue are where integrated e-mails can be processed, in the Web view. There, you can:

Send a new e-mail.

Reply to an e-mail.

Forward an e-mail.

Link an e-mail to an existing issue.

Create a new issue from an e-mail.

Sending New E-mails

E-mails are created and sent using the e-mail editor (see Using the E-mail Editor ).

You might be interested, for example, in sending an e-mail and keep a copy in an issue’s E-mail Conversation and Activity Log.

New e-mails' fields will be completely blank with the exception of the From address which is determined by your E-mail Options , and the Subject which, for the Conversation only, is pre-filled with the respective issue number.

To send a new e-mail from an E-mail Conversation or the E-mail Queue, click [image].

Replying to E-mails

E-mail replies are created and sent using the e-mail editor (see Using the E-mail Editor ).

You might be interested, for example, in requesting more information from a customer after receiving a support e-mail.

E-mail replies are pre-filled with the original e-mail’s content, and the From address is determined either by the original e-mail’s Integration Account’s (see Setting up E-mail Integration ) e-mail address, or by your E-mail Options if the original e-mail didn’t come from E-mail Integration.

To reply to an e-mail from an E-mail Conversation or the E-mail Queue, click [image] or [image], depending whether you want to reply only to the sender or to all the original recipients as well.

Note: see Sending E-mails From Web views to see how an E-mail Conversation reply can automatically update the respective issue’s Actual Initial Response Date and Time.

Forwarding E-mails

Forwarded e-mails are created and sent using the E-mail Editor .

You might be interested, for example, in sending a copy of a customer e-mail to a colleague for second-line support.

Forwarded e-mails are pre-filled with the original e-mail’s content with the exception of the To recipient which is left blank. The From address is determined by your E-mail Options .

To forward an e-mail from an E-mail Conversation or the E-mail Queue, click [image].

Lining an E-mail to an Existing Issue

Whether an e-mail is already in an issue’s E-mail Conversation or still in the E-mail Queue, you might find out it is related to some (other) existing issue.

To link an e-mail to an issue, from an E-mail Conversation or the E-mail Queue, click [image].

After the e-mail is linked to this new issue, it can be found in this issue’s E-mail Conversation.

Creating a New Issue From an E-mail

Whether an e-mail is already in an issue’s E-mail Conversation or still in the E-mail Queue, you might decide a new issue needs to be created with regards to the information found in it.

To create a new issue from an e-mail in an E-mail Conversation or the E-mail Queue, click [image].

After the issue is created, you will receive a message stating the new issue’s number, and the e-mail will now be in this issue’s E-mail Conversation.


E-mail Editor Macros

E-mail Macros

Macros are available when you use the E-mail Editor in the Web views and Web Admin.

Macros resolve values for information related to the issue so you don’t have to look it up manually.

Macro | Available In Fields | Description
<Contact> | To, CC, From | The person who is entered in the Contact field in the issue. This is usually the person who reported the issue.
<Owner> | To, CC, From | The person who is entered in the Owner field in the issue.
<Previous Owner> | To, CC, From | The person who was entered in the Owner field in the issue before it was reassigned to a new Issue Tracker user.
<Submitter> | To, CC, From | The person who is entered in the Submitter field in the issue. This is the person who entered the issue in Issue Tracker.
<Work Team Members> | To, CC | The people who belong to the work group that is entered in the Assigned Work Team field in the issue.
<Reply To Sender> | To | The person who sent the e-mail. This only applies when replying to an e-mail through the Conversation or Queue or from the E-mail Integration Actions.
<Reply To CC> | CC | The people who were CCed on the e-mail that was sent. This only applies when replying to an e-mail through the Conversation or Queue or from the E-mail Integration Actions.
<Integration E-mail> | From | The e-mail address specified for the E-mail Integration Account.
<Server Mail Sender From Admin Options> | From | The e-mail address specified in the Mail Settings for who to Send Automatic E-mails Notifications From.
Field Value | Subject, Body | The value of a field in the issue.
Issue Number | Subject, Body | The number of the issue.
Project Name | Subject, Body | The name of the project the issue is in.
Link To Issue | Body | Generates a URL that you can include in the e-mail to allow people who have access to the Web views to log in to a specific view and automatically load the issue you specified.

To use a macro:

Position your cursor in the e-mail where you would like the resolved macro to be inserted.

Click on the Macros tab.

Click on the macro you would like to insert. In the Web views, the macro will be resolved to the current value. In templates and in Web Admin, the macro will remain unresolved so that it can be resolved when the automatic e-mail is sent or when the template is applied to an e-mail.


E-mail Templates

Templates are available when you use the E-mail Editor in the Web views.

Use templates to store reusable e-mail content so that your users can quickly create e-mails when standard responses are required. A template can contain Subject, Body and Attachment information.

To create a template:

All users who have access to the Web View – Manage E-mail Templates can create and edit templates.

To create a template, open the E-mail Editor to create a new e-mail. Click the Templates tab and click Add a new template.

By default, the new template is filled in with any subject, attachment and body text that was entered in the e-mail you added the template from.

Enter a Name for the template, as well as any subject, attachment or body text that you want in the template.

Click OK, and your new template will be available in the Templates list for all users who have the feature Web View – Manage E-mail Templates.

To use a template:

All users who have access to the Web View – Manage E-mail Templates can use templates.

To use a template, open the E-mail Editor to create a new e-mail. Click the Templates tab and select the template you want to use. Click Apply the selected template.


Web View E-mail Options

The Web view E-mail Options affect all e-mails created from the Web views, be it from the E-mail toolbar button, an issue’s E-mail Conversation or the E-mail Queue .

Two options are available to Web view users regarding e-mails:

The From address to be used when composing e-mails.

The requesting of read receipts.

By default, every user’s E-mail Options are:

From Address: their own e-mail address.

Read Receipts: requested.

To change your E-mail Options:

Log on to a Web view.

Click [image] in the toolbar.

Click the E-mail tab to open it.

Perform the desired changes and click OK.

The "From Address" E-mail Option

You have the option to use the e-mail address of your Issue Tracker user account or any other e-mail address, when sending e-mails from Web views.

No matter what this option is set to, replies to e-mails coming from an E-mail Integration Account will always have the respective account’s e-mail address as their From address.

The "Read Receipts" E-mail Option

You have the option to request a read receipt for all the e-mails you send from any Web view.

Depending on the From address of your e-mails and the E-mail Integration configuration, these read receipts can be processed automatically by the E-mail Integration feature.

Note that read receipts can be recognized by their subjects starting with “Read:”.


Chapter 9 - Defining Workflow Rules


About Workflow Rules

Workflow rules allow you to define and enforce an issue handling process. Together with e-mail notifications, workflow rules help you automate the tracking and management of issues.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

What is a Workflow Rule?

Creating Rule Templates

Defining Conditions

Defining Rules

Deleting Rules

Renaming Rules

Using Macros in Rules

Setting Possible Values

Changing When Rules Are Evaluated

Changing the Order of Evaluation

Applying Workflow Rules

Disabling Workflow Rules


What Can You Do with Workflow Rules?

When a user selects a choice from a choice list, you can:

Select choices in other choice lists.

Change the possible choices in other choice lists.

Hide fields.

Disable fields.

Make fields required.

Hide tabs.

These are the basics of workflow rules. However, this explanation leaves out some important details:

By default, rules are applied when a user creates, saves, or loads an issue. You can also force rules to be evaluated when a user selects a choice.

Workflow rules can also be based on more complicated conditions. For example, a rule may require that certain choices are selected from a number of different choice lists, or that the user is a member of a specific group, or both.

Automate Workflow

By controlling the possible values of the Progress field, you can define and enforce a process.

Simple workflow controlled by Progress values

Examples

Example 1:

After an analyst starts work on an issue and marks it In Progress, you can enforce a process where only the analyst can mark the issue as Dropped, Resolved, or To be Verified.

When:

<User in Group> = Help Desk Analyst AND

Progress = In Progress

The possible values are:

Progress = Dropped

Progress = Resolved

Progress = To be Verified

Note that Progress = In Progress is an implied possible value. A choice list can always be set back to its current value. For example, if a user is not a help desk analyst and an issue is marked In Progress, the Progress list contains only one choice: In Progress.

This rule is an example of a possible values rule.

Example 2:

You can prevent anyone except a group leader from assigning new issues.

When:

<User in Group> = Help Desk Group Leader AND
Progress = New

The possible values are:

Progress = Assigned

This prevents new issues from being resolved or dropped without first being assigned to an analyst by the group leader. If a user is not a group leader, the only possible choice is New.

Create Related Choice Lists

You can define rules to create a relationship between two choice lists.

Examples

If Problem Type can be Hardware, Software, or System, Problem Area can be a type-specific list that displays a list of hardware components, software applications, or system components.

When:

Problem Type = Hardware

The possible values are:

Problem Area = Disk
Problem Area = Monitor
Problem Area = Keyboard
Problem Area = Memory

You need to create similar rules for software and system problems.

By default, workflow rules are evaluated when an issue is saved. For related choice lists like the ones in this example, you probably want to evaluate the rule whenever the Problem Type changes. Otherwise, users would have to select a Problem Type, save the issue, and then select the Problem Area.

Set Field Values

Instead of setting the possible values of a choice list, you can define rules that select choices from other lists. These type of rules are called a dependent values rules, because they make the value of one field depend on the value of another field.

Examples

This rule that assigns a default owner based on the Problem Area.

When:

Owner = <None> AND

Problem Area = SW - Outlook

The values to set are:

Owner = Erick Yanez

This rule assigns a default owner for new issues, but allows the issue to be reassigned. Without <New Issue> = yes, users could not change the owner of the issue.

Related Topics

What You Should Know about Workflow Rules

What is a Workflow Rule?

Creating Rule Templates

Defining Rules

Changing When Rules Are Evaluated


What You Should Know about Workflow Rules

Rules work with single-choice list fields

You cannot define rules that apply to any other type of field, including multiple-choice list fields.

Rules are defined per project

All Web views of a project share the same workflow rules. You cannot disable the workflow rules for specific Web views. The rules are either enabled for all views or disabled for all views.

Rules can impact performance

Defining a large number of rules may impact the performance of Web views.

Using workflow rules to set default values is a good choice if you have a small number of rules and are not limited by resources (server, network, end-user computers).

Rules are evaluated when issues are loaded and created

By default, workflow rules are evaluated when an issue is loaded or created (note that when you save an issue it is immediately re-loaded, triggering the workflow rules). You can force rules to be evaluated when a user changes the value of one of the fields specified in the condition. Evaluating rules on field changes has a potentially higher performance cost. However, if you want to implement dependent fields, you should evaluate the workflow rule on field changes.

Changes to choice lists can break workflow rules

If you remove choices from a choice list, or change the meaning of a choice, rules that use the choice list may stop working or result in unexpected behavior.

By default, rules apply to all users

To build group-specific rules, use the macro <User in Group> in your conditions.

The order of rules is important

Rules are evaluated in the order they are listed in the Workflow Editor. For example, in the default workflow, the rule Admins-<Any> is the first rule in the list. This ensures that any member of the Admin group can make any change to the Progress field.

If the Admins-<Any> rule is last, then an analyst who is also a member of Admins does not have full administrator permissions for changing the Progress field. The stricter rules are evaluated first, limiting the changes the analyst can make.

Related Topics

What Can You Do with Workflow Rules?

What is a Workflow Rule?

Creating Rule Templates

Defining Conditions

Defining Rules


What is a Workflow Rule?

A workflow rule has this simple format:

if ( condition ) then

     action

The condition can test:

If a user belongs to a specific group

If a specific choice was selected from a choice list.

Multiple conditions can be joined with a logical AND. The only test operator available is the equal to operator (=).

If the rule is a possible values rule, the action can specify the possible values for one or more choice lists. If the rule is a dependent values rule, the action can select choices from one or more choice lists.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

Creating Rule Templates

Defining Conditions

Defining Rules


Creating Rule Templates

Before you can define any rules, you must create a template. Templates define the fields used in rules, and rules provide the values. For example, a template might look like this:

When:

<User in Group> = _ _ _ _ AND
Progress = _ _ _ _

The possible values are:

Progress = _ _ _ _

A template defines what the rules look like, while a rule fills in the _ _ _ _ parts with specific values.

To create a rule template:

1 Log on to Issue Tracker Web Admin. Click the Workflow tab. In the Project list, click a project.

Workflow rules based on this template apply to all Web views of this project.

2 Click Template and click Add.

3 In the Add New Template dialog:

In the Template Name box, type a name for the template.

In the Template Description box, type a short description of the template.

Select the type of rules you want to define:

A Dependent Values rule makes the value of one field depend on the value of another field.

For example, if How Found = Reported by Customer then Priority = Highest.

A Possible Values rule makes the possible values of one field depend on the value of another field.

For example, if Type = Doc Defect then the possible values for Functional Area = Help, Readme, or Manual.

A Hidden Fields rule makes the visibility of one or more fields depend on the value of of another field.

For example, if Substate = Cannot be Fixed then the Estimated Fix Time field will disappear.

A Required Fields rule makes the required state of one or more fields depend on the value of another field.

For example, if Substate = Duplicate then Duplicate Issue will become a required field.

A Disabled Fields rule makes the functional availability of one or more fields depend on the value of another field.

For example, if Substate = Cannot be Fixed then Fixed by will be disabled, preventing user input.

A Hidden Tabs rule makes the visibility of one or more tabs depend on the value of a field.

For example, if Substate = Cannot be Fixed then the Fix tab will disappear.

4 Click OK.

5 In the list of templates and rules, click the new template.

6 Under Conditions, click [image]. Then click the Field box three times and click a field whose value you want to test. Repeat for each additional field you want to test.

Conditions determine when a rule is applied. If all the field tests evaluate to True, the rule is applied.

Note that the Field list contains single-choice fields only.

7 If you created a Dependent Values template, click [image] under Dependent Values, then click the Field box three times and click the field whose value you want to set. Repeat for each field whose value you want to set.

Note that the Field list contains single-choice fields only.

If you created a Possible Values template, click [image] under Possible Values, then click the Field box three times and click the field whose possible values you want to specify. Repeat for each field whose possible values you want to specify.

Note that the Field list contains single-choice fields only.

If you created a Hidden Fields template, click [image] under Hidden Fields. Once an empty field row has appeared, no further action is necessary. Multiple fields will be available for selection when defining rules.

If you created a Required Fields template, click [image] under Required Fields. Once an empty field row has appeared, no further action is necessary. Multiple fields will be available for selection when defining rules.

If you created a Disabled Fields template, click [image] under Disabled Fields. Once an empty field row has appeared, no further action is necessary. Multiple fields will be available for selection when defining rules.

If you created a Hidden Tabs template, click [image] under Hidden Tabs. Once an empty tab row has appeared, no further action is necessary. Multiple tabs will be available for selection when defining rules.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

What is a Workflow Rule?

Defining Conditions

Defining Rules

Changing When Rules Are Evaluated

Changing the Order of Evaluation

Applying Workflow Rules

Disabling Workflow Rules


Defining Conditions

Defining Conditions based on User Groups

By default, a rule applies to all users. To build group-specific rules, use the macro <User in Group> in your conditions.

If a user belongs to a group for which there is no rule, then for possible values, the fields displays all possible values.

Rules that apply to the Users group apply to all users, because all users are members of the Users group. Rules for specific groups can override the base rule defined for the Users group.

Defining Conditions for New Issues

To define rules that apply only to new issues, use the macro <New Issue> in the condition. <New Issue> is equal to Yes only for issues that have never been saved.


Defining Rules

Defining a rule involves filling in the template with specific values.

Note that while you edit rules, you can edit the values, but you cannot add or remove fields. To add or remove fields you must edit the rule template.

To define a rule:

1 Log on to Issue Tracker Web Admin. Click the Workflow tab.

2 In the Project list, click a project, then click a rule template.

3 Click Rule and then click Add.

4 Under Conditions, specify the values to test. For each field, click the Value box three times and then click the field value you want to test for.

5 If you are defining a Dependent Values rule, then under Dependent Values, for each field, click the value you want to set. To use the value of another field, double-click the <Values of Field???> macro.

If you are defining a Possible Values rule, then under Possible Values, for each field, select the check boxes for each possible value.

If you are defining a Hidden Fields rule, then under Hidden Fields, for each field, select the check boxes for each field you wish to hide.

If you are defining a Required Fields rule, then under Required Fields, for each field, select the check boxes for each field you wish to make required.

If you are defining a Disabled Fields rule, then under Disabled Fields, for each field, select the check boxes for each field you wish to disable.

If you are defining a Hidden Tabs rule, then under Hidden Tabs, for each field, select the check boxes for each tab you wish to hide.

6 Click Apply to apply the rule to the Web views of the project.

Notes

You can also copy a rule and edit it. To copy a rule, click the rule, then click Rule, click Copy, and type a name for the new rule.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

What is a Workflow Rule?

Creating Rule Templates

Deleting Rules

Renaming Rules

Using Macros in Rules

Setting Possible Values

Changing When Rules Are Evaluated

Changing the Order of Evaluation

Applying Workflow Rules

Disabling Workflow Rules


Deleting Rules

To delete a rule:

1 In the list, click a rule.

2 Click Rule and then click Remove.

3 Click Apply to apply the changes to the Web views of the project.

Related Topics

Defining Rules

Renaming Rules

Disabling Workflow Rules


Renaming Rules

To rename a rule:

1 In the list, click a rule.

2 Click Rule and then click Rename.

3 Type the new name for the rule.

To change the default names for new rules:

1 In the list, click a rule template. Click Template and then click Properties.

2 In the Name rules according to box, type the new default name for rules.

By default, rule names are based on the condition values (the values entered in the Value column). The string %Value0% represents the value in the first row of the condition, %Value1% represents the value in the second row, and so on.

If you use a text string (such as WorkflowRule) as the default rule name, rule names are formed by appending a number to the string.

Related Topics

Defining Rules

Deleting Rules

Applying Workflow Rules

Disabling Workflow Rules


Using Macros in Rules

<Any>

Use the <Any> macro in conditions to define a rule that applies to any value of a field, including <Empty>. For example, in the default workflow, the Admins-<Any> rule allows members of the Admins group to set any value in the Progress field.

<Empty>

Use the <Empty> macro in conditions to define a rule that applies when a field is empty.

<User>

<User> represents the current user (the user currently logged on to the Web view). You can use <User> in conditions, as a possible value, and as a dependent value.

<New Issue>

<New Issue> is used to create rules that apply only when an issue is created.

For example, to ensure all issues submitted by managers have high priority by default, a rule like this can be created:

Condition | Dependent Values
<New Issue> = Yes | Priority=High
<User in Group> = Managers |

If the <New Issue> condition is not included, the manager would not be able to change the priority because the rule would reset the value to High when the issue is saved.

<Value of Field???>

This macro allows you to define a Dependent Values rule that assigns the value of a field to another field. For example, when an issue is fixed, a workflow rule could set the value of the Fixed By field to <Value of Owner>.

When you add a dependent values rule, you’ll see the <Value of Field???> macro in the Values column of the Dependent Values table. Double-click <Value of Field???> and then select the field whose value you want to use.

By default, the Submitter field is not enabled. To use the field in the <Value of Field ???> macro, you must enable it using the Field Editor in Issue Tracker Admin.

Related Topics

What Can You Do with Workflow Rules?

Defining Conditions

Defining Rules

Setting Possible Values


Setting Possible Values

When you set the possible values of a field, you don't have to include the current value of the field in the list. For example, given this rule:

When:

<User in Group> = Employees AND
Progress = Waiting

The possible values are:

Progress = Dropped
Progress = In Progress
Progress = Resolved

When Progress is set to Waiting, the Progress list contains Dropped, In Progress, Resolved, and Waiting.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

Defining Conditions

Defining Rules

Using Macros in Rules

Setting Possible Values


Changing When Rules Are Evaluated

By default, workflow rules are evaluated when an issue is loaded and when issues are created.

However, you can force rules to be evaluated when a user changes the value of one of the fields specified in the condition. Keep in mind that evaluating rules on field changes can have a potentially higher performance cost.

To evaluate rules on field changes:

1 In the list, click a template.

2 Click Template and then click Properties.

3 Select the Evaluate rules when users change field values check box.

4 In the Template Properties dialog, click OK.

5 Click Apply to apply the change to the Web views of the project.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

Defining Rules

Changing the Order of Evaluation

Applying Workflow Rules


Changing the Order of Evaluation

Rules are evaluated in the order they are listed in the Workflow Editor. You cannot change the order of rules in a template (except by creating them in the desired order), but you can change the order of the rule templates.

To change the order of evaluation of rule templates:

1 In the Templates list, click a template.

2 Click [image] or [image] to move the template up or down in the list.

3 Click Apply to apply the change to the Web views of the project.

Related Topics

What Can You Do with Workflow Rules?

What You Should Know about Workflow Rules

Creating Rule Templates

Defining Rules

Changing When Rules Are Evaluated

Applying Workflow Rules


Applying Workflow Rules

When you edit a rule, define a new rule, define a new group of rules, or change the group options, you must apply the changes. Apply automatically enables the group of rules. If you enable the rules, but don’t apply them, nothing happens.

To apply workflow rules:

1 In the list, click a template.

2 Click Apply.

Notes

Web view users must log out and then log back on before the changes take effect.

Related Topics

Defining Rules

Deleting Rules

Renaming Rules

Changing when Rules Are Evaluated

Changing the Order of Evaluation

Disabling Workflow Rules


Disabling Workflow Rules

You can disable all the rules based on a given template.

To disable workflow rules:

1 In the list, click a template.

2 Click Template and then click Properties.

3 Clear the Enable in all Web views of the project check box, and click OK in the message box that appears.

4 In the Template Properties dialog, click OK.

5 Click Apply to apply the change to the Web views of the project.

Related Topics

Defining Rules

Deleting Rules

Applying Workflow Rules


Chapter 10 - Defining SLA

Chapter 10 - Defining Service Level Agreements


About Service Level Agreements

A service agreement is an agreement between the help desk and users. It defines a required level of service for the users.

A service agreements can be with individual users (contacts), with all users in a department, or all users in a company.

A service level is a guarantee of a certain level of service. For example, a basic service level may provide 9-to-5 service during the regular working week, while a more comprehensive service level might provide 24 hour service, 7 days a week.

Each service level has its own hours of service, target response and closure times for issues, and escalation rules.

A Web view used by help desk analysts has an SLA tab. This tab contains information about the service level agreement that applies to the issue.

For example, when employee submits new issue, the Escalation State is automatically set to On, and the Problem Area is set based on the Service Type selected by the employee. Based on the service type, priority, and the employee’s contact information (name, department, and company), Vector Issue Tracker sets the Target Initial Response Time, Target Closing Time and Associated SLA fields.


Setting Up Service Agreements

1 Define companies and departments , so you can create service level agreements with groups of users. When you create an agreement, it can be either with a specific user or with all users in a department or in a company.

2 Define the escalation levels .

3 Define the service types .

4 Define service levels . Each service level is defined by the following:

Target times

Escalation Rules

Operational Hours

5 Define service agreements .

6 Optionally, define workflow rules . Vector Issue Tracker includes default workflow rules for the Service Type and Escalation State fields in Web views.


Target Times

A service level defines target response and closure (resolution) times for each possible priority value.

Target Initial Response Time The time it takes to initially respond to a new issue. When a help desk analyst responds to an issue, the analyst has to enter the response date and time on the SLA tab of the Web view.

Target Closure Time The time it takes to resolve the issue, either by fixing the problem or providing an acceptable workaround. When an issue is resolved, Vector Issue Tracker automatically enters the date and time into the issue.

When you create a service level, the level gets the default target times.

To edit the target times:

1 In the Service Level list, click a service level.

2 On the Target Times tab, click a row (for example, to edit the target times for the Highest priority, click that row).

3 Click Edit.

4 In the Edit Target Times dialog, type the target times in the Initial Response Time and Closure Time boxes.

The target times must be integer values, such as 2, 7, or 10. You cannot enter decimal values, such as 2.5.

You can change the time units between minutes, hours, and days. For example, to change from hours to minutes, click hour(s) and then click minute(s) in the pop-up list.


Escalation Levels

Escalation levels allow the help desk to better identify, query, report, and monitor priorities and urgent issues. By default, Vector Issue Tracker defines five escalation levels. Level 1 is the lowest level; Level 5 is the highest.

Time-based escalation rules are used to define a sequence of escalation levels. For example, when a new issue is first submitted to the help desk, the issue is at Level 1. If the help desk does not respond to the issue within the target initial response time, the issue is escalated to Level 2. As more time goes by without either a response or a resolution, the escalation level of the issue is raised, until it reaches the highest escalation level.

Escalation rules and SLAs are enforced only for issues where the Escalation State is set to On. Escalation State is a field on the SLA tab of a Web view. By default, escalation is on, but help desk analysts can pause or disable escalation.

To edit the escalation levels:

1 In Issue Tracker Web Admin, click the Choices tab.

2 In the Project list, click a project.

3 In the Choice List list, click Escalation Level.

4 Edit the escalation levels:

To edit an escalation level, click the escalation level and then click [image].

Click [image] to create a new escalation level.

To delete an escalation level, click the escalation level and then click [image].

To reorder the list, click an escalation level and then use [image] and [image] to move it.


About Escalation Rules

Escalation rules change the escalation level of an issue. Each service level has its own escalation rules.

An escalation rule consists of conditions and actions. If all the conditions are true, then all the actions are executed.

To define an escalation rule:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the Project list, click a project.

3 Click Service Levels.

4 Click the Escalation Rules tab.

5 Click Add, or click an existing rule and then click Copy.

6 In the Escalation Rule Name box, type a name for the rule.

7 Define the condition that triggers the rule.

8 Define an action that changes the escalation level when the condition is met.

9 Click the check box to enable the condition.


Order of Evaluation

Escalation rules are evaluated in the order they are listed on the Evaluation Rules tab. The first (top) rule is evaluated first, then the next rule below it, and so on.

You can change the order of evaluation by using the Up and Down buttons.


Conditions

You can define multiple conditions. When you have multiple conditions, all conditions must be satisfied before the corresponding actions are executed.

Note that you must select the check box adjacent to a condition; otherwise the condition is disabled.

Target Time conditions

You can define conditions based on the target response and closure times. For example, an escalation rule can escalate an issue if the issue has not been assigned to a help desk analyst within the guaranteed response time for that service level.

Alternatively, an escalation rule can send an e-mail reminder when an issue has not been resolved within the guaranteed response time.

<Field> = <Value>

For convenience, the Add Escalation Rule editor allows you to easily add conditions that test the values of up to five choice list fields.

Meets the query <Value>

For more complex conditions, you can use queries built with the Query Editor in Issue Tracker Admin. Queries can use any number and type of field to determine whether to escalate an issue.


Actions

Escalation rules can perform the following actions:

Change the issue priority, owner, assigned work team, or escalation level.

Send an e-mail message.

Run a program.


Sending E-mail Messages

To send an e-mail message

1 Under Actions, click Send an e-mail.

2 In the E-mail Content editor, complete the To, Subject, and Body of the message. You can also attach files.

Editing the To, CC, and From Fields

You can use the macros or you can specify users.

To insert a macro:

1 Click in the To, CC, or From box.

2 Under Available Macros, click the macro you want to insert.

The Contact is the person who reported the issue, while Submitter is the person who entered the issue into Vector Issue Tracker. For example, if a help desk analyst takes a support call, the contact is the person who called, and the analyst is the submitter.

Previous Owner is useful when you send an e-mail message because an issue is reassigned.

To add users to the To, CC, and From lists:

1 Beside the To, CC, or From box, click [image].

2 In the Select Users and Contacts dialog box, double-click the users and contacts you want to add.

The list of selected users and contacts is displayed under Selected Users and Contacts. You can edit this string of text, for example, to remove a user, or to add the e-mail address of a person who is not a user or contact.

Notes

The text box beside the Find button allows you to display all users and contacts whose names start with the same letters. In the text box, type the first few letters of the name and then click Find.

To display the complete list of users and contacts again, delete all text from the box and then click Find.

Click Advanced to search for all users and contacts whose names contain the same string, or to search based on e-mail addresses.

Editing E-mail Content

You can use macros to insert the issue number, the name of the project, and the values of different fields (such as the Summary and Description Log).

To insert the value of a field:

1 In either the Subject box or the Body box, click where you want to insert the field value.

2 Under Available Macros, click Field Value.

3 In the Field Value dialog, click the field whose value you want to insert.

If you want to insert the issue description, insert the Description Log field, not the Description field.

To switch to HTML format:

Select the HTML in Body check box.

Attaching Files

To attach files to an e-mail message:

1 Beside the Attachments box, click [image].

2 In the E-mail Content Attachments dialog, click Browse and locate the file you want to attach. Click Link.

This adds the file to the list of files linked to this e-mail message. Every time the e-mail message is sent, the linked files are attached to the message.


Running Programs

To run a program, type the location and name of the program in the Run Program box. You can include command-line arguments for the program.

The default working directory for programs is the Windows system folder (for example, C:\Windows\system32).

Notes

Programs must not have a user interface or require any user input. The programs are run silently by the Mq.Evaluator service. By default, the programs are run under the credentials of the same user who runs the Mq.Evaluator service (CensusUser by default). You can check this in the Services dialog (Administrative Tools > Services, open the Properties for the service, and then go to the Log On tab).


Specifying Operational Hours

The operational hours define when the service level agreement is in effect. The service level clock stops running outside of those hours.

For example, if the hours of operation are from 9 to 5, Monday to Friday, then a new issue submitted at 4:59 p.m. on Friday is not going to trigger any escalation rules during the weekend. If the service level specifies an initial response time of 30 minutes, then the help desk has until about 9:29 a.m. on Monday before any escalation rules are triggered.

Note also that help desk analysts can stop the clock for specific issues (by setting the Escalation State to Paused). For example, the analyst may “hit pause” while waiting for more information from the end user.

To set the operational hours

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the Project list, click a project.

3 Click Service Levels.

4 Click the Operational Hours tab.

5 In the Start Time and End Time boxes, enter the working hours during which the service level is in effect. Type the times in the format 9:00 AM or 5pm.

6 Enter the number of working hours in a day.

7 Add holidays and other exceptions to the standard working hours.

a Click Add.

b Click the day you want to add.

c Click OK.


Defining Service Levels

To define a service level:

1 In Issue Tracker Web Admin, click the SLA tab.

2 Click Service Levels.

3 In the Project list, click a project.

4 Beside the Service Level box, click [image].

5 In the Add Service Level dialog, type a name and a description for the service level.


Creating Service Agreements

A service agreement is an agreement between the help desk and users. The service agreement defines a required level of service for the users.

A service agreement can be with individual users (contacts), with all users in a department, with all users in a company or apply to everyone (Global).

Global Service Level Agreements

If you would like to define an agreement that will be applied for all issues that don't fall under other agreements for users, departments or companies, select Global for who the agreement is with. To override the global agreement for specific scenarios, you can still define agreements for certain users, departments or companies.

To create a service agreement:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the project list, click a project. (Each project has its own service agreements.)

3 Define a service type. (Each agreement covers a specific type of service, such as Network, Software, or Hardware service.)

4 In the Service Agreements section, click Add.

5 In the Add Service Agreement dialog, enter the required information:

Agreement Name The name used to identify the agreement.

Agreement Description Allows you add some notes or comments related to the agreement. Note that you can also attach documents to an agreement.

Agreement is with a A service agreement can be with individual users (contacts), with all users in a department, all users in a company or everyone (Global).

Agreement Customer Depending on whether the agreement is with a contact, a department, or a company, this list includes all the possible users, departments, or companies. If the agreement is global, this list is disabled.

Reporting Period Choose whether reports for this agreement are weekly, monthly, quarterly, semi-annual, or annual. The reports are available from the Service Agreements section of the SLA tab (click the Reports button).


Applying Service Agreements to Issues

You can apply a service agreement to the issues that are already in the project database. To do this, use a query to specify the issues to which the service agreement is applied.

To apply a service agreement:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the project list, click a project.

3 In the Service Agreements section, click a service agreement.

4 Click Apply.

5 In the Apply Service Agreement dialog, click a query. The agreement is applied to the issues returned by that query.


Disabling Service Agreements

To disable a service agreement:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the project list, click a project.

3 In the Service Agreements section, click a service agreement.

4 Click Edit.

5 In the Update Service Agreement dialog, clear the Service Agreement is enabled check box and then click OK.


Service Level Reporting

Vector Issue Tracker includes a set of service level reports to help you monitor and measure help desk performance against service level objectives,

To view a service level report:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the project list, click a project.

3 In the Service Agreements section, click Reports. (If the Reports button is disabled, click a service agreement.)

4 In the Service Agreement Reports dialog, click the report you want to view, and then click OK, or double-click the report.

5 In the toolbar of the Crystal Reports viewer, click [image] to print the issue. Click [image] to save the report as PDF, Word, or Excel.


Service Types

A service type identifies a type of service delivered by the help desk to help desk customers. The Service Type (for example, software or hardware) is set when an issue is submitted.

Vector Issue Tracker includes default workflow rules that base the Problem Area on the Service Type.

To edit the list of service types:

1 In Issue Tracker Web Admin, click the SLA tab.

2 In the Project list, click a project.

Each project has its own list of service types.

3 In the Choice List list, click SLA Service Types.

4 Edit the service types:

Click [image] to create a new service type.

To delete a service type, click the service type and then click [image].

To rename a service type, click the service type and then click [image].

To reorder the list, click a service type and then use [image] and [image] to move the service type.


Chapter 11 - E-mail Notification


About Notifications

Vector Issue Tracker can generate notifications (e-mail messages) to inform team members of changes to the project database. Notification messages are sent through the native e-mail system.

Notifications keep team members up to date with changes to reported issues. They don't have to run queries, inspect issues, and review revision histories to find out about changes. Instead, they get e-mail messages whenever new issues are assigned to them, or whenever someone edits a issue already assigned to them.

You should try to keep the number of notifications to a minimum. Defining too many notifications for field updates can overwhelm users with e-mail, resulting in users missing important notifications. Use notifications for changes to fields like Owner, Progress, and Priority.

Related Topics

What Can You Do With Notifications?

Editing Notifications

Specifying Notification Recipients

Defining When Conditions

Specifying Notification Contents

Managing Workflow with Notifications

Setting Up Notifications

Handling Notification Failures


What Can You Do With Notifications?

You can send notifications to specific users or contacts, or to the current owner, the previous owner, or the contact (the person who reported the issue).

To trigger notifications, use simple when conditions that test for changes to an issue:

Sending a notification when an issue is reassigned

When an issue is reassigned, you can use the <Owner> and <Previous Owner> to send notifications to both the new and the previous owner.

Send Notification To:
     <Owner>;<Previous Owner>

When:
     Owner Update

The when condition in this example tests for updates to the Owner field.

Sending a notification when a field is updated

You can use the Update test to send a notification when a field is updated.

When:
     Priority Update AND
     Revision Number > 1

In this when condition, the Update test checks for changes to the Priority field.

Testing the Revision Number allows you to distinguish between new issues and existing issues that have had their priority changed. Without the Revision Number > 1 test, a Priority Updated notification would be generated each time someone sets the Priority when they submit a new issue.

Sending a notification when a field is set to a specific value

You can send a notification when the priority of an issue is changed to ASAP. To do this, use a when condition that looks like this:

When:
     Priority Update AND
     Priority = ASAP

This when condition sends a notification when Priority is changed. Without the test, a notification would be sent every time an issue with the specified Priority is saved.

Sending a notification when a new issue is submitted

Each issue has a revision number that increases by one each time it is saved. When an issue is first submitted, this revision number is set to 1, so you can test the revision number to find new issues. For example:

When:
     Revision Number = 1 AND
     Submitted Date = <Today> AND
     Priority = ASAP OR Priority = Today

This when condition looks for new issues submitted today with the highest priorities.

Sending a notification when certain users update an issue

If employees mark the issues they reported as Dropped or Resolved, you can notify the owner of the issue using this test:

Send Notification To:
     <Owner>

When:
     <User in Group> = Employees AND
     Progress Update

The <User in Group> macro allows you to test for user group membership.

Sending a notification when an issue is resolved

You can use the <Contact> macro to notify the submitter when an issues is resolved, or dropped. For example:

Send Notification To:
     <Contact>

When:
     Progress Update AND
     ( Progress = Resolved OR
           Progress = Dropped )

To send an e-mail with a different subject for each possible case (for example, Issue resolved, and Issue dropped), define a separate notification for each Progress value.

Related Topics

About Notifications

Editing Notifications

Specifying Notification Recipients

Defining When Conditions

Specifying Notification Contents

Managing Workflow with Notifications

Setting Up Notifications


Editing Notifications

Issue Tracker Admin provides a Notification editor for editing notifications. To open the editor, click Notification Editor on the Project menu. With the Notification editor, you can:

Specify who receives the notification. Select the names of one or more users from the Send Notification to list.

Define when you want the system to send the notification. Click the When list [image] button to define the condition.

Specify what you want to include in the notification message. The body of a notification message can include information from the issue or the revision history.

Specify the reason for the notification. Type a one-line description in the Notification Description box. You can include this description in the body of the e-mail message.

Related Topics

About Notifications

What Can You Do With Notifications?

Specifying Notification Recipients

Defining When Conditions

Specifying Notification Contents

Managing Workflow with Notifications

Setting Up Notifications


Specifying Notification Recipients

While you can send notifications to specific Vector Issue Tracker users and contacts, it is more useful to send notifications to the users listed in the Owner and Contact fields of an issue. You can do this using macros. For example, to send a notification to the owner of an issue, click the <Owner> macro in the Send Notification To list.

<Owner> The user whose name is currently entered in the Owner field.

<Previous Owner> The user who owned the issue before it was reassigned.

<Contact> The person whose name is currently entered in the Contact field.

Related Topics

About Notifications

What Can You Do With Notifications?

Editing Notification

Defining When Conditions

Specifying Notification Contents

Managing Workflow with Notifications

Setting Up Notifications

Handling Notification Failures


Defining When Conditions

When conditions determine when Vector Issue Tracker sends notifications. A when condition is a test. If an issue satisfies the test, Vector Issue Tracker sends a notification for that issue. You typically use when conditions to:

Test for updates of a given field. For example, a when condition can generate a notification when issues are reassigned (by testing if the Owner field has been updated).

Test for updates by a specific user or by users in a specific group. For example, a when condition can generate a notification when anybody except a manager updates the Priority.

To edit the when conditions for a notification, use the When editor. Like the Query editor, the When editor allows you to combine multiple conditions with parentheses and the And and Or operators.

To open the When Editor:

Click [image] beside the When field in the Notification editor.

Sending Notifications of Field Updates

To send a notification when someone edits a field, use the Update test.

To send Update notifications for a field, select the Maintain Revision History check box for that field (in the Field Editor).

Basing Notifications on Users

The Field Name list includes the macros <User> and <User in Group>. Use these macros together with = and <> to test who updated an issue. For example, the following condition sends a notification when any employee updates the Progress of an issue.

Related Topics

About Notifications

What Can You Do With Notifications?

Editing Notification

Specifying Notification Recipients

Specifying Notification Contents

Managing Workflow with Notifications

Setting Up Notifications

Customizing the Format of Attachments

Attaching Custom Information

Adding Custom Mail Contents

Adding New Notification Reports


Specifying Notification Contents

A notification message can include information about the event and issues that generated the notification. For example, if Vector Issue Tracker generates a notification when a new high priority issue is submitted, the message can include a brief description, such as New high priority issue.

Notifications generated because of changes to a field can include entries from the Revision History that show the changes. The notifications can also include either a summary or a complete copy of the issue.

To specify the contents, you select one or more of the following from the Include list:

Notification Description is the text entered in the Notification Description box of the Notification editor.

Detailed is a copy of the issue.

Revision Record is the entry from the Revision History for the change that generated the notification.

Summary is a brief summary of the issue.

The Notification Description, Revision Record, and Summary are included as text in the message body. Detailed is included as a separate attachment.

To change the information included in the Summary section, edit the Notification - Summary report. For the Detailed attachment, edit the Notification - Detailed Record report.

By default, the Detailed attachment is an HTML file. If you use Crystal Reports for listing reports, the Detailed attachment is an RTF file. See Viewing Reports for more information on using Crystal Reports for listing reports.

The subject of an e-mail notification message is automatically generated, and has this format:

Notification [<project>]: Record <issue number>
<notification name>

For example:

Notification [Issue Tracker]: Record 11 Progress Updated

Related Topics

About Notifications

What Can You Do With Notifications?

Editing Notification

Specifying Notification Recipients

Defining When Conditions

Managing Workflow with Notifications

Setting Up Notifications


Managing Workflow with Notifications

The Progress (or status) of an issue indicates where the issue is in your issue tracking system. As the status of an issue changes from New to Assigned to In Progress to To be Verified to Resolved, different team members become responsible for the issue.

For example, when the issue is assigned to a help desk analyst, you can use update notifications to help manage your help desk workflow. To do this, define a notification that is sent to <Owner> when the issue is assigned and the Progress field set to Assigned.

When the help desk analyst marks the issue an In Progress, you can send a notification to the employee who submitted the issue. Similarly, the an Employee updates the issue (for example, by adding more details to the description), you can have Vector Issue Tracker notify the help desk analyst of the change.

Related Topics

About Notifications

What Can You Do With Notifications?

Editing Notification

Specifying Notification Recipients

Defining When Conditions

Specifying Notification Contents

Setting Up Notifications

Handling Notification Failures


Setting Up Notifications - Email

Setting Up Notifications

To set up notifications for Issue Tracker Web, use:

Issue Tracker Web Admin, a Web-based administration utility.

Issue Tracker Admin, a Windows-based administration tool.

To set up notifications:

1 Set up the notification service.

2 In Issue Tracker Admin or in Issue Tracker Web Admin, set the Mail Server options. These options configure the mail server used to send notifications, and specify how often the notification services checks for new notifications to send. For more information, refer to Mail Settings .

3 In Issue Tracker Admin, define the notifications you want to send.

Setting Up the Notification Service

Vector Issue Tracker installs a Microsoft Windows service named Mq Issue Agent. This service runs on the server where you installed Issue Tracker Web, and takes care of generating and sending e-mail notifications.

In the Windows Services, you can specify whether you want the service to start automatically whenever the server boots or you want to start the service manually.

To set up the notification service on Windows 2003 and Windows XP:

1 Open the Windows Control Panel. Double-click Administrative Tools, then double-click Services.

2 In the right pane, right-click the Mq Issue Agent service, and then click Properties.

3 On the Log On tab, select This account to choose a user account. Type the password for the account in the Password and Confirm password fields.

The account must be a valid domain user account and have permissions through the network.

4 Click Apply.

5 On the General tab, stop and start the service.

To set up the notification service on Windows 2000:

1 Open the Windows Control Panel, click Performance and Maintenance, then click Administrative Tools to open Services.

2 In the right pane, right-click the Mq Issue Agent service, and then click Properties.

3 On the Log On tab, select This account to choose a user account. Type the password for the account in the Password and Confirm password fields.

The user account must be a valid domain user account and have permissions through the network.

4 Click Apply.

5 On the General tab, stop and start the service.

To set up the notification service on Windows NT:

1 Click Start, Settings, Services to open Services.

2 Stop the Mq Issue Agent service.

3 Click Startup.

4 In the Service dialog, select Startup Automatic if you want to start the service automatically every time the computer is restarted.

5 Select This Account and enter a valid domain user account and password that has permissions through the network.

6 Click OK.

7 Click Start to start the service.

Setting the Mail Server Options

You can set the outgoing e-mail server options in Issue Tracker Admin or in Issue Tracker Web Admin.

To set the mail server options in Issue Tracker Admin:

1 Click Options on the Tools menu.

2 Set the server mail options. These options are used when sending notifications.

3 If you use an SMTP mail system, click Test to check your settings.

Option | Description
Server Mail Sender | Name of sender for SMTP e-mail. Some SMTP mail servers require the sender name to be a valid e-mail address. Note that this name does not appear in the From field.
SMTP Server | Name or IP address of your SMTP mail server. You can test your settings by clicking Test.
Server SMTP Port | The port for the SMTP server.
Server Mail Interval | Specifies how often (in minutes) Vector Issue Tracker generates notifications.
Send Invalid Notifications To | If the Maximum Notification Retries is surpassed, the notification will be sent to this address. If there is no address specified, the notification service will continue trying to send to the original recipient.
Maximum Notification Retries | The maximum number of retries for e-mail notifications. Once surpassed, the notification will be sent to the address specified in the Send Invalid Notifications To option.

To set the mail server options in Web Admin, refer to Mail Settings .

Related Topics

About Notifications

What Can You Do With Notifications?

Editing Notification

Specifying Notification Recipients

Defining When Conditions

Specifying Notification Contents

Managing Workflow with Notifications

Handling Notification Failures


Handling Notification Failures

If Vector Issue Tracker is unable to send a notification, it tries to resend the notification. By default, the maximum number of retries is 100. When the maximum number of retries is reached, the notification is sent to the e-mail address specified by the Send Invalid Notifications To option.

To change the Maximum Notification Retries option or the Send Invalid Notifications To option, click Tools>Options in Issue Tracker Admin.


Chapter 12 - Generating Web Views


What is a Web View?

Web views are different views of a Vector Issue Tracker project. Each Web view of a project can display different issues and different fields.

For example, employees don't need to see all the issues in the database, just the ones they reported. Also, they don't need to see internal notes and other information entered by the support staff. Support staff, on the other hand, need access to all the information in the issue database.

Related Topics

Generating Web Views - Issues to Consider

Starting the Web View Editor

Types of Web View

Setting Web View Attributes

Setting Group Access Permissions

Adding the Child Issues Tab

Exporting Fields

Exporting Queries

Editing Field Attributes

Pointing Users to Web Views

Generating Web Views

Copying Web Views

Deleting Web Views

Renaming Web Views

Changing the Date and Time Formats for Web Views

Customizing Web Views

Setting Default Values for Fields


Disabling Banners

Banners will continue to be displayed within their associated web views until they are disabled through Issue Tracker Web Admin.

To disable a banner:

1 Open Issue Tracker Web Admin.

2 Select the Banner tab.

3 Select the a view from the list.

4 Uncheck the Banner is enabled box.

5 Click Apply.

The banner contents will remain accessible, but will no longer be presented to users that log in to the view.

Related Topics

Create Banner Notifications


Creating Banners

Issue Tracker allows privileged users to create banners for any web view they desire. Once created, a banner will be presented to the user as soon as the web view loads. It is therefore useful in conveying an announcement to a specific set of users.

A banner will remain visible until the user clicks the Close button.

To create a banner:

1 Logon to Issue Tracker Web Admin.

2 Select the Banner tab.

3 Select the view you wish to display the banner on. For example HelpDesk/HelpDesk.

4 Enter the message you want to display. HTML is supported.

5 Check the Banner is enabled box.

6 Click Apply.

After applying the changes, any user who logs into the web view will be shown the banner. Those that are currently logged in will not see the message until their next login.

While a banner is active, it will always appear - regardless of whether the user has seen it previously. When no longer needed, banners can be disabled easily, without requiring that the contents are deleted. For more information, see Disabling Banner Notifications .

Related Topics

Disabling Banner Notifications


About the Web View Editor

Use the Web View Editor to create, edit, and generate Web views. To create Web views, you must run the Web View Editor on the Web server.

To start the Web View Editor from Issue Tracker Admin:

On the Tools menu, click Web, then click Web View Editor.

The Tools > Web > Web View Editor command is also available when the Web View editor is installed on the same computer where you are running Issue Tracker Admin.

To start the Web View Editor from the Start menu:

Click Start > Programs > Vector > Issue Tracker > Web View Editor.

Related Topics

Creating Web Views

Copying Web Views

Deleting Web Views

Renaming Web Views


Creating Web Views

To create a new Web view, you must run the Web View Editor on the Web server. Web View Editors installed on other computers can only edit and regenerate existing Web views.

You can either create a new, blank Web view or you can copy an existing web view. Copying allows you to reuse all the settings in the existing Web view. For example, when you copy a Web view , all the field attribute settings are copied.

To create a new, blank Web view:

1 Run the Web View Editor on the Web server.

2 Click New View [image], type the name of the Web view, and click OK.

3 In the Project Name list, click a project.

4 In the View Type list, click the type of view you want to generate.

5 Set the group access permissions for the view.

6 Set the Web view attributes .

7 Export fields to the Web view.

8 Export queries to the Web view.

9 Click [image] to save your settings and generate the Web view.

Notes

To log on to the Web view, click [image].

Click [image] to save your settings without generating the Web view.

Related Topics

Generating Web Views - Issues to Consider

Starting the Web View Editor

Types of Web View

Setting Web View Attributes

Setting Group Access Permissions

Adding the Child Issues Tab

Exporting Fields

Exporting Queries

Editing Field Attributes

Pointing Users to Web Views

Generating Web Views

Deleting Web Views

Renaming Web Views

Changing the Date and Time Formats for Web Views

Customizing Web Views

Improving Web View Performance


Generating Web Views (WebViews)

Generating Web Views

To generate a Web view:

1 In the Project / View list, click a Web view.

2 Click [image] to generate the Web view.

3 To log off all users before generating the Web view, click Yes. If you click No, users logged on to the Web view do not see the changes until they next log on.

4 Click Yes to overwrite the existing files.

5 After the Web view is generated, click [image] to log on to the Web view and test it.

Notes

You can generate Web views without using the Web View Editor. On the Web server computer, click Start > All Programs > Vector > Issue Tracker > Issue Tracker Tools > Generate Web Views.

Issue Tracker has an optional

Related Topics

Starting the Web View Editor

Creating Web Views

Releasing Databases


Copying Web Views

You can create a Web view based on an existing Web view. Note that if you copy a view and then change the project, all view settings are cleared.

To copy a Web view:

1 In the Project / View list, click a Web view.

2 Click Copy [image].

3 Type a name for the new Web view.

The Web View Editor creates a new Web view that is an exact copy of the selected Web view.

Related Topics

Starting the Web View Editor

Creating Web Views

Generating Web Views

Deleting Web Views

Renaming Web Views


Deleting Web Views

To delete a Web view:

1 In the Project / View list, click a Web view.

2 Click Delete [image].

Deleting a view deletes all the generated files and folders (used by that Web view) on your server.

Related Topics

Starting the Web View Editor

Creating Web Views

Copying Web Views

Renaming Web Views


Renaming Web Views

To rename a Web view:

1 In the Project / View list, click a Web view.

2 Click Rename [image].

3 Type a new name for the Web view.

Related Topics

Starting the Web View Editor

Generating Web Views

Creating Web Views

Copying Web Views

Deleting Web Views


Types of Web Views

Normal Views

Normal views allow users to submit and update issues, to view the history and e-mail conversation of the issue, to view reports and summary lists, and more. This type of Web view has more features available than the other types and every user session (from logon to logoff) takes up one license.

Read-only Views

Read-only views allow users to review existing issues, but not to edit them. All fields are read-only, and users cannot create or submit new issues.

Knowledge Base Views

Knowledge Base views allow users to look through Knowledge Base Articles that have already been published by Issue Tracker analysts. These views are equipped with a quick search feature, as well as the ability to load a specific article by ID.

The administrator can choose whether to create a Knowlege Base view that requires a logon, or not. If the view will not require the user to login, one privileged user account must be associated with the view. It must belong to a group that has permission to open the Web view, and to add and update contacts.

For more information, refer to Knowledge Base Views .

Frequently Asked Questions Views

Frequently Asked Questions views provide a list of articles from the Knowledge Base, specifically, all of those that have Article Type set to FAQ. These views feature a quick search feature, and the ability to open multiple FAQs right in the search results.

The administrator can choose whether to create a FAQ view that requires a logon, or not. If the view will not require the user to login, one privileged user account must be associated with the view. It must belong to a group that has permission to open the Web view, and to add and update contacts.

For more information, refer to FAQ Views .

Submit-only Views

Submit-only views are used to submit new issues. A submit-only view is basically just a form and a Submit button. Users cannot run queries or edit (or even view) existing issues.

A submit-only view allows an unlimited number of users to submit issues. All you need is a single Vector Issue Tracker user account. Users automatically log on to the view with this account (in fact, users never see the logon window, they go straight to the view).

This user account must belong to a group that has permission to open the Web view, and to add and update contacts. The account is used to set the Submitter field.

If you have more than one submit-only view for the same project, you may want to create separate accounts for each view. This allows you to distinguish between issues submitted from different views.

The user submitting the issue is considered the contact. Users must enter their contact information (name, e-mail, and so on) the first time they submit an issue.

Self-Service Views

Self-Service views are a type of Web view to be used by either internal or external Issue Tracker users to enter issues and be able to view (and possibly edit) the issues they have submitted. You can choose to allow them to edit certain fields in issues that they have submitted (for example, the Description field); or allow them to edit fields that were left empty when they submitted the issue; or simply view their submitted issues in a read-only format.

For more information, refer to Self-Service Views .

How licenses are used depending on the type of Web view

Each user session in a Normal Web view takes up one concurrent or floating license.

Submit-Only views do not take up any license.

Unlike normal Web views, the Knowledge Base, FAQ, Self-Service and Read-Only Web views follow a slightly different licensing model: for each concurrent license that is available, 5 logons will be allowed.

For example, if you have 20 concurrent licenses, and 15 licenses are already being used in Normal Web views, that means there are 25 logons (5 free concurrent licenses times 5) available to the Knowledge Base, FAQ, Self-Service or Read-Only views. These 25 logons are shared across all four Web views - which means you could have a scenario where all logons are used up with the Knowledge Base view using 6 logons, the Self-Service view using 8, the Read-Only view 4, and the Submit-Only view 7.

If you have 20 concurrent licenses and none of them are in use, there are 100 logons available to the Knowledge Base, FAQ, Self-Service or Read-Only views.

Reserving Licenses

It is possible to reserve licenses for specific users.

For more information, refer to Reserving Licenses .


Setting up Surveys

Constantly improving the Issue Tracker experience is important and Issue Tracker enables users to understand the thoughts of the user base throughout your organisation.

At the end of a session, a simple to use survey can be presented to the end user, allowing them to answer your questions about their experience.

This customisable view, allows you to ask questions specific to your organisation and the Issue Tracker/Support experience as a whole.

Making Surveys Available to your End Users

Users can access the Survey through a link provided in email notifications that can be sent automatically when an issue is closed or manually as an Issue Tracker Analyst closes an issue.

The email notification will contain a unique HTML link for that particular issue, allowing them to answer questions for their specific issue.

Adding a Question to your Survey

To create a survey within the HelpDesk project within Vector Issue Tracker, a Survey view is a specific view type within Issue Tracker that allows you to collate the results in a centralised location, giving you easy access to the feedback.

1 Open the Issue Tracker Admin program.

2 Select the Project you wish to create a new survey question in.

3 Select the Field Editor from Project menu.

4 Click the [image] New Field icon.

5 Create your new field and ensure you select that it is displayed on the Survey tab.

6 If you are asking a multiple choice question, select the correct Table containing the responses you require.

The standard table contains Satisfied and Disatisfied.

7 Click Apply.

To add this to the Survey questions, the field needs to be added to the Web View.

8 Open the Issue Tracker Web View Editor.

9 Select the HelpDesk/Survey view within Project/View selection field.

10 Select the Fields option within the Issue Tracker Web View Editor.

11 Select the Survey option from the Tabs drop down menu.

12 Import the new field to the View by clicking [image].

13 Select your new field and click Attributes.

14 Ensure that Rating Field is set to Yes.

15 Click Apply to apply your new field to your survey.


Setting Web View Attributes

To set Web view attributes:

1 In the shortcut bar, click [image] Web View.

2 Click [image] (beside Attributes) to open the Web View Attributes dialog:

Auto Refresh Summary List

Frequency (in seconds) to automatically refresh the Summary List. Enter 0 to turn off auto refreshing.

By default, the summary list will refresh every 300 seconds (5 minutes).

If you change this attribute, you must regenerate the Web view.

Contact Tab in Record Details

Whether the fields exported on the Contact tab should appear in the record details section (tabs section) or just in the user details pop-up.

If you change this attribute, you must regenerate the Web view.

Description

Description of the Web view. Displayed in the list of Web views that appears when a user logs on. The default description is the Project / View name. To include the project and view names in the description, use the macros <ProjectName> and <ViewName>.

If you change this attribute, you must regenerate the Web view.

Display All Read-Only Fields As Text

Read-only fields can be displayed as text (Yes) or as disabled controls (No). In a read-only Web view, all fields are read-only. In normal and submit-only Web views, read-only fields have been disabled through the Field editor.

If you change this attribute, you must regenerate the Web view.

Issues per Page

The number of issues to show per page in the Summary List.

Timeout

The number of minutes of inactivity before the browser session times out and the user is logged off.

Load Issues Not In Query

If Yes, users can load any issue by typing the issue number in the Issue box of a Web view. If No, users can load only the issues shown in the Summary List.

Web View Text

Text that will appear above the fields on the first tab of the web view.

If you change this attribute, you must regenerate the Web view.

Web View Text CSS Class

CSS Class to use for the Web View Text. For more information, see Applying CSS Styles .

If you change this attribute, you must regenerate the Web view.

Web View Theme

Which theme to use for the web view. Themes alter visual elements like icons, text, etc.

This is an advanced attribute, and usually does not need to be changed.

If you change this attribute, you must regenerate the Web view.

Related Topics

Creating Web Views

Types of Web View

Setting Group Access Permissions


Setting Group Access Permissions

You can control access to Web views on a group-by-group basis. When users try to log on, they see only the Web views that they have permission to access.

To set group access permissions:

1 In the shortcut bar, click Web View [image].

2 Click [image] (beside Groups Allowed to Open) to open the View Permissions dialog.

3 In the Groups box, click the groups you want to be able to access the Web view.

If you allow the Users group to open the Web view, then all users can open the Web view.

The Groups box lists the groups that are allowed to open the project (as specified in Issue Tracker Admin).

Related Topics

Creating Web Views

Types of Web View

Setting Web View Attributes


Knowledge Base Views

Knowledge Base views, or KB views, are a type of Web views used to openly publish specific information about certain issues. KB views act like Read-Only views only they are accessible by everybody. They can be designed to give customers and/or users such information as:

Solutions to known problems

Project-related news

Using Knowledge Base Views

To use Knowledge Base views:

In your browser, type or paste the KB view URL given to you by your Issue Tracker administrator.

Type in a search word or phrase and click Go.

Find the article (issue) in the summary list.

Click an article in the summary list to open it and view its details.

To integrate a Knowledge Base view to your website:

Open the HTML file corresponding to the webpage in which you want the KB view link to appear.

At the proper location, type <A href="URL">LINK TEXT</A>, where URL is the address specified in the Web View Editor, and LINK TEXT is the text you want to appear as the link.

Browse to this webpage in your website and click on the new link to verify that it is functional.

Creating and Updating a Knowledge Base View

To create or update a Knowledge Base view:

Create a user account to be used as the KB view logon account (see Creating User Accounts ).

Note:

The user specified in the Web View Editor must belong to a group who has access to the Ad-hoc Query feature.

Use the Web View Editor to create or update KB views (see Creating Web Views ).

Set the proper username and password for the KB view account by clicking [image] beside the View Type list.

Export to the view the desired fields to be displayed, including the Add To Knowledge Base field.

To change the list of articles (issues) published to a KB view:

Update the KB Query to filter the issues as desired (see About Queries ).

To change the information (fields) displayed in a KB view’s summary list:

Update the KB Layout to include the desired fields (see About Layouts ).

Update the KB Sort to have the summary list ordered the desired way (see About Sorts ).

The Add to Knowlege Base Field

Knowledge Base views use their Project’s KB Query by default. This Query controls which articles (issues) are accessible through the KB view. The Add to Knowledge Base field helps define this Query and allows Issue Tracker analysts to easily specify if an issue is to be accessible as a KB article. By default, the KB Query returns all the issues where this field is set to either Internal or Public.

The Add to Knowledge Base field is found in the Resolution tab of the HelpDesk view by default. You will have to use the Web View Editor to export this field to other Web views if needed. Please note that this field must be exported to KB views when it is used in the KB Query; the Query will fail otherwise.

Typically, you will set this field to "No" to prevent the opened issue from being published in the KB view, and set it to anything else to have it published.

Related Topics

Types of Web Views

FAQ Views


FAQ Views

Frequently Asked Questions views provide a list of articles from the Knowledge Base, specifically, all of those that have Article Type set to FAQ. These views feature a quick search feature, and the ability to open multiple FAQs right in the search results. The design of the view makes it an easy and efficient way to expose questions that have been raised multiple times, potentially helping users find answers to questions without having to submit a ticket.

The administrator can choose whether to create a FAQ view that requires a logon, or not. If the view will not require the user to login, one privileged user account must be associated with the view. It must belong to a group that has permission to open the Web view, and to add and update contacts.

Adding Frequently Asked Questions

1 Logon to Vector Issue Tracker as an administrative user.

2 Select the Edit KB & FAQ Articles view from the list of available views

3 Click the [image] New icon.

4 In the Article Type field, select FAQ.

5 In the Article Security field, select either Private or Public.

Private articles are only visible to authenticated Issue Tracker analysts

Public articles are available to end-users.

6 Click Save [image].

Customizing FAQ Search Result Fields

The fields that appear in an FAQ view's search results can easily be customized:

1 Logon to Issue Tracker Admin.

2 Select the KnowledgeBase project.

3 Click Project.

4 Click Layout Editor.

5 Locate the layout named FAQ Layout using the Name dropdown.

6 To add a field to the question portion of the FAQ search result, add the field as you normally would to a layout.

For information about editing layouts, see About Layouts .

7 To add a field to the answer portion, follow the same instructions as Step 6; except, enter the value 9999 in the Width field.

Related Topics

Types of Web Views

Knowledge Base Views


Self-Service Views

Self-Service views are a type of Web view to be used by either internal or external Issue Tracker users to enter issues and be able to view (and possibly edit) the issues they have submitted. You can choose to allow them to edit certain fields in issues that they have submitted (for example, the Description field); or allow them to edit fields that were left empty when they submitted the issue; or simply view their submitted issues in a read-only format.

Using Self-Service Views

To use Self-Service views:

Log on to the Issue Tracker Web views and select the HelpDesk / Employee view.

You will be able to create new issues and view any issues that you have submitted.

By default, you will be able to edit the Description and Attachments fields of the issues that you have submitted. You will be able to edit the Computer Name field of the issues that you have submitted if there is no value already entered.

Creating and Updating a Self-Service View

To create or update a Self-Service view:

Use the Web View Editor to create or update Self-Service views. Please refer to the Generating Web Views section for further details on this procedure.

To ensure the logged in user will only see the issues they submitted:

Only export the My Reported Issues query to the Self-Service view.

To specify which fields the user should be able to edit after the issue has been saved:

Click PROGRAM beside the View Type box to open the Editable Fields dialog.

The fields that are exported to the Web view will be available in the The user will always be able to edit list.

Select the fields that the user should be able to edit after their issue is saved (up to a maximum of 2 fields).

Click OK and generate your Web view.

To specify which fields the user should be able to edit if the field is empty:

Click Program beside the View Type box to open the Editable Fields dialog.

The fields that are exported to the Web view will be available in the The user will be able to edit only if empty list.

Select the fields that the user should be able to edit after their issue is saved, if the field is still empty (up to a maximum of 10 fields).

Click OK and generate your Web view.


Adding the Child Issues Tab

Web views can have a Child Issues tab that allows users to link one or more child issues to a parent issue.

To add the Child Issues tab:

1 In the shortcut bar, click Fields [image] .

2 In the Tab list, click Child Issues.

3 In the Available list, click the Child Issues field and then click [image].

The Child Issues field is a special grid control that allows users to build a list of child issues.

4 If you want to allow users to control whether child issues can have a different Progress value than their parent, export the Progress controlled by parent field (Details tab).

By default, child issues have the same substate as their parent. Users can set Progress controlled by parent to No to override this default behavior.

5 Regenerate the Web view.


Exporting Queries

Queries control which issues a user can see in a Web view. For example, if My Submitted Issues is the only query available in a Web view, users can see only the issues they submitted.

To ensure that users cannot access any issues other than the ones found by the exported queries, you should hide the ad hoc query editor. The Ad-hoc Query editor allows users to see any issue (for example, by running a query like Issue Number > 0, which returns all issues).

In the Queries section, the Available box lists all the queries that you can export to the Web view. The Export to View box lists all the queries selected for export to the Web view.

To export queries:

1 In the shortcut bar, click Queries [image] .

2 In the Available list, click a query.

3 Click [image] to move the query from the Available box to Export To View.

Notes

To move all queries from Available to Export To View, click [image].

To make a query the default for the web view, click Make Default. This query will be automatically selected when a new user first logs in; however, their preferences will take precedence from that point on.

Related Topics

Creating Web Views

Exporting Fields

About Queries


Exporting Sorts

Sorts influence the order in which issues are displayed within a web view.

In the Sorts section, the Available box lists all the sorts that you can export to the Web view. The Export to View box lists all the sorts selected for export to the Web view.

To export sorts:

1 In the shortcut bar, click Sorts [image].

2 In the Available list, click a sort.

3 Click [image] to move the sort from the Available box to Export To View.

Notes

To move all sorts from Available to Export To View, click [image].

To make a sort the default for the web view, click Make Default. This sort will be automatically selected when a new user first logs in; however, their preferences will take precedence from that point on.

Related Topics

Creating Web Views

Exporting Fields

About Sorts


Exporting Reports

In the Reports section, the Available box lists all the reports that you can export to the Web view. The Export to View box lists all the reports selected for export to the Web view.

To export reports:

1 In the shortcut bar, click Reports [image] .

2 In the Available list, click a report.

3 Click [image] to move the report from the Available box to Export To View.

4 Click Apply Now if you wish to apply the change immediately.

Notes

To move all reports from Available to Export To View, click [image].

Related Topics

Creating Web Views

Exporting Fields

About Reports


Exporting Layouts

Layouts influence the fields that are visible in the summary list. For more information, see About Layouts .

In the Layouts section, the Available box lists all the layouts that you can export to the Web view. The Export to View box lists all the layouts selected for export to the Web view.

To export layouts:

1 In the shortcut bar, click Layouts [image] .

2 In the Available list, click a layout.

3 Click [image] to move the layout from the Available box to Export To View.

Notes

To move all layouts from Available to Export To View, click [image].

To make a layout the default for the web view, click Make Default. This layout will be automatically selected when a new user first logs in; however, their preferences will take precedence from that point on.

Related Topics

Creating Web Views

Exporting Fields

About Layouts


Exporting Fields

To export fields:

1 In the shortcut bar, click Fields [image] .

2 In the Tab list, click a tab (a tab is a group of related fields).

3 In the Available list, click a field and then click [image]. This moves the field to the Export To View list, which lists the fields included in the Web view when it is generated.

4 Use [image] and [image] to change the order of the fields in the Export to View list. The order of the fields in the list determines the layout of the fields in the Web view.

Notes

Click [image] to move all fields in the Available list to the Export To View list.

Required fields are exported by default. You can remove the fields—just ignore the warning.

The Field list in Ad-hoc Query editor lists exported fields only, plus the Issue field

Layouts show only exported fields.

Related Topics

Creating Web Views

Exporting Queries

Editing Field Attributes

About Adding Fields

Setting Default Values for Fields


Editing Field Attributes

The fields on a Web view are arranged in a two-column layout inside an HTML table. The order of the fields is determined by the order in which they are listed in the Export to View list.

The appearance and layout of the fields can be customized through field attributes, which control options such as alignment, width, and height.

To edit field attributes:

1 In the shortcut bar, click Fields [image].

2 In the Tab list, click a tab. In the Export to View list, click a field.

3 Click Attributes to open the Attribute editor.

The Attribute editor displays the attributes for the selected field.

4 After you open the Attribute editor, you can edit the attributes for another field by clicking the field in the Field Name list.

Related Topics

Using Field Variables

Setting Default Values for Fields

Adding Pop-up Editors

Aligning Fields

Automatically Updating Choice Lists

Changing Field Captions

Spanning Columns

Applying CSS Styles

Displaying Read-Only Fields

Inserting Custom HTML Code

Text Boxes

Multi-Choice Lists

Configuring Choice Lists

Linking User Details

Adding URL Buttons

Hiding Fields


Using Field Variables

Field variables allow you to insert the name, value, or id of a field into an attribute. The field variables are particularly useful with the Html code after control and URL attributes.

Variable | Inserts
%fieldvalue% | The current value of the field. For choice lists, %fieldvalue% is the ID of the choice.
%fieldname% | The name assigned to the input control (for example, cbo_18_cboPriority).
%fieldid% | The numeric ID of the field (this is the nID of the field in tblDtsFIelds).

Related Topics

Inserting Custom HTML Code

Adding URL Buttons


Adding Pop-up Editors

A Memo field such as the Detailed Description field has an Editor attribute that controls how the content of the field is edited.

Value | Description
<None> | The Memo field is an editable text area in the Web view.
HTML | The contents of the Memo field are edited in a pop-up HTML editor.
Text | The contents of the Memo field are edited in a pop-up Text editor.


Aligning Fields

Alignment

Aligns a field (both the caption and the input control). Possible values are Left, Right, or Center. By default, all fields are left-aligned.

Vertical Alignment

Sets the vertical positioning of a field (both the caption and the input control). Possible values are: Top, Middle, and Bottom. The default is Top.

Related Topics

Editing Field Attributes


Automatically Updating Choice Lists

Automatically Update List

If Yes, the choice list is updated each time a user logs on to the Web view. To turn on the automatic update of choice lists, you must regenerate the view.

If No, the choice list is updated only when the Web view is regenerated.

Notes

Automatically updating a large number of choice lists may affect performance. You should automatically update only the choice lists that change frequently.

Related Topics

Editing Field Attributes

Should you automatically update choice lists?

Generating Web Views


Changing Field Captions

The Caption attribute specifies a text label for a field. Note that reports and the Field list in the Ad-hoc Query editor still use the original field name, not the value of the Caption attribute.


Spanning Columns

Fields

Set Column Span to 1 to have the field span a single column, or 2 to have the field span the entire width of the page.

To make a field span 2 columns, you must also set the CSS Class to MemoFieldWidth. Use the SpanTwoWidthOne class if you want a field to span two columns but still be one column wide (that is, be alone on a line).

For example, in the default Issue Tracker Web view, the Priority field uses the SpanTwoWidthOne class.

Captions

Set Caption Span to 1 to have the caption span a single column, or 2 to have the caption span the entire width of the page.

Related Topics

Editing Field Attributes


Applying CSS Styles

CSS Class

Name of a style class defined in the cascading style sheet (CensusMain.css) used by the Web view. This class is applied to the controls (for example, the <input> form element for a text box). By default, fields use the classes ComboBoxWidth, MemoFieldWidth, and TextFieldWidth. These classes set the width and border of the control. ComboBoxWidth, and TextFieldWidth set the width to one column, and MemoFieldWidth sets the width to two columns.

The CSS Class attribute does not apply to read-only/disabled fields. These fields use the readOnlyStyle class.


Displaying Read-Only Fields

You can display read-only fields as either text or as disabled controls.

Read-only field displayed as text

Read-only field displayed as a disabled control

In a read-only Web view, all fields are read-only. In normal and submit-only Web views, read-only fields are fields that have been disabled through the Field editor.

To set the default for all read-only fields in the Web view:

1 In the shortcut bar, click Web View [image].

2 Click [image] (opposite Attributes) to open the Web View Attributes dialog.

3 Set Display All Read-Only Fields As Text to Yes or No.

By default, this setting applies to all read-only fields in the Web view.

To override the default for a specific read-only field:

1 In the shortcut bar, click Fields [image].

2 In the Tab list, click the tab that contains the field.

3 In the Export to View list, click the field and then click Attributes.

4 Change Display Read-Only Field As Text to No or Yes.

When Display Read-Only Field As Text is set to Default, the field uses the value of the Web view attribute Display All Read-Only Fields As Text.

Notes

If you display a read-only memo field as a disabled control, the scroll bar is disabled, so the user may not be able to see everything in the field.

You must regenerate the Web view after you change the Web view attribute or the field attribute.

Related Topics

Editing Field Attributes

Generating Web Views

Making Fields Read-Only Per View


Width and Height

Width

Width in characters of a single-line text box, or width in pixels of a list box.

The CSS classes assigned to text boxes and list boxes override the Width attribute. These CSS classes (TextBoxWidth and ComboBoxWidth) specify the widths of the input controls.

Related Topics

Applying CSS Styles


Inserting Custom HTML Code

Html code before/after control

HTML inserted before and after the control in the generated HTML page. Must be a single line of text. For example, suppose you want to add a help icon that displays a tooltip.

A simple way to implement field-level tooltips is to put this HTML in the Html code after control attribute:

<img src="help.gif" title="Tooltip text goes here">

This inserts a help icon that displays a tooltip when a user points to the icon.

A more generic approach would be to write a javascript function in CustomCode.js that returns a string of HTML.

function getHelpIcon ( tooltip ) {
     var str;
     str = '<img src="help.gif" title="' + tooltip + '">';
     return str;
}

The Html code after control would then call this function to get the HTML:

<script type="text/javascript"
language="javascript">document.write(
parent.objCustomCode.getHelpIcon( 'Tooltip text')
);
</script>

You must declare your function in CustomCode.js. Look for the public declarations at the bottom of the file, and add this line:

     this.getHelpIcon = getHelpIcon;

Notes

In the Html code before/after control attributes, you can use the string %fieldname% to refer to the name of the control. (The name of a control is the value of the name attribute on the form element.) For example, you could pass %fieldname% into the getHelpIcon() function, which would then return the help for that field.

Related Topics

Using Field Variables


Adding URL Buttons

URL buttons open a new browser window and load the document specified by the URL attribute. A URL button is associated with a field, and can use the field value as part of the URL.

For example, suppose you wanted to record the ID number of a Microsoft KB article that explains how to resolve a problem.

To add a URL button that opens the specified KB article in a browser window, set the URL and URL Button CSS attributes as follows:

URL = http://support.microsoft.com
     /default.aspx?scid=kb;en-us;%fieldvalue%

URL Button CSS = URLButton

In the URL attribute, %fieldvalue% is a placeholder for the KB article ID number entered in the field.

If you omit the http:// prefix from the URL, Vector Issue Tracker automatically adds it when you generate the Web view.

The URL Button CSS attribute identifies the CSS classes used for the button. Vector Issue Tracker includes several different URL button classes you can use:

URLButton

MailToButton

RemoteControl

URL buttons always open a new browser window, even when you specify a URL like mailto:xsupport@company.com.

Related Topics

Editing Field Attributes

Using Field Variables

Customizing URL Buttons


Text Boxes

Number of Characters

Maximum number of characters per line in the text box.

Related Topics

Editing Field Attributes


Multi-Choice Lists

Number of Visible Items

Number of items visible in a multi-choice list. Users can always see items that are outside the visible window by scrolling the list box.

Show Selected Items In Text

Shows a comma-separated list of the selected items in a text box above the multi-choice list. This helps users see what items are selected.

Show Selected Items In Tooltip

Shows a comma-separated list of the selected items in a tooltip. This helps users see what items are selected in a multi-choice list.


Configuring Choice Lists

The tblUser table can contain a large range of entries. For example, a big organization can have several thousand users and contacts, whereas a smaller organization may have only a few tens of entries. Use the Select from dialog attribute to specify the method which support staff can use to make a selection from single- or multi-choice lists populated from the tblUser table.

To specify the type of choice list control you want to use:

1 In the Web View Editor, select the Web View that contains the fields you want to work with.

2 Select Fields in the shortcut bar.

3 Select a field you want to customize, and click the Attributes button. For example, to select the control type for the Contact field in the Console’s Overview tab, select Contact.

4 Choose a control option:

To display the data in a search dialog, click the Select from dialog attribute and click Yes. A browse [image] button is displayed alongside the field to enable users to open the Search dialog. (Select from dialog = Yes is used by default.)

To display the data in a drop-down list, click the Select from drop-down list attribute and click No.

We recommend you select the No option only when the field can contain fewer than 100 entries as it can take several minutes to populate a large drop-down list.

5 Click Close to save your changes.

Related Topics

Editing Field Attributes


Linking User Details

When dealing with issues, support staff often need to request more information from users or ask them to perform checks on their computers. To help support staff contact users, you can configure Issue Tracker to make user details available through a dialog linked to the User, Contact or Company fields.

To link to user details:

1 In the Web View Editor, select the Web View that contains the fields you want to work with.

2 Select Fields in the shortcut bar.

3 Select User and click the Attributes button.

4 Click the Link to user details attribute and click Yes.

5 Click Close to save your changes.

The contents of the field are underlined when users mouse over it in the Web View. This indicates a link to the contact details of the selected person.

Related Topics

Editing Field Attributes


Hiding Fields (WebViews)

Hiding Fields

Setting Visible to No hides the field in the Web view. The field is still included in reports and listed in the Field list of the Ad-hoc Query editor.

Related Topics

Editing Field Attributes


Making Fields Read-Only Per View

Issue Tracker allows administrators to control whether fields are read-only on a per-view basis. This allows for a field to be read-only in one view, but editable in others.

To make a field read-only in one specific view:

1 In the shortcut bar, click Fields [image].

2 In the Tab list, click the tab that contains the field.

3 In the Export to View list, click the field and then click Attributes.

4 Change Read-Only to Yes.

Notes

If the field was defined as Read-Only through the field editor, setting the Read-Only field attribute to No will not make it editable. For full control of a read-only field, it is recommended to make it editable via the Field Editor. Afterwards, the read-only status can be controlled completely through the Web View Editor.

For more information about working with the Field Editor, see About the Field Editor and Making Fields Read-Only .

You must regenerate the Web view after you change the Web view attribute or the field attribute.

Related Topics

Editing Field Attributes

Generating Web Views

Displaying Read-Only Fields


Making Fields Required Per View

Issue Tracker allows administrators to control whether fields are required on a per-view basis. This allows for a field to be required in one view, but optional in others.

To make a field required in one specific view:

1 In the shortcut bar, click Fields [image].

2 In the Tab list, click the tab that contains the field.

3 In the Export to View list, click the field and then click Attributes.

4 Change Required to Yes.

Notes

If the field was defined as Required through the field editor, setting the Required field attribute to No will not make it optional. For full control of a required field, it is recommended to make it optional (not required) via the Field Editor. Afterwards, the required status can be controlled completely through the Web View Editor.

For more information about working with the Field Editor, see About the Field Editor and Making Fields Required .

You must regenerate the Web view after you change the Web view attribute or the field attribute.

Related Topics

Editing Field Attributes

Generating Web Views


Pointing Users to Web Views

The URLs for a normal or read-only Web view are displayed in the Web View Editor. The Vector Issue Tracker Logon URL is for users with Vector Issue Tracker users accounts. The Windows Integrated Logon URL is for users whose Windows user accounts have been imported into Vector Issue Tracker.

The default page at the URL is logon.asp.

For Submit-only and Knowledge Base views, you have to add the logon.asp file name and a query string to the URL displayed in the Web View Editor. For example:

http://server/vit/logon.asp?View=Issue Tracker%2FReport%20Issue
http://server/vit/logon.asp?View=Issue Tracker%2FKB

The query string (the part after the question mark) specifies the project and view:

View=<project>%2F<view>

%2F is the escape sequence for a forward slash (/). Spaces in the view name are replaced with the escape sequence %20.

Related Topics

Changing URLs and Directories

Changing the Windows Account


Changing URLs and Directories

A Web view is accessed through a URL like //server/vit, where server is the name of the Web server computer, and vit is the name of a virtual directory.

On a Web site hosted by Microsoft Internet Information Services (IIS), a virtual directory is an alias (a short, descriptive name) that is mapped to a directory on the Web server.

The Web View Editor includes a Web View wizard to help you:

Change the URL (for example, change //nan/vit to //nan/CallTracking) by changing the virtual directory.

Change the directory where the Web view is published.

There are two ways to change the URL. You can create a new virtual directory, or you can use a existing virtual directory.

To change the URL by creating a new virtual directory:

1 In the shortcut bar, click URL [image] .

2 Click [image] to open the Web View Wizard and then click Next.

3 Click Advanced, click Create a new URL and a new Directory, and then click Next.

4 Type the name of your Web server and click Next.

5 In the Web Site list, click the Web site where you want to create the virtual directory.

6 In the Virtual Directory box, type the name of the new virtual directory.

7 In the Path box, select the directory where you want to put the generated Web view files.

8 If you need to change the user account used for anonymous access to the virtual directory, select the Show advanced options check box.

9 Click Next and then click Finish.

To change the URL by using a different virtual directory:

1 In the shortcut bar, click URL [image].

2 Click [image] to open the Web View Wizard and then click Next.

3 Click Use existing URL and click Next.

4 In the Web Site list, click the Web site that contains the virtual directory you want to use.

5 In the Virtual Directory list, click the virtual directory you want to use.

By default, the Virtual Directory list contains only the virtual directories used by Issue Tracker Web views. To show all the available virtual directories, select the Show all virtual directories from IIS check box.

6 Click Next and then click Finish.

To change the directory:

1 In the shortcut bar, click URL [image].

2 Click [image] to open the Web View Wizard and then click Next.

3 Click Advanced, click Update existing virtual directory, and then click Next.

4 Click Next and then click Next again.

This assumes you want to change just the directory, not the Web server, Web site, or virtual directory.

5 In the Path box, select the new directory where you want to put the generated Web view files.

6 If you need to change the user account used for anonymous access to the virtual directory, select the Show advanced options check box.

7 Click Next and then click Finish.


Changing the Windows Account

Vector Issue Tracker needs a Windows domain account to use for:

Anonymous access to the virtual directories on the Web server.

Anonymous access is required to run any Web view or Issue Tracker Web Admin, which are all stored in virtual directories on the Web server.

Access to Vector Issue Tracker databases in a distributed configuration, where the databases are not on the Web server.

Access to attachments, which may be stored on a different computer than the Web server.

Access to Vector Asset Management site databases

By default, Vector Issue Tracker uses the CensusUser account, which is created when you install Vector Issue Tracker. The default password for the CensusUser account is nd5kvmWJ.

The CensusUser account is a Windows domain account.

Notes

If you change the password for the CensusUser account, or delete the user account and use another one, you must update the virtual directories in the Internet Service Manager (Windows NT) or Internet Services Manager (Windows 2003, 2000, XP).

To change the Windows account used for anonymous access to a virtual directory:

1 Open the Web View editor. In the shortcut bar, click URL [image].

2 Click [image] to open the Web View Wizard and then click Next.

3 Click Advanced, click Update existing virtual directory, and click Next.

4 Click Next until you get to the Virtual Directory Properties dialog.

5 Select the Show Advanced Options check box.

6 In the User Name box, enter the name of the user account.

Click Browse to locate a domain user account.

7 In the Password box, type the user account password.

You can also use Issue Tracker Admin to change the Windows account.

To change the Windows account used by Vector Issue Tracker:

1 Open Issue Tracker Admin.

2 On the Tools menu, click Windows Account.

3 Enter the name and password of the domain user account you want to use.

This user account is used for anonymous access by all subsequent Web views you generate.

Notes

When you change the user account used for anonymous access with the Web View Editor or Issue Tracker Web Admin (Notifications tab), all required permissions and rights are automatically set.

Related Topics

Windows Permissions


Setting Default Values

To set default values for a Web view:

1 Log on to the Web view.

2 In the Web view toolbar, click Defaults [image].

3 In the Default Values dialog, set the field values you want to use as defaults for new issues.

4 Click Apply.

This creates a file named MqDefaultValues.js in the folder

CensusWebVD\<project>_<view>\Users\<logon-name>

where <logon-name> is the name you used to log on to the Web view.

5 Copy the file

\CensusWebVD\<project>_<view>\Users\<logon-name>\MqDefaultValues.js

to

\CensusWebVD\<project>_<view>\Users\Users\MqDefaultValues.js

The folder Users\Users applies to all users that log on to the Web view.

6 Copy Users\Users\MqDefaultValues.js to the CustomizedFiles folder.

For example, if you want the default values to apply to all Web views of the HelpDesk project, copy MqDefaultValues.js to:

CUSTOMIZEDFILES\#Project#HelpDesk\#AllWebViews#\Users\Users

If you want the default values to apply only to the HelpDesk_HelpDesk view, copy MqDefaultValues.js to:

CUSTOMIZEDFILES\#Project#HelpDesk\#WebView#HelpDesk_HelpDesk\Users\Users

Notes

Users can override these default values by setting their own defaults.

You can remove the Defaults button from Web views by disabling the Default Value Editor feature.


Templates and the CustomizedFiles Folder

The files that make up a Web view (such as .JS, .CSS, .HTML, and .ASP files) are generated from templates. If you edit the original templates, your customizations apply to all Web views. In addition, if you edit the generated files for a Web view, you must reapply your changes every time you generate the view.

To customize specific Web views without editing the generated files, you put your customized files in a special CustomizedFiles folder. Each time you generate the view, the Web View Editor copies your customized files from the CustomizedFiles folder into the view.

Related Topics

Customizing Web Views

Customizing Shared Web View Files

Overriding Customizations


Customizing Web View Files

To customize Web view files:

1 In the <IssueTrackerServer>\CensusWeb folder, create a CustomizedFiles folder.

<IssueTrackerServer> represents the folder where your Issue Tracker Server is installed.

2 In the CustomizedFiles folder, create a folder structure to hold the customized files.

To customize files for all Web views of all projects, create this folder structure:

To customize files for all Web views of a specific project, create a folder structure like this:

and replace vit with the name of the project.

To customize files for all Web views accessed through a given URL, create a folder structure like this:

and replace CensusWeb with the last part of the URL. (For example, if the actual URL is http://SERVER/vit, replace CensusWeb with Issue Tracker).

Use this approach if you generate Web views outside the IssueTrackerServer folder.

3 Copy the files you want to customize from the view into the CustomizedFiles folder.

You must recreate the same folder structure. For example, if you want to customize files in the HTML, JS, and Reports folders of Web views of the Issue Tracker project, you must create this folder structure:

4 Customize the files and generate the view.

Related Topics

Templates and the CustomizedFiles Folder

Customizing Shared Web View Files

Overriding Customizations


Customizing Shared Web View Files

You can also customize the files that are shared by Web views accessed through the same URL. These are the files found in the CensusWebVD folder, such as logon.asp.

To customize the files in CensusWebVD for all Web views:

Put the files in the folder

CustomizedFiles\#AllProjects#

-or-

CustomizedFiles\<virtual directory>

To customize files for all Web views accessed through a given URL:

Put the files in the folder

CustomizedFiles\<virtual directory>

For example, if the URL is //server/vit, then put the customized files in a folder named CustomizedFiles\vit.

Use this approach if you generate Web views outside of the IssueTrackerServer folder.

Related Topics

Templates and the CustomizedFiles Folder

Customizing Web Views

Overriding Customizations


Overriding Customizations

To override the customizations in #AllWebViews# for a given Web view, you can create a #WebView#<project>_<view> folder. For example:

The files in #WebView#Issue Tracker_Issue Tracker override all #AllWebViews# customizations.

You can create a #WebView#<project>_<web view> folder in any of the three customization folders (#AllProjects#, #Project#<project>, and CensusWeb).

Related Topics

Templates and the CustomizedFiles Folder

Customizing Web Views

Customizing Shared Web View Files


Customizing the Web View Interface

You can customize most of the HTML and ASP pages that make up a Web view. If you edit the templates, make sure to backup the original files before you begin your customization.

CensusMain.css

Style sheet for a Web view. The normalfield, requiredfield, and disabledfield classes define the appearance of the fields.

TmplCensusMain.htm

Defines the frame structure for the frames that make up the Web view page. You can change the size and position of each frame, add and remove scrollbars, and set the frame border size.

TmplToolbar.htm

Defines the Web view toolbar.

TmplSummaryList.htm

Defines the Summary List. You cannot customize this page.

TmplSQE.htm

Defines the Ad-hoc Query Editor.

Tabs.asp

Defines the layout of the tab navigation buttons.

TmplCmdBar.htm

Contains the navigation controls.

When editing these files, do not change references to file names, the <WC@ ... > tags, or any of the Javascript code.


Changing Date and Time Formats for Web Views

Changing the Date and Time Formats for Web Views

The format of the dates and times entered and displayed in a Web view are controlled by the Regional Settings of the Web server, not the Regional Settings of the local computer.

Web views use the short date format.

Microsoft Windows NT 4.0

When no one is logged on to the Web server, the Date/Time formats (and other Regional Settings) come from the system default settings (found in the Locale.nls file for the default locale). You can change the system default settings by clicking Set Default in the Regional Settings section of Control Panel.

After you change the default locale, restart the computer. Note that changing the default locale changes all regional settings, not just the date and time formats. There is no way to modify a specific setting within the locale.

When someone is logged on to the computer, the Date/Time formats come from the user's Regional Settings. These settings are read from the user profile settings in the HKEY_CURRENT_USER/Control Panel/International registry key. You can change this setting in the Regional Settings section of Control Panel, after which you must restart the computer.

Microsoft Windows 2000 and XP

The Date/Time formats come from system default settings in the HKEY_USERS/.Default/Control Panel/International registry key. This key contains the Regional Settings options specified during the operating system installation. You must edit the registry to change these default system settings, and you may need to restart your Web server for the changes to take effect.


Improving Web View Performance

Issue Tracker utilizes some of the latest web technologies, with the goal of improving performance and reducing bandwidth consumption. One particular performance enhancement is turned off by default, but if enabled, would improve the general performance of the web views. This enhancement changes the way the Web View Editor generates files, allowing it to reference resources in a more efficient manner. If this enhancement is enabled, a side-effect can be noticed - the Web View Editor tends to take more time when generating views. It is up the administrator to decide if the increased generation time is worth improving the web view experience for all users.

To enable this performance enhancement:

1 Launch the Registry Editor (regedit.exe) in Windows.

2 Locate the following key:

HKEY_LOCAL_MACHINE\SOFTWARE\MetaQuest\CensusWeb\WebViewEditor\1.0\UseAbsoluteReferencePaths

3 Change the value to 1, and save.

4 Launch Web View Editor.

5 Regenerate all views.

The web view regeneration step is necessary, as the web view files themselves must be re-written to have the enhancement.

Should you need to disable the enhancement, simply repeat the above steps, while providing the value 0 (rather than 1) in Step 3.

Related Topics

Creating Web Views

Exporting Fields

About Sorts


Administering Issue Tracker on the Web

Administering Vector Issue Tracker on the Web

Issue Tracker Web Admin is a Web-based administration tool that allows you to:

Add and edit users and contacts.

Define workflow rules.

Create new tabs.

Set up choice fields.

Enable e-mail notifications.

Migrate projects to SQL Server and move projects to different SQL Server computers.

Move attachments to a different computer.

Integrate Vector Inventory.

Logging On

You can log on to Issue Tracker Web Admin directly from the Web View Editor, using the same logon account you used for the Web View Editor.

To log on to Issue Tracker Web Admin

Do one of the following:

In your Web browser, go to //server/vitadmin, where server is the name of your Web server.

In Issue Tracker Admin, click Tools > Web > Web Admin.

At the Web server, click Start > Programs > Vector > Issue Tracker > Issue Tracker Web Admin

In the Web View editor, click Admin and then click Log On.

Generating Issue Tracker Web Admin

When you install the Issue Tracker Web Server, the setup program generates a copy of Issue Tracker Web Admin. If necessary, you can generate another copy of Issue Tracker Web Admin. For example, you may want to change the URL used to access Issue Tracker Web Admin.

To generate Issue Tracker Web Admin:

1 In the Web View editor, click Admin.

2 If required, change the URL and directory for Issue Tracker Web Admin.

3 Click OK.

Windows Permissions

When you log on to Issue Tracker Web Admin, it uses your Windows credentials to run tasks if you are a member of the CensusAdminsGroup group or the local Administrators group on the Issue Tracker Server computer. Otherwise, Issue Tracker Web Admin runs tasks as CensusUser.

Members of the CensusAdminsGroup group (or of the local Administrators group on the Issue Tracker Server computer) have the required permissions to perform any task with Issue Tracker Web Admin. The CensusUser account, on the other hand, cannot perform IIS-related tasks such as unloading virtual directories (when logging off users), and may not be able to relocate databases to other computers.

During installation, the Setup program creates the CensusAdminsGroup group and adds all members of the domain Administrators group to the CensusAdminsGroup group. Setup also adds the CensusAdminsGroup to the local Administrators group on the Issue Tracker Server computer. The purpose of the CensusAdminsGroup is to control access to Web Admin.

Related Topics

Improving Web View Performance


Chapter 13 - Maintaining Issue Tracker

Chapter 13 - Maintaining Your Issue Tracker System


Relocating Databases to SQL Server

You can relocate (migrate) databases from Jet/MSAccess to SQL Server, or from one SQL Server to another. To relocate databases to SQL Server, you must have a license for Vector Issue Tracker SQL Enabled.

There are two types of databases you can relocate:

Global databases are the databases shared by all projects: the users database (users.mdb), the Web views database (censusweb.mdb), and the licenses databases (licenses.mdb).

Project databases contain issues and project definitions (such as the definitions of fields, queries, and reports).

To relocate databases to SQL Server:

1 Log on to Issue Tracker Web Admin:

In Issue Tracker Admin, click Tools > Relocate > Databases to log on to Issue Tracker Web Admin, where you can use the Relocation tab to relocate databases to SQL Server.

In your Web browser, go to //server/vitadmin, where server is the name of your Web server.

2 On the Relocation tab, under Databases to relocate, select the databases you want to relocate.

3 In the Relocate databases to this SQL Server list, click the computer to which you want to relocate the databases.

To relocate to a SQL Server instance, click Add a SQL Server to this list and then type the instance name using the syntax <computer name>\<instance name>.

4 In the New location for database files box, enter the name of a folder on the Server where the database files (*.mdf, *.ldf) can be stored.

The new location must be the path as seen from the Web server. If the SQL Server is in a different computer, enter a UNC., otherwise, enter a local path.

5 Click Apply to relocate the databases.

6 During the relocation, you may be prompted for the password for the sa SQL Server login account. Vector Issue Tracker needs the password so it can initialize the SQL Server.

7 After the databases are relocated, regenerate your Web views.

If you relocated the global databases, regenerate all Web views. If you relocated project databases, regenerate the Web views of the relocated projects.

Notes

We recommend that all databases be stored on the same SQL Server computer. This improves performance by reducing the amount of data sent over the network.

When relocating databases from one SQL Server to another, the locations of the physical data files (.mdf,.ldf) on both the source and target computers must be accessible from the Web server. Also, the user running Issue Tracker Web Admin must have full permission to move and create files on the locations .

Relocating databases logs off users and prevent users from logging on, so choose a time when there is little or no activity on Vector Issue Tracker.

When you relocate a database to SQL Server, Vector Issue Tracker creates a SQL Server database with one data file and one log file. After the database is created and is accessible in SQL Server, database administrators can add more files or configure the database as required.

Vector Issue Tracker creates a SQL Server login account named censusapplication, which is used to connect to the SQL Server.

Related Topics

Troubleshooting Relocation

Generating Web Views

Relocating Attachments

Editing Project Properties

Troubleshooting Issue Tracker Web Admin

Releasing Databases


Troubleshooting Relocation

Troubleshooting Relocations

If Issue Tracker Web Admin cannot contact or initialize the SQL Server during relocation:

Check the SQL Server is running.

Check the SQL Server is configured to use SQL Server and Windows authentication (Mixed Mode authentication).

Verify that the SQL Server login account sa exists, is not disabled, and has permissions to log into the master database in the SQL Server. sa must be system administrator in SQL Server.

Stop any antivirus software that is running on the SQL Server computer or the Web server computer.

Verify that the Issue Tracker Web Server computer and the SQL Server computer can communicate through the network (for example, use Ping to test connectivity).

Try using the IP address instead of the computer name to identify the SQL Server computer.

To relocate to a SQL Server instance, click Add a SQL Server to this list and then type the instance name using the syntax <computer name>\<instance name>.

Verify that both the SQL Server and the Web server are using the same protocol (by default, TCP/IP). To do this, use the SQL Server Server Network Utility on the SQL Server computer, and the SQL Server Client Network Utility on the Web server.

Related Topics

Relocating Databases to SQL Server

Releasing Databases


Relocating Attachments

When users upload attachments, the attachments are stored on the Web server. For example, the files attached to issue #3 in the Issue Tracker project are stored in the folder

IssueTrackerServer\vit\Data\Attachments

For security purposes, you may want to move the attachments to a separate file server.

To relocate attachments:

1 In Issue Tracker Admin, click Tools > Relocate > Attachments.

This logs you on to Issue Tracker Web Admin, where you can use the Relocation tab to move (relocate) attachments.

2 In Issue Tracker Web Admin, click the Relocation tab and then click Relocate Attachments.

3 Under Relocate the attachments for these projects, select the projects whose attachments you want to move.

4 In the New location for attachments box, type or paste the name of an existing folder on another computer.

The Windows account (by default, CensusUser) must have (full) permissions on the new location.

The new location must be a UNC path (for example, \\sharename\Attachments) that the Web server can access.

The new location is the root folder where Vector Issue Tracker creates folders to store the attachments. For example, if the new location is

//fileserver/vitWeb

then attachments to the Issue Tracker project are stored in

//fileserver/Issue TrackerWeb/vit/Data/Attachments

If you created your own attachment field, then attachments are stored in

//fileserver/vitWeb/vit/Data/<fieldname>

5 Click Apply to relocate the attachments.

6 After the attachments are relocated, regenerate the Web views of the projects whose attachments were relocated.

Notes

Relocating attachments logs off users and prevent them from logging on, so choose a time when there is little or no activity on Vector Issue Tracker.

Related Topics

Relocating Databases to SQL Server

Generating Web Views

Editing Project Properties

Troubleshooting Issue Tracker Web Admin

Changing the Windows Account

Releasing Databases


Deleting Issues

Issue Tracker allows users to delete issues from two key locations - the web views, and Issue Tracker Admin. Each issue loaded in Issue Tracker can be deleted right from the web, provided the users are part of a group that has been given access to the feature. For more information about granting access to features, see Defining User Groups . To delete a range of issues in one operation, users must have access to Issue Tracker Admin. Both approaches come with the ability to recycle issue numbers, ensuring the same number can be repurposed for a future issue.

To delete issues using Issue Tracker Admin:

1 In Issue Tracker Admin, click Delete Issues on the Project menu.

2 In the Issues to delete box, type the issue numbers you want to delete.

You can type a specific issue number, a comma-separated list of issue numbers (for example: 1, 5, 7), or a range ( for example, 1-25).

3 If you want to reuse the issue numbers of deleted issues, select the Recycle Issue Numbers check box.

Recycled issue numbers are assigned to new issues.

To delete issues from within the Issue Tracker Views:

1 In the Issue Tracker view select the Issue you wish to delete.

2 In the Issue Details pane, select the Delete [image] icon.

3 If you want to reuse the issue number, select the Recycle Issue Numbers check box.

Recycled issue numbers are assigned to new issues.


About the Logons Editor

Issue Tracker Admin includes a Logons editor (on the Tools menu) that lists all users logged on to Web views, Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor.

The Logons editor displays the following information for each logon session:

Name

Logon name of the user.

Date/Time

Date and time that the user logged on.

Workstation

The user’s IP address or computer name.

Project

If the user is logged on to a Web view, the name of the project is displayed.

Virtual Directory

If the user is logged on to a Web view, the virtual directory is displayed. The virtual directory is the final part of the URL used to access the Web view. For example, if the virtual directory is named vit, then the URL is http://server/vit. You can use the Web View Editor to determine which views are at the specified URL.

Virtual directories such as vit00, vit01, and vit02 are all accessed through the //server/vit URL.

Application

The component you want to work with. For example: Web View, Web View Editor, Admin, or Web Admin.

Related Topics

Logging Off Users

Releasing Databases


Logging Off Users

To log off a specific user:

1 On the Tools menu, click Logons Editor.

2 In the list of users, click a user.

3 Click Log Off.

To log off all users:

1 On the Tools menu, click Logons Editor.

2 Click Log Off All.

Before logging off a user, a Web view displays a message telling the user that Vector Issue Tracker is shutting down. You can give users a bit more time by sending an immediate message. To do this, set the Send immediate shutdown message project option to Yes.

Related Topics

About the Logons Editor

Logging Off Users


Setting the Monitor Interval

The Monitor Interval option (Tools>Options) controls how long (in seconds) Vector Issue Tracker waits before:

Checking for messages from a Web view

Checking for user activity in a Web view

Terminating a user session when logging off users.

The default interval is 60 seconds. If your Web server is on a slow Internet connection and you want to reduce network traffic, you can increase the monitor interval. Too large an interval, however, affects the time administrators have to wait when performing an action that involves logging off users.


About the Repair and Compact Tool

Issue Tracker Admin includes a tool for repairing and compacting Microsoft Access database files. This tool is available from the Tools menu (Repair and Compact), but to repair and compact project database files, you must select a project first.

Related Topics

About the Database Files

Compacting Database Files

Repairing Damaged Database Files


About the Database Files

The Repair and Compact dialog displays a list of databases and their locations. The list includes both common databases (databases shared by all projects) and project-specific databases. Note that you cannot repair and compact SQL Server databases.

Project-specific databases:

Issue database | .dat (Jet/Access) _DAT (SQL Server)
Project definitions | def (Jet/Access) _DEF (SQL Server)
Temporary database used by Issue Tracker Admin | .usr (Jet/Access)

Databases shared by all projects:

Web view definitions | censusweb.mdb (Jet/Access) CENSUSWEB_MDB (SQL Server)
User and contact information | users.mdb (Jet/Access) USERS_MDB (SQL Server)
Licenses | Licenses.mdb (Jet/Access) LICENSES_MDB (SQL Server)

Related Topics

About the Repair and Compact Tool

Compacting Database Files

Repairing Damaged Database Files


Compacting Database Files

Compacting optimizes the performance of Microsoft Access databases and can help prevent data corruption. If you make frequent changes in a database, parts of the database may become fragmented. We strongly recommend that you periodically repair and compact your databases.

To compact database files:

1 In the Project list, click a project.

2 In the Tools menu, click Repair and Compact.

3 In the Repair and Compact dialog, select the database files you want to compact.

Note that you cannot repair and compact SQL Server databases with this tool.

Related Topics

About the Repair and Compact Tool

About the Database Files

Repairing Damaged Database Files


Repairing Damaged Database Files

Repairing files allows you to recover corrupted or damaged Microsoft Access databases.

To repair a database file:

1 Make a backup of the damaged database file.

2 Delete the .ldb file if it is present. (You must close the corresponding database file before you delete the .ldb file.)

3 If the database file is project-specific, click a project in the Project list.

4 In the Tools menu, click Repair and Compact, and then select the files you want to repair.

5 Click Start to repair and compact on the selected files.

Related Topics

About the Repair and Compact Tool

About the Database Files

Compacting Database Files


Running Security Repair

The Security Repair utility program repairs and compacts CenSys.mdw. CenSys.mdw is the system workgroup file that stores security settings such as user group permissions and passwords.

CenSys.mdw may become bloated and stop working. Symptoms include changes in user permissions, such as the inability to log on, or an increase in file size (normal file size is around 160 KB).

Security Repair works on the copy of CenSys.mdw found in the local IssueTrackerTools folder. This prevents users from accidently running the program on the CenSys.mdw on the database server.

To repair and compact CenSys.mdw:

1 Make sure no one is editing users, groups, or passwords.

2 Copy CenSys.mdw from the IssueTrackerServer folder to the IssueTrackerTools folder.

3 On the Start menu, click Programs > Vector Issue Tracker > IssueTrackerTools > Security Repair.

4 Copy CenSys.mdw back to the IssueTrackerServer folder.


About the Integrity Editor

The Integrity editor (available from the Tools menu) allows you to remove database locks and validate the integrity of your databases. The integrity tasks apply to both SQL Server and Microsoft Access databases.

Related Topics

Remove Locks

Validate Integrity of Fields

Validate Relationships

Validate Integrity of Issues


Remove Locks

Locks on Project Definitions

Removes locks on project definitions, such as reports, queries, fields, and sorts.

If the locked by another user message is displayed when you try to use Issue Tracker Admin, run the Remove Locks task to remove the locks.

Locks on Users and Logon Sessions

Removes locks on users and logon sessions. Users are locked while someone is editing a record in the users database (the users.mdb file or, in SQL Server, the USERS_MDB database).

Sessions shown in the Logons editor can be locked. For example, you may not be able to remove a logon that is several weeks old because it is locked. Run Remove Locks to unlock the logon.

Related Topics

About the Logons Editor

Logging Off Users

Releasing Databases

About the Integrity Editor

Validate Integrity of Fields

Validate Relationships

Validate Integrity of Issues


Validate Integrity of Fields

This task verifies that the issue database and the project definition database are synchronized and have the same set of fields. The task also checks primary keys and indexes.

For example, suppose your issue database is damaged and cannot be repaired, and that your backup of the issue database is not synchronized with the current project definitions database (the definitions database has new fields that are not in the backup issue database). By running the Validate Integrity of Fields task, you can synchronize the backup issue database with the current project definitions database.


Validate Relationships

This task verifies that built-in related fields are set correctly in the issue database. In the Issue Tracker project, the only built-in related fields are State and Progress.

Validate Relationships does not apply to field relationships created with the Workflow editor.

Related Topics

About the Integrity Editor

Remove Locks

Validate Integrity of Fields

Validate Integrity of Issues


Validate Integrity of Issues

This task verifies that the issue database and the revision history are in-sync, by checking the revision numbers stored in the different tables of the database.

Related Topics

About the Integrity Editor

Remove Locks

Validate Integrity of Fields

Validate Relationships


Enabling Auto Repair

If you have problems running Issue Tracker Admin, use the Enable Auto Repair option on the Tools menu.

Enable Auto Repair tries to repair Issue Tracker Admin by fixing broken references, linking tables, and recreating objects.

To turn on auto-repair, click Enable Auto Repair in the Tools menu, then exit Issue Tracker Admin and log back on. While auto-repair is turned on, Issue Tracker Admin runs in repair mode, which may be slower than normal mode.

To turn off auto-repair, click Enable Auto Repair again.


Entering Your License Information

During installation, you must enter the Vector Issue Tracker Access Enabled license key. It enables the Access run time library used by the Issue Tracker Admin tools.

Evaluation licenses allow you to use Vector Issue Tracker for a specified period of time. At the end of that period, you can no longer run Vector Issue Tracker unless you provide a valid license key.

Concurrent licenses are permanent licenses that allow a specified number of users to use Vector Issue Tracker simultaneously. With concurrent licensing, you only need licenses for the maximum number of simultaneous users. For example, if you have 30 users who need access to Vector Issue Tracker, but no more than 20 log on at the same time, you need only 20 licenses. When all 20 licenses are in use, no additional users can log on until someone logs off.


Entering License Keys

When you receive a new license key, or when you want to enable the SQL Server functionality of Vector Issue Tracker SQL Enabled, use Issue Tracker Admin to enter your license key.

Vector Issue Tracker SQL Enabled requires both the Access Enabled and the SQL Enabled license keys. The Access Enabled license key is the base license that specifies the number of concurrent-use licenses. The SQL Enabled license key enables SQL Server support.

To enter your license key:

1 Log on to Issue Tracker Admin.

2 On the Tools menu, click Licenses.

3 In the Product list, click a product. Select:

Access Enabled to enter a Vector Issue Tracker Access Enabled license key.

SQL Enabled to enter a Vector Issue Tracker SQL Enabled license key.

4 Click [image], enter your license key, and click Apply.

Number of Licenses

Shows how many users can run Vector Issue Tracker concurrently. The Access Enabled license key determines the number of concurrent users (to see the number of concurrent users, click Access Enabled in the Product list).

License Type

Evaluation licenses are temporary licenses that have an expiration date. Concurrent licenses are permanent licenses that allow a specified number of users to use Vector Issue Tracker simultaneously.

Expiration Date

Shows the date at which evaluation licenses expire and Vector Issue Tracker stops working.


Releasing Databases

Some Vector Issue Tracker administrative tasks start a shutdown process. Examples of such tasks include relocating databases, creating projects, applying changes in the Field Editor, generating Web views, running integrity tasks, and repairing and compacting databases.

The shutdown process logs off users and releases databases. If you see a Still releasing databases message during the shutdown process, you can:

Click Cancel to stop trying to release the databases, and start logging off users. Do this only if you are sure that no one is using the databases.

Try to manually release the databases and then click OK. To release the databases:

Unload the virtual directories used by Vector Issue Tracker.

Stop the Mq Issue Agent service.

Exit all Vector Issue Tracker programs.

Exit any programs (such as Microsoft Access or SQL Server Enterprise Manager) that may be accessing the databases.

Note that if you set the option Tools > Options > Always verify locked databases to No, Vector Issue Tracker does not try to release databases during the shutdown process. In general, setting Always verify locked databases to No is not recommended, unless you know there is a process that regularly accesses the databases but does not affect Vector Issue Tracker.

Related Topics

About the Logons Editor

Logging Off Users

Troubleshooting Issue Tracker Web Admin


About Backing Up

You should regularly back up your Vector Issue Tracker databases. Besides backing up all the issue data entered into the system, you should also (though perhaps less frequently) back up the files and databases that define your projects and Web views.

Backing Up Vector Issue Tracker Access Enabled

By default, Access Enabled databases use the Jet/Access database engine, and are located in the IssueTrackerServer folder on Web server. To back up the Jet/Access databases, you just have to back up the databases files.

Backing Up Vector Issue Tracker SQL Enabled

In Vector Issue Tracker SQL Enabled, most Access databases can be migrated to SQL Server. After migration, the databases are located in an admin-specified folder on a SQL Server computer, which may or may not be the same computer as the Web server

To back up SQL Server databases, you can use the SQL Server backup functionality to do incremental or complete backups of the databases.

Locating databases

By default, all databases are stored in the IssueTrackerServer folder on your Web server. However, the databases can be relocated to different folders on different computers. For example, the databases may be relocated to a separate SQL Server computer.

To locate the databases, log on to Issue Tracker Web Admin and go to the Relocation tab.

Attachments

By default, attachments are stored on the Web server. For example, the files attached to issue #3 in the project are stored in the folder

IssueTrackerServer\vit\Data\Attachments\3

Attachments may be relocated to a separate file server. To check the location of the attachments, log on to Issue Tracker Web Admin, go to the Relocation tab, and click Relocate Attachments.

Web views

By default, Web views are stored on the Web server in the IssueTrackerServer folder:

IssueTrackerServer\CensusWeb\Views\CensusWebVD\

To check the location of your Web views, log on to the Web View Editor and in the shortcut bar click URL.

Related Topics

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Automatic Backups

Performing Hot Backups

Restoring Backups


Backing Up Issues

To back up the issue data stored in a project, you need to back up:

The issue database, which stores all the issue information entered.

The files attached to issues. These files are stored outside of the issue database, in the file system.

What to backup

All issue information (except for attached files) is stored in the issue database.

Database engine | Database
Jet/MSAccess | <project>01.dat
SQL Server | <project>01_DAT

By default, attachments are stored in the project folder (for example, C:\Program Files\Vector\IssueTrackerServer\vit\Data\Attachments). Note that the attachments may be stored in a different folder or on a different computer.

Notes

To check the location of the databases, log on to Issue Tracker Web Admin and click the Relocation tab.

To check the location of the attachments, log on to Issue Tracker Web Admin, click the Relocation tab, and click Relocate Attachments.

You can use Issue Tracker Admin to verify the location of the issue database. In the Project list, click the project to display the Project Properties. The Project Location specifies the location of the issue database.

Related Topics

About Backing Up

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Automatic Backups

Performing Hot Backups

Restoring Backups


Backing Up Projects

Projects include the definitions of fields, queries, sorts, layouts, reports, and notifications.

What to backup

Project definitions are stored in the definitions database.

Database engine | Database
Jet/MSAccess | <project>02.def file
SQL Server | <project>02_DEF database

In addition to the definitions database, there are several related files you should also back up.

Project File | Description
<project>.cen | Used for project initialization and versioning
<project>03.usr | Access database used by Issue Tracker Admin

Note that Vector Issue Tracker automatically backs up the tblDtsFields table in the definitions database. This table contains the definitions of the fields in the project. The backup copies of the table are stored in the definitions database.

Related Topics

About Backing Up

Backing Up Issues

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Automatic Backups

Performing Hot Backups

Restoring Backups


Backing Up the Users Database

The users database contains all user and contact information, and is shared by all projects.

What to backup

If at least one project uses SQL Server, the user data is stored in a SQL Server database. Otherwise, the user data is stored in a Microsoft Access .mdb file. The users database is located in the IssueTrackerServer folder (for example, C:\Program Files\Vector\IssueTrackerServer).

Database engine | Database
Jet/MSAccess | users.mdb
SQL Server | USERS_MDB

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up System Files

Backing Up Web Views

Automatic Backups

Performing Hot Backups

Restoring Backups


Backing Up System Files

We recommend you do a general backup of the files in the IssueTrackerServer folder.

What files to backup

You should backup these files:

Censys.mdw (security database that contains users, groups, and passwords).

The license database.

Database engine | Database
Jet/MSAccess | Licenses.mdb
SQL Server | LICENSES_MDB

CenSession.xml

CenInfoSession.xml

Vector Issue Tracker automatically creates backup copies of CenSys.mdw and CenSession.xml in the IssueTrackerServer folder when the files change. A mirror of CenSys.mdw is also available (the mirror file is named CenSys_mir.mdw).

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up Web Views

Automatic Backups

Performing Hot Backups

Restoring Backups


Backing Up Web Views

What to backup

You should backup these databases, files, and folders:

The database of Web view definitions and settings.

Database engine | Database
Jet/MSAccess | censusweb.mdb
SQL Server | CENSUSWEB_MDB

The CUSTOMIZEDFILES folder. This folder contains all the customized Web view files (for example, custom reports).

The generated Web view files. Each Web view has its own folder. For example:

C:\Program Files\Vector\IssueTrackerServer
\CensusWeb\Views\CensusWebVD\HelpDesk_HelpDesk

The project folders. Each project has its own folder. For example:

C:\Program Files\Vector\IssueTrackerServer\HelpDesk

The project folder stores attachments, the reports used to format notifications, the macro70.bas file, and the queue of notification messages.

Note that the attachments may be stored on a different computer. To check the location of the attachments, log on to Issue Tracker Web Admin, click the Relocation tab, and click Relocate Attachments.

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Automatic Backups

Performing Hot Backups

Restoring Backups


Automatic Backups

Vector Issue Tracker automatically backs up:

The tblDtsFields table in the project definitions database. This table contains the definitions of the fields in the project.

CenSession.xml

CenSys.mdw

You can disable these automatic backups by setting the Enable Backups option to No (in the Tools menu, click Options).

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Performing Hot Backups

Restoring Backups


Performing Hot Backups

Hot backups are backups performed while the Vector Issue Tracker system is in use. Hot backups are ideal for continuous operations.

To perform hot backups, the Vector Issue Tracker administrator has to use database-specific tools:

To back up data in a SQL Server database, use the built-in SQL Server backup utility.

To back up Jet/MSAccess databases, use a third-party tool like FMS Total Visual Agent.

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Automatic Backups

Restoring Backups


Restoring Backups

After restoring backups of the issue database and the project definitions database, use the Integrity editor to validate the integrity of fields, relationships, and the issue database.

Related Topics

About Backing Up

Backing Up Issues

Backing Up Projects

Backing Up the Users Database

Backing Up System Files

Backing Up Web Views

Automatic Backups

Performing Hot Backups


Uploading Large Attachments

On Windows Server 2003 systems, the default size limit for uploaded files is 4096 KB. If a user tries to upload an attachment that exceeds this limit, the user may get "The page cannot be displayed" or "Cannot find server or DNS Error" error messages.

To increase the upload limit for attachments:

1 Using a text editor, open:

\Program Files\Common Files\MetaQuest\Scripts\IIS\MqWVDConfig.vbs

2 Set the constant UPLOAD_FILE_MAX_SIZE to the maximum size (in bytes) for uploaded attachments. For example:

UPLOAD_FILE_MAX_SIZE = 1048576

      ' 1 MB
UPLOAD_FILE_MAX_SIZE = 5242880

      ' 5 MB
UPLOAD_FILE_MAX_SIZE = 10485760

     '10 MB

3 Re-create the virtual directories where you want the new size limit to apply. Note that re-creating virtual directories logs off users.

a Start the Web View Editor.

b In the shortcut bar, click URL [image].

c Click [image] to open the Web View Wizard.

d In the Web View Wizard, click Next until you get to the last page of the wizard, then click Finish. This recreates the virtual directories associated with the existing URL.

e Click Yes each time the Wizard asks if you want to re-create a virtual directory and reset its properties.

A URL (such as //Server/vit) has several associated virtual directories (for example, vit, vit00, vit01, and vit02).

Related Topics

Fixing 404 Errors

Changing URLs and Directories


Fixing 404 Errors

When Vector Issue Tracker is installed on a Windows Server 2003 system, users may get 404 errors (File not found) when trying to open attachments. This is because IIS 6.0 on Windows Server 2003 only accepts requests for static files with extensions that it recognizes. You can prevent this problem by adding the extensions to MIME Types settings of the IIS server.

To define a MIME type for a specific extension:

1 Open Internet Information Services.

2 In the console tree, right-click the virtual directory used for attachments, then click Properties.

3 On the HTTP Headers tab, click MIME Types.

4 Click New.

5 In the Extension box, type a file name extension (for example, ini).

6 In the MIME Type box, type the MIME type of the file (for example, text/ini).

7 Apply your changes.

Notes

You may need to restart the World Wide Web Publishing Service before your changes take effect.

For more information on MIME types, see MIME Types in the IIS 6.0 Manager Help.

The URLScan tool can also be configured to block processing of certain file name extensions. Verify these settings.

Related Topics

Uploading Large Attachments


Chapter 14 - Importing Issues


About Importing Issues

Vector Issue Tracker stores most of its issue data in the tblDts table of the issue database (<project>01.dat for Microsoft Access, <project>01_DAT for SQL Server). To import issue data into this table, use the Import Issues command in the File menu of Issue Tracker Admin. The Import Issues dialog shows the following information:

Source table

You import issues from a source table, which could be in Microsoft Access, SQL Server, a delimited text file, or a number of other formats.

Source fields

Source fields are the fields imported from the source table

Destination fields

Destination fields are the fields in the Vector Issue Tracker database table tblDts.

Mapped fields

You map source fields to destination fields. When you click Start, the mapping determines how the source fields are copied to the destination fields.

To import issues:

1 Prepare your issue data and the Vector Issue Tracker database .

2 Import issue data into a source table .

A source table is an intermediate table that holds the issue data you want to import into tblDts and tblFixInformation.

3 Map the fields in the source table to the fields in tblDts and tblFixInformation.

4 Click Start to create new records in tblDts and tblFixInformation and to copy the imported issues from the source table into these new records.

Related Topics

What Can You Import?

How New Records are Created

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


What Can You Import?

Vector Issue Tracker uses Microsoft Access functionality to import data, so you can import from any of the formats and applications supported by Microsoft Access:

Microsoft Access (databases other than the open database)

Delimited text (values separated by commas, tabs, or other characters)

Fixed-width text (values arranged so that each field has a defined width)

Microsoft Excel (versions 2.x, 3.0, 4.0, and 5.0)

Lotus 1-2-3 or 1-2-3/W (.WKS, .WK1, and .WK3 files)

Paradox (version 3.x or 4.x .DB files)

FoxPro (version 2.0 and 2.5 .DBF files)

dBASE III and dBASE IV (.DBF files)

Btrieve (with the data definition files FILE.DDF and FIELD.DDF)

SQL databases, using ODBC drivers

HTML

With Vector Issue Tracker, you can import data into any of the fields in the tblDts table. This table contains most of the issue data.

You cannot use Vector Issue Tracker to import data into the following tables:

tblUser, which contains user information such as the user's logon name, full name, e-mail address, and telephone number.

tblAttachment, which contains the names of the files attached to different issues.

Any of the tables that contain the possible values for choice lists.

Related Topics

About Importing Issues

How New Records are Created

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


How New Records are Created

How Records are Created

When you click the Start button, Vector Issue Tracker creates new records in tblDts and tblFixInformation, and copies the data from the source table into the new records.

In general, if there is no mapping for a field or the imported data is invalid, Vector Issue Tracker leaves the field blank. However, there are exceptions. The following summarizes how Vector Issue Tracker handles fields when it creates new issues.

Issue Number

You cannot import issue numbers. Vector Issue Tracker automatically assigns issue numbers to issues.

Owner (nUserID)

You can import the full name of a user or the ID of the user in tblUsr.

If there is no mapping or the user name is not found in tblUsr, the field is left blank.

Submitter (nSubmitterID)

You can import the full name of a user or the ID of the user in tblUsr.

If there is no mapping or the user name is not found in tblUsr, the name of the current user is stored in the field.

Contact (nOriginatorID)

You can import the full name of a user or the ID of the user in tblUsr.

If there is no mapping or the user name is not found in tblUsr, the name of the current user is stored in the field.

Progress

You can import the ID of a choice value or the choice text. If there is no mapping for a choice list field, Vector Issue Tracker sets the Progress field to the choice with ID = 0 (by default, New).

State

You cannot import State values. sets the State field based on the Progress field.

Time and Date fields

You can import time and date values. If you do not map a date or time field, Vector Issue Tracker sets the field to the current date or time. See the tblSubstate choice table for the mapping of Progress values to State values.

The Closed Date field value is imported only if the State is Closed.

Imported date values should use the format yyyy/mm/dd.

Imported time values should use the time format specified in the Regional Options of Windows Control Panel.

Choice lists

You can import either the choice ID (the nID of the choice in the Vector Issue Tracker choice table) or the choice text.

Related Topics

About Importing Issues

What Can You Import?

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


Before You Import

Add fields for imported data

Compare the issue data you want to import against the fields in tblDts and tblFixInformation. If you want to import additional issue data for which there are no corresponding fields in these two tables, use the Field editor to add the required fields.

Create a Number field to hold imported IDs or record numbers

If you want to import the IDs or record numbers of your data records, create a numeric field in Vector Issue Tracker. You can then map your record IDs to this field when you import your data.

Create users and contacts

Add users and contacts in Vector Issue Tracker before importing data that contains user names.

When you import user names into the Owner, Submitter, and Contact fields, the names must match the full names assigned to the users in Vector Issue Tracker. You must use the users' full names, not their logon names.

For example, if you import a set of issues owned by a user for whom no entry is defined, the Owner field is left blank.

Note that you can import the numeric ID for a user in the tblUser table (users database).

Customize Vector Issue Tracker choice lists to match the imported data

In Vector Issue Tracker, customize choice lists to match the values you want to import. You could also change the values in the imported data to match the Vector Issue Tracker choice lists. You could do this in the original issue data, or you could use Microsoft Access to modify the source table created when you imported the original issue data.

If you are importing text files

If your issue data is in a text file, the first data record should contain the field names. Otherwise, Vector Issue Tracker assigns the fields the names 1, 2, 3, and so on. This makes it harder to map the fields.

Also, the first data record should have no blank fields. Microsoft Access uses the first data record to determine the data types of the fields. For example, if a date field is blank, Microsoft Access imports it as a text value, and you will be unable to convert the field into date format.

Back Up Projects

Make a backup copy of the issue database before you import any data. If you make a mistake mapping the fields, having a backup copy allows you to change the mapping and try again.

Log off users

Make sure no one is using the project database while you import issues. Ask all users to exit Vector Issue Tracker before you start to import issues.

Related Topics

Backing Up Projects

Logging Off Users

About Importing Issues

What Can You Import?

How New Records are Created

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


Importing Issues into a Source Table

You don't import issues directly into the Vector Issue Tracker tables. Instead, you import the issues into a source table. Vector Issue Tracker copies the imported data into its tables after you define a mapping between the fields in the source table and the Vector Issue Tracker fields.

To import issues from a file:

1 On the File menu, click Import Issues.

2 Click New Source Table to import data from a text file, spreadsheet, or database table into a Microsoft Access table (the source table).

3 In the Files of Type list, click the file format you want to import.

To import issues from another Vector Issue Tracker database (or from any other Microsoft Access database), click Microsoft Access.

4 Click the file you want to import, and then click Import.

To import issues from a Vector Issue Tracker Access database, select the project01.dat file.

5 In the Import Objects dialog, select the import options you want.

If you are importing from a text file or spreadsheet, select the First Row Contains Field Names check box.

If you are importing from a Microsoft Access database, select the tables you want to import.

6 Click OK to import the data.

Vector Issue Tracker creates a source table named after the file you selected.

7 To import another file, repeat steps 4 and 5. When you've finished importing, click Close.

To import issues from a SQL database:

1 On the File menu, click Import Issues.

2 Click New Source Table.

3 In the Files of type list, click ODBC.

4 In the Select Data Source dialog, click the Machine Data Source tab.

5 Find the SQL Server data source and click OK.

6 In the SQL Server Login dialog, type your SQL Server login ID and password.

7 Click Options, and in the Database list, click a database.

To import issues from a SQL Server database, click the issue database.

8 Click OK.

9 In the Import Objects dialog, select that tables you want to import.

For SQL Server databases, the table to import is dbo.tblDts.

10 Click OK.

Related Topics

About Importing Issues

What Can You Import?

How New Records are Created

Before You Import

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


Combining Multiple Source Tables

When you import issues into Vector Issue Tracker, you work with one source table at a time. If your issue data is stored in two or more tables, you'll need to combine those tables into a single source table before you can map the source fields to the destination fields.

First, use the Import Issues dialog to import each file into a separate source table, then use Microsoft Access to define a query that joins these source tables into a single table.

Related Topics

About Importing Issues

What Can You Import?

How New Records are Created

Before You Import

Importing Issues into a Source Table

Importing Issues from Projects

Creating Queries to Merge Source Tables

Mapping Fields


Importing Issues from Issue Tracker Projects

Importing Issues from Projects

In Vector Issue Tracker projects, issue data may be split across two tables (tblDts and tblFixInformation) in the issue database.

You need to merge the two tables before you can map the fields.

To import issues from Microsoft Access .dat files:

1 Click Add tblDts and tblFixInformation to the list of source tables.

2 In the Source Table list, click qryMergeCensusTables.

This query adds the combined fields from tblDts and tblFixInformation to the Source Fields list.

3 Click Auto Map, and then click Start.

To import issues from a SQL Server issue database:

1 Add dbo.tblDts and dbo.tblFixInformation to the list of source tables.

The source tables are named dbo_tblDts and dbo_tblFixInformation.

2 Create a new query to merge dbo_tblDts and dbo_tblFixInformation.

3 In the Source Table list, click the new query.

This query adds the combined fields from dbo_tblDts and dbo_tblFixInformation to the Source Fields list.

4 Click Auto Map, and then click Start.

Related Topics

About Importing Issues

What Can You Import?

How New Records are Created

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Creating Queries to Merge Source Tables

Mapping Fields


Creating Queries to Merge Source Tables

The qryMergeCensusTables query merges two source tables named tblDts and tblFixInformation. If the source tables you want to merge have different names, you need to create a new query based on qryMergeCensusTables.

To create a new query for merging source tables:

1 Exit Issue Tracker Admin and open Program Files\Vector\IssueTrackerTools\Admin.mdb in Microsoft Access.

2 In the Objects list, click Queries. Click qryMergeCensusTables and click Design.

3 In the View menu, click SQL View.

4 In the SQL statements, replace all occurrences of tblDts and tblFixInformation with the names of the source tables you want to merge.

5 In the File menu, click Save As and type a name for the new query.

6 Close Admin.mdb.

7 Open Program Files\Vector\IssueTrackerTools\Admin.mde.

8 Open the table tblImport and add a new record. In the tName column, type the name of the query. In the nID column, type a unique, numeric ID for the query (use the next available nID).

9 Close Admin.mde.

10 The new query is now available in the Source Table list of the Import Issues dialog.

Related Topics

About Importing Issues

What Can You Import?

How New Records are Created

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Mapping Fields


Mapping Fields (Import Issues)

Mapping Import Fields

After you create a source table, you must define a mapping between the fields in the source table and the fields in tblDts and tblFixInformation. Vector Issue Tracker uses this mapping to copy the imported data into the new records it creates in tblDts and tblFixInformation.

To map a source field to a destination field:

1 Click a field in the Source Fields list.

2 Click a field in the Destination Fields list. The data in the source field is copied to this field when you click the Start button.

3 Click the right arrow button to map the fields.

To remove a mapping:

1 In the Mapped Fields list, click a mapping.

2 Click the left arrow button.

Mapping Text Fields

Text fields, such as tBriefDescription, have a limit of 255 characters. Memo fields store large numbers of characters (in Access, up to 64000 characters; in SQL Server, up to maximum length of 231-1 (2,147,483,647) characters).

Mapping Memo Fields

Import data into the mDetailedDescription and Activity$Log fields, not into the Description$Input and Activity fields.

Importing Choice Lists

Import either the choice text or the numeric ID of the choice in the choice table.

Importing Users, Submitters, and Contacts

Import either the full name of a user, or the numeric ID for that user in the tblUser table (users database).

Related Topics

About Importing Issues

What Can You Import?

How New Records are Created

Before You Import

Importing Issues into a Source Table

Combining Multiple Source Tables

Importing Issues from Projects

Creating Queries to Merge Source Tables


Chapter 15 - Integrating Inventory


About Inventory

Integrating Vector Issue Tracker with Vector Asset Management makes information about a user's PC immediately available to help desk staff. To display the software and hardware information for a computer, enter its name.

To ensure accurate, up-to-date information is available, run the hardware and software inventory operations regularly.

Software and Hardware Details

In a Web view, the Inventory tab displays a summary of the inventory information for the user’s computer, and includes a set of detailed reports.

Only the computer name is stored in the Vector Issue Tracker database. Web views use the computer name to dynamically get the inventory information from the Vector Asset Management site database.

Site-Wide Inventory Reports

In addition to the Inventory tab, which provides computer-specific information, Web views include software and inventory inventory reports. These site-wide reports provide information for all computers.

Remote Control

By default, Vector Issue Tracker adds Remote Control buttons to the fields (such as Computer Name) used to query the Vector Asset Management site database for inventory information.

The Remote Control [image] button connects to the specified computer and starts a PC-Duo ActiveX Remote Control session. The remote control session runs in a browser window, and does not require the PC-Duo Control to be installed on the local computer.

Related Topics

Removing Remote Control Buttons

How to Integrate Inventory


How to Integrate Inventory

To integrate a Vector Issue Tracker project with Vector Asset Management Inventory:

1 Link the project to a Vector Asset Management site database.

2 If necessary, modify the query that retrieves software and hardware inventory information from the site database. By default, Vector Issue Tracker uses the Computer Name field to select inventory information from the site database.

3 Add the Inventory tab to Web views.

Related Topics

Linking Projects and Site Databases

Defining the Query

Adding the Inventory Tab to Web Views


Linking Projects and Site Databases

When you link a project to a site database, inventory information from that database is available in all Web views of the project that include the Inventory tab. You can link each Vector Issue Tracker project to a different site database, or multiple projects to the same site database. You cannot link a project to more than one site database.

By default, a new project is linked to the same site database as its base project.

To link a project to a Vector Asset Management site database:

1 Log on to Issue Tracker Web Admin.

2 Click the Inventory tab.

3 In the Project list, click the project in which you want to make inventory information available.

4 If the project is already linked to a site database, click Remove.

5 Click Link to open the Link Site Wizard.

6 Click Next to search the local computer for Vector Asset Managementsite databases.

Vector Issue Tracker uses an ActiveX control to detect site databases on your computer. If a Security Warning dialog is displayed, allow Vector Issue Tracker to download and install the control.

When the wizard finishes searching the computer, it displays a list of detected sites.

7 Under Detected Sites, click the site you want to link to the project.

If the site you want to link to is not listed under Detected Sites, click Other Sites to manually link to the site.

8 Click Next.

9 Click Finish.

Related Topics

Editing Links

Removing Links

Defining the Query

Adding the Inventory Tab to Web Views

Hiding the Software and Hardware Report Buttons

Manually Linking to Other Sites

Gathering Information about the Site Database


Editing Links

After a project is linked to a site database, you can edit the link.

If the database location changes, you can update the location.

If the database logon information changes, you can change the name and password Vector Issue Tracker uses to connect to the database.

You can change the name and description of the site. This information is displayed on the Inventory tab when you select a project.

Each project has a separate copy of the link information. For example, if the location of a site database changes, you need to edit the link for each project linked to that site database.

To edit the link between a project and a site database:

1 In the Project list, click a project.

2 Click Edit.

3 Edit the link information.

4 Click Apply to save your changes.

Related Topics

Gathering Information about the Site Database

Linking Projects and Site Databases

Removing Links

Manually Linking to Other Sites


Removing Links

Removing a link removes the information used by the project to connect to the site database. This does not remove data from the issue database because inventory information is not stored in the issue database.

If a project is no longer linked to a site database, remove the Inventory tab from the Web views of the project, otherwise an error is displayed if users attempt to view inventory reports.

To remove the link between a project and a site database:

1 In the Project list, click a project.

2 Click Remove.

Related Topics

Linking Projects and Site Databases

Editing Links


Defining the Query

By default, Vector Issue Tracker uses the Computer Name field to select inventory information from the site database. The default query looks like this:

Client Name = Computer Name

Client Name is a field in the site database that stores the unique network name of a computer. Computer Name is a text field in the project.

To use a different site database field, such as User Name (the user name for a Windows user account), you must:

1 Add a new text field to the project (such as Windows User Name) so help desk staff can enter the value to be used in the query.

2 Change the query. For example:

User Name = Windows User Name

Inventory Fields

The list of Inventory fields that you can use in a query come from the NODES table in the site database.

The Inventory field must have unique values, otherwise, Vector Issue Tracker can retrieve inventory data for more than one computer. In this case, Vector Issue Tracker only displays the inventory data for the first computer found.

Issue Tracker Fields

The list of Issue Tracker fields includes all text and number fields that are not on the Contact tab.

Related Topics

Linking Projects and Site Databases

Adding the Inventory Tab to Web Views


Adding the Inventory Tab to Web Views

To add the Inventory tab:

1 Log on to the Web View Editor, and in the shortcut bar, click Fields [image] .

2 In the Tab list, click Overview. Add the Computer Name field to the Export To View list.

3 In the Tab list, click Inventory. Add all the Inventory fields to the Export To View list.

You must export at least the Client Name field. To make sure all the Inventory reports work, export all the Inventory fields.

Notes

If you do not export all the fields, the System Summary report will be incomplete or display the error message "The field name is not known".


Hiding the Software and Hardware Report Buttons

Adding the Inventory tab also adds the Software and Hardware report buttons to the Web view. You can use group permissions to control access to these reports.

To hide the buttons, disable:

Report Viewer - Hardware Inventory

Report Viewer - Software Inventory

Related Topics

Linking Projects and Site Databases

Defining the Query


Manually Linking to Other Sites

Manually Linking to Sites

If Vector Issue Tracker does not automatically detect the site you want to link to, you can manually create the link. You need to know the name, location, and type of database, and the details of a user account that can be used to log on to the site database.

To manually link a project to a site database:

1 Log on to Issue Tracker Web Admin.

2 Click the Inventory tab and click a project in the Project list, .

3 Click Link to open the Link Site Wizard, then click Next.

4 Click Other Sites then click Next.

5 In the Site Name box, type a name for the site. This name is used only by Vector Issue Tracker, and does not change the name of the site in Vector Asset Management.

6 Type a Description of the site.

7 In the Type list, click the type of database you want to link to.

8 Specify the database location and name:

To connect to a Microsoft Access database, click Browse and locate the database file (an .mdb file).

Look in the network, not the local computer, to locate the database. By default, site databases are located in the Vector Data\Databases folder.

To connect to a SQL Server database, enter the Name of the SQL Server database, and the name of the SQL Server.The name of the SQL Server is typically the computer name of the server.

9 If you need to log on to the site database, type the account details in the User Name, Password and Confirm Password boxes.

When you have finished, click Test to verify the database connection.

Related Topics

Gathering Information about the Site Database

Linking Projects and Site Databases

Editing Links

Defining the Query

Adding the Inventory Tab to Web Views

Hiding the Software and Hardware Report Buttons


Gathering Information about the Site Database

To integrate Vector Inventory with Vector Issue Tracker, you need the following information:

The details of the database used by the Vector Site:

For a Microsoft Access database, you need the name and location of the Microsoft Access .mdb file

For a SQL Server or MSDE database, you need the names of the server and the database (the name of server is usually the name of the computer on which SQL Server/MSDE is installed).

The details of a user account that can be used to log on to the Site database?

To use the Vector Asset Management Console to check the database type, name, and location:

1 In the Console tree, expand the site, and then click Site Management.

2 In the Details area, click Database and Licensing.

The Database Location box specifies the type, name, and location of the database. For example:

ACCESS MySiteDB \\server\share\MySiteDB.mdb

-or-

SQL SERVER MySite MySQLServer MySiteDB

To use the Vector Asset Management Console to check the logon information:

1 In the Console tree, click Enterprise Management.

2 In the right pane, click Logon Information.

Related Topics

Manually Linking to Other Sites

Editing Links


Chapter 16 - Integrating Remote Control


About Remote Control in Issue Tracker

About Remote Control

Remote Control enables a help desk analyst to take control of a user’s computer to investigate problems and provide support rrom inside a Web view. To start a remote control session, the help desk analyst enters a computer name in a field and clicks the Remote Control button adjacent to the field.

The button connects to the specified computer and starts a PC-Duo ActiveX Remote Control session. The remote control session runs in a browser window, and does not require the PC-Duo Control to be installed on the local computer.

The requirements for remote control are:

The Web view must be running in Internet Explorer.

The Remote Control button loads a page the contains an ActiveX control. This ActiveX control allows the help desk analyst to watch, share, or control the remote computer.

The PC-Duo Remote Control Client must be installed on the remote computer, and the Client cannot use its license key serial number as a security key.

Related Topics

Setting Up Remote Control

Adding Remote Control Buttons

Configuring ActiveX for Remote Control

Checking Client Security Key Settings

Removing Remote Control Buttons


Setting Up Remote Control

To add remote control to a Web view:

1 Add a text field where users can enter the computer name or IP address.

This field is used to identify the PC-Duo Client on the user’s computer. The Issue Tracker project includes a Computer Name field for this purpose.

2 Add the Remote Control button to the field.

3 Generate the Web view.

Related Topics

About Remote Control

Adding Remote Control Buttons

Configuring ActiveX for Remote Control

Checking Client Security Key Settings

Removing Remote Control Buttons


Adding Remote Control Buttons

To add the Remote Control button to a field:

1 Log on to the Web View Editor.

2 In the shortcut bar, click Remote Control [image].

3 In the Available Fields list, expand the tab that contains the field.

If you do not see the field, select the Show All check box to show all available fields.

4 Select the Can Connect check box for the field.

5 Generate the Web view.

When you select the Can Connect check box for a field, the Web View Editor sets the URL and URL Button CSS attributes of the field.

The URL field attribute is set to:

../../RC/rcviewer.asp?Client=%fieldvalue%

The first part of the URL (../../RC/rcviewer.asp) is the Remote Control URL, which points to this file:

IssueTrackerServer\CensusWeb\Views

     \CensusWebVD\RC\rcviewer.asp

The RCviewer.asp file is installed with Vector Issue Tracker. You can customize this file to change the default remote control settings. For example, you can specify the security key used to access clients, and enable encryption or compression.

The second part of the URL is a query string that identifies the computer to control. When a user clicks the Remote Control button, %fieldvalue% is replaced with the current contents of the field.

The URL Button CSS field attribute specifies the CSS class used for the button.

Related Topics

About Remote Control

Setting Up Remote Control

Configuring ActiveX for Remote Control

Checking Client Security Key Settings

Removing Remote Control Buttons


Configuring PC-Duo ActiveX Remote Control

Configuring ActiveX for Remote Control

To configure PC-Duo ActiveX Remote Control, you edit the file RCviewer.asp, which is located in the folder

IssueTrackerServer\CensusWeb\Views
     \CensusWebVD\RC\RCViewer.asp

RCViewer.asp contains a number of variables that allow you set options and defaults.

After you customize RCViewer.asp, copy the file to

IssueTrackerServer\CensusWeb\CUSTOMIZEDFILES
     \#Project#vit\RC

This ensures that the next time you generate a Web view, the customized copy of RCViewer.asp is copied to the output folder.

DEFAULT_SECURITY_KEY

Specifies the security key used by PC-Duo ActiveX Remote Control when it connects to clients.

The ActiveX control does not support licensing, so you cannot type an asterisk to use the license key serial number as the security key.

DEFAULT_COMPRESS

Enables (1) and disables (0) compression. By default, compression is disabled.

DEFAULT_ENCRYPT

Enables (1) and disables (0) encryption. The encryption type is 56-bit DES encryption. By default, encryption is disabled.

DEFAULT_SCALE_TO_FIT

Specifies whether the remote screen is scaled to fit in the browse window when the remote control session starts. Set to 0 to turn off scaling.

Users can turn on scaling after the remote control session starts by selecting the Scale to Fit check box.

DEFAULT_SCROLL_BARS

Specifies whether the view window has scroll bars when the remote control session starts. Set to 0 to turn off scroll bars.

Users can turn on scroll bars after the remote control session starts (by selecting the Scroll Bars check box).

DEFAULT_VIEW_TYPE

Specifies the default viewing mode (Watch, Share, or Control). Users can change the viewing mode after the remote control session starts.

DEFAULT_INIT

Specifies the name displayed by the PC-Duo Client during a remote control session. Allows the remote users to identify who is controlling their computer. “*” means use the computer name.

Related Topics

Setting Up Remote Control

Checking Client Security Key Settings


Checking Client Security Key Settings

PC-Duo ActiveX Remote Control cannot connect to clients that use the license key serial number as a security key.

To check if a client is using the serial number as a security key:

1 In the Client Configurator, edit the Master Profile.

2 On the Users tab, the Security Key box contains the security key.

If the Security Key box contains an asterisk (*), the PC-Duo ActiveX Remote Control will be unable to connect to the client because the client is using the serial number.

Related Topics

About Remote Control

Setting Up Remote Control

Adding Remote Control Buttons

Configuring ActiveX for Remote Control

Removing Remote Control Buttons


Removing Remote Control Buttons

To remove the Remote Control button from a field:

1 Log on to the Web View Editor.

2 In the shortcut bar, click Remote Control [image] .

3 In the Available Fields list, expand the tab that contains the field.

4 Clear the Can Connect check box for the field.

5 Generate the Web view.

Related Topics

About Remote Control

Setting Up Remote Control

Adding Remote Control Buttons

Configuring ActiveX for Remote Control

Checking Client Security Key Settings


Chapter 17 - Customizing Issue Tracker


Power Customizations

This section covers a variety of ways to customize Vector Issue Tracker, all of which are considered power customizations.

Power customizations involve using the Microsoft Access development environment (or the SQL Server Query Analyzer), Visual Basic, Javascript, and other advanced techniques to customize Vector Issue Tracker.


About the Databases

Issue database

Stores the issues and their revision histories.

Project definitions database

Stores all project-related definitions, including fields, queries, sorts, layouts, reports, and notifications.

Users database

Stores user accounts, contacts, and the information entered on the Contact tab.

Database | Jet/Access | SQL Server
Issue | <project>01.dat | <project>01_DAT
Project definitions | <project>02.def | <project>02_DEF
Users | users.mdb | USERS_MDB

Related Topics

Editing Databases


Editing Databases

Some customizations require that you edit tables in the project databases.

To edit a table in an Access database:

1 Start Microsoft Access and open the database.

2 Under Objects, click Tables.

3 Locate the table you want to edit, and double-click it.

4 Locate the row you want to modify and make your changes.

5 Click in another row, or close the table, to save your changes.

To edit a table in a SQL Server database:

1 Start the SQL Query Analyzer.

2 In the Object Browser, locate the database and table you want to edit.

3 Right-click the table and click Open.

4 Locate the row you want to modify and make your changes.

5 Click in another row, or close the table, to save your changes.

Related Topics

About the Databases


Creating an Attachments Field

To create an attachments field:

1 Open the project definitions database.

2 Open the tblDtsFields table.

3 Copy the record for the Attachments field and paste it into a new record.

4 Change the nID, tTableName, tName, tCaption, tLabelCaption, and tBoundControlName fields.

5 If you want to put the new attachments field on a different tab, change the nDestinationTabID field.

tblDtsFIelds field | Description
nID | Unique ID for the field.
tTableName | Name of the attachments table in the issue database. The attachments table stores information about attached files. Also, the name of a table in the users database (the table is named <tTableName>Temporary).
tName | Name of the field in the attachments table of the issue database. Stores the name of an attached file.
tCaption | Label used in choice lists.
tLabelCaption | Default label for the field in a Web view.
tBound ControlName | Internal name for the field.

To create an attachments table:

1 In the issue database, copy tblAttachments. Use the tTableName of the new attachments field as the name.

2 Change the name of the tAttachments field in the new table. Use the tName of the new attachments field as the new name.

To create a temporary attachments table:

In the users database, copy the tblAttachmentsTemporary table. Name the new table <tTableName>Temporary.

To add a record to tblDtsTables:

In tblDtsTables (project definitions database) copy the record for the attachments table. Change tTableName and tTableNameTemp to the names of the new attachments tables in the issue and users databases.

Related Topics

About the Databases

Editing Databases


Customizing URL Buttons

URL buttons are implemented as A elements with background images.

Each of the default URL buttons (URLButton [image], MailToButton [image], RemoteControl [image]) has four CSS classes, along with four associated :hover classes. The Web View Editor automatically determines which CSS class to use based on the field type and the field attribute settings. For example, the CSS classes used for URLButton are determined as follows:

When | These CSS classes are used
Column Span=1 | URLButtonState1 URLButtonState1:hover
Column Span=2 CSS Class = MemoFieldWidth | URLButtonSpanTwoState1 URLButtonSpanTwoState1:hover
Column Span=2 CSS Class = SpanTwoWidthOne | URLButtonTwoWidthOneState1 URLButtonSpanTwoWidthOneState1:hover
Field already has a button (for example, a date field). | URLButtonSecondButtonState1 URLButtonSecondButtonState1:hover

These CSS classes are defined in the CensusMain.css style sheet in CensusWeb\Views\CensusWebVD\Theme\css.

Each different pair of CSS classes positions the button differently, by changing the value of the CSS left property.

The :hover pseudo classes change the background image to give a rollover effect.

To define your own buttons, copy the URLButton classes, change the class names, and point the background-image property to your button images. For example:

.MyButtonState1

{

     background-image:

           url(../images/buttons/mybutton_off.gif);

     background-repeat:no-repeat;

     display:block;

     position:absolute;

     left:80%;

     width:24px;

     height:24px;

     top:0px;

}

For button rollovers, you’ll need two versions of your button image. Your button images should have a one or two pixel margin (so there’s some space between the field and the button). Alternatively, you could adjust the left property.

To use these new classes, use MyButton as the value of the URL Button CSS attribute.


Customizing the Inventory Tab

The list of reports that appears on the Inventory tab is customizable. You can:

Remove reports.

Reorder the list.

Change report names (captions).

Add separators between reports.

Change the title of the reports list (by default, the title is “Reports”).

To customize the list of reports on the Inventory tab, edit the file tmplInventoryTab.rec, which is located in the folder

IssueTrackerServer\CensusWeb\CUSTOMIZEDFILES

     \#Project#vit\#AllWebViews#\Misc

In templInventoryTab.rec, the reports list is stored in an array named arrReports. arrReports is an array of arrays, that is, each element in arrReports is itself an array. Each of these arrays contains information about a different report.

The following code fragment shows how a report is added to the list:

// start Reports list

arrReports = [

       // array of report information

     [ GetOpenReportOnClickFunction(...),

           "<caption>", "<tooltip>", "<html-markup>" ]

     ] // end of Reports list

where:

GetOpenReportOnClickFunction(...) returns the onClick event handler, which opens the report when a user clicks it. Do not edit this function call.

<caption> is the report name displayed in the list.

<tooltip> is the text displayed when a user points to the button beside a report. In tmplInventoryTab.rec, the caption and tooltip are specified by text that looks like this:

<Mq:ReportCaption>155.10</Mq:ReportCaption>

When you generate a Web view, this text is replaced with the name of the report.

<html-markup> is HTML markup that is inserted into the list after the report. For example, you can add separators by adding “<hr />”.

To reorder the list of reports:

1 In tmplInventoryTab.rec, change the order in which the reports are added into the arrReports array.

2 Some reports add a separator (“<hr/>”), so you may have to edit the report arrays to put the separators in the right places.

3 Generate the Web views that include the Inventory tab.

To remove reports:

1 In tmplInventoryTab.rec, comment out (or delete) the reports that you want to remove.

2 Generate the Web views that include the Inventory tab.

To change a report name:

1 In tmplInventoryTab.rec, replace the text that looks like this:

"<Mq:ReportCaption>155.10</Mq:ReportCaption>"

with the report name you want to see.

Remember, the tooltip is the second element in the array, and the caption is the third.

2 Generate the Web view.

To add a separator between two reports:

1 In tmplInventoryTab.rec, find the array for the first of the two reports.

2 Change the fourth element of the report array from "" to "<hr/>" (or to whatever HTML you want to use as a separator).

3 Generate the Web views that include the Inventory tab.

To change the title of the reports list:

1 In tmplInventoryTab.rec, find this document.write statement (near the end of the file):

document.write(m_objWebPart.GetHTML_ListContainer("Reports","../../theme/images/images/ListImage.gif",arrReports));

2 Change the first argument to GetHTML_ListContainer() from “Reports” to the title you want to see.

3 Generate the Web views that include the Inventory tab.


Ignoring Specific E-mail Domains When Creating Companies

When automatically creating a contact, Issue Tracker will attempt to automatically associate it with a company. To achieve this, Issue Tracker looks at the e-mail domain (ex: bob@mycompany.com), and looks for a company that has a similar e-mail address.

By default, Issue Tracker knows to ignore the following domains:

@hotmail.com;@yahoo.com;@gmail.com;@live.com;@googlemail.com

as they do not represent a unique domain that can be associated with a specific company.

To specify the domains that are ignored by Issue Tracker:

1 Open Issue Tracker Admin on the Issue Tracker Server.

2 Click Tools.

3 Click Options.

4 Locate the Invalid Email Domains setting.

5 Add or remove domains from the list.

When entering multiple values, ensure to include ‘;’ in between each value and ‘@’ before the domain

6 Click OK.

Related Topics

Mapping Message Fields to Issue Fields

Setting Default Values for Issues Submitted by E-mail


Integration with Microsoft Dynamics

Issue Tracker synchronizes with Customer accounts in Microsoft Dynamics GP/Great Plains, automatically importing them as users, contacts, or companies. Integrations with multiple Microsoft Dynamics servers is possible and administrators can define any number of import rules. For more information, see Importing Customers or Contacts from Microsoft Dynamics and Importing User Accounts .

Issue Tracker can also synchronize with invoices and RMAs from within, importing relevant information and showing invoice information from a web interface. It allows the user to view and select serial numbers from Microsoft Dynamics GP/Great Plains invoices as well as shipping information, purchase orders and more, all in real-time.

Related Topics

Importing User Accounts

Defining Import Rules


Building Custom Reports

Using Crystal Reports, you can add features such as charts, formulas, field highlighting, and running totals to a listing report. You can also import graphics (such as company logos) and completely reformat a listing report. To build custom reports, you need a version of Crystal Reports that is version 8.5 or beyond.

Customized listing reports appear on the Custom tab of the Issue Tracker Web Report Viewer. After you customize a listing report, you cannot edit it in the Report Editor. You must use Crystal Reports.

While Issue Tracker comes with numerous custom reports out of the box, it may be desirable to create additional custom reports. The process of creating such a report is as follows:

1 Open the Report Editor for the desired project.

2 Select the Listing tab.

3 Locate a report that has the Custom Report checkbox checked. If checked, this indicates that the report will appear in the Custom tab of Reports section of the Web views.

4 Click the Copy Report button. Choose a name for the new report, type it in, and press OK.

5 Press Apply to save your changes.

Note: After doing this, Issue Tracker will have already saved two .rpt files in the CustomizedFiles folder allocated to this project. In order to view the reports in the Web views, they must be moved to the Web view folder. This can be achieved by regenerating the Web views that are related to the project.

Example:

CUSTOMIZEDFILES\#Project#HelpDesk\#AllWebViews#\

6 Regenerate the Web views that are related to the project.

7 Navigate to the Web view's Reports folder, and locate the two .rpt files. From here you can use Crystal Reports to edit the .rpt files. If you wish to add, change, or remove fields, create cross tabs, or add new charts, you will need advanced knowledge of Crystal Reports. Please contact support for more information.

If the report name is "Open Issues - Age by Priority" then the filenames will be:

rptListingGOpen$Issue$-$Age$by$Prioritylandscape.rpt

rptListingGOpen$Issue$-$Age$by$Priorityportrait.rpt

Once the modifications have been made to both files, they must now be copied to the CustomizedFiles folder to ensure they will be included the next time the Web views are generated.

See Customizing Web View Files for more information on the CustomizedFiles folder.

Using Crystal Reports for all Listing Reports

It is also possible to use the Crystal Reports engine for all the Listing reports, rather than the HTML report engine. In this case, a Creation API for Crystal Reports 9.0 would need to be purchased from a third party. Once purchased, this Creation API, after having been installed on the web server, will enable Issue Tracker to display all existing and future Listing reports using the Crystal Reports Engine. This is done automatically without the need to use the Crystal Reports Editor. Since this involves the automatic generation of .rpt files, Crystal Reports requires that the Creation API be present.

Related Topics

Defining Listing Reports

Customizing Shared Web View Files

Changing Report Viewers


About HTML Reports

Web views use HTML to display Listing reports. You can customize this HTML by editing the XML files that define the HTML page template.

TmplRpt_listing_<type>.xml

HTML template for an HTML report page, including the table that contains the report data.

ValueCell_listing_<type>.xml

HTML template for a table cell that displays a field value.

CaptionCell_listing_<type>.xml

HTML template for a table cell that displays a field caption.

where <type> is either tabular or multi-column (the two types of listing reports).

You can find these files in the Reports folder of a Web view, for example:

C:\Program Files\Vector
     \IssueTrackerServer\CensusWeb
           \Views\CensusWebVD\vit_vit\Reports

These XML files are dynamically created the first time you view a report.

Vector Issue Tracker generates the HTML reports by transforming raw XML data into HTML using an XSL style sheet. The three .xml files are templates for the XSL style sheet.

Related Topics

Changing the CSS Styles

PlaceHolders


Changing the CSS Styles

The CSS styles used by the HTML reports are defined in the TmplRpt_listing_<type>.xml file.

Notes

Reports are used to format attachments to e-mail notifications. Using an embedded style sheet ensures that notification attachments are formatted. If you want to use an external style sheet, you must use an absolute URL to locate the style sheet.

Related Topics

About HTML Reports

PlaceHolders


PlaceHolders

The empty elements, such as <ReportHeader/> and <TableCells/>, in TmpRpt_listing_<type>.xml are placeholders. When Vector Issue Tracker generates a report, it replaces these placeholders with report-specific data.

<ColumnHeaders/> is a placeholder for the field titles.

The file CaptionCell_listing_<type>.xml contains the HTML template for a field title, where <CellWidth /> and <CaptionCell /> are the width and title from the Report Editor.

<TableCells/> is a placeholder for the field values.

The file ValueCell_listing_<type>.xml contains the HTML template for a field value.

<ReportCaption /> is the name given to the report in the Report Editor.

<ReportHeader /> is the title text from the Page Editor. <ReportHeaderCSS /> is the formatting applied to the title text.

<PageHeader /> is the header text from the Page Editor. <PageHeaderCSS /> is the formatting applied to the header text.

<PageFooter /> is the footer text from the Page Editor. <PageFooterCSS /> is the formatting applied to title text.

Notes

To see the generated HTML, open a report in a Web view and then view the page source.

Related Topics

About HTML Reports

Changing the CSS Styles


Customizing the Report Used to Print Issues

The report used to print issues is named Current Issue - Detailed. If you edit this report in the Report Editor (of Issue Tracker Admin), the changes apply to all Web views of the project.

Each view has two versions this report:

rptListingGCurrent$Record$-$DetailedPortrait.rpt
rptListingGCurrent$Record$-$DetailedLandscape.rpt

You can find these files in the

CensusWebVD\<project>_<view>\Reports

folder, where <project> is the name of the project and <view> is the name of the Web view. The portrait version of the report is used to print issues.

To customize the report:

1 View the portrait version of the report in a Web view. You can either print an issue or view the report with the Report Viewer.

Viewing the report creates the .rpt file.

2 In the Report Editor (Issue Tracker Admin), mark the report as a custom report (select the Custom check box).

This prevents Vector Issue Tracker from overwriting the customized report if the report definition changes.

3 Using Crystal Reports, customize the report (add graphics, change fonts, rearrange and align fields).

4 Put a copy of the customized report in:

CUSTOMIZEDFILES
     \#Project#<project>
           \#WebView#<view>
                 \Reports

When you regenerate the Web view, the customized version of the report is copied to the Web view folder.

Notes

The information in this section applies only if you use Crystal Reports for listing reports. See Viewing Reports for more information on using Crystal Reports for listing reports.


Deleting Users

Disabled users are not deleted from the database because existing issues may refer to those users. If you don’t want to see disabled users in the Contact, Owner, and Submitter fields:

Delete the user from the users database.

Remove disabled users from the Contact, Owner, and Submitter choice lists.

However, if an existing issue references the user in its Owner, Submitter, or Contact field, the field will be empty. In some cases, this may cause an invalid use of null error.

If existing issues reference disabled users, it may be impractical to delete the user accounts for ex-employees or contractors, because you want to keep a historical record of who reported, submitted, and resolved issues. In that case, you can add a prefix to the names of disabled accounts.

Before you delete users or remove them from the choice lists, check if they are referenced by existing issues.

To check if a user is referenced by existing issues:

1 Open the users database, and open the tblUser table.

2 Find the record for the user you want to delete, and get the value in the User ID field.

For example, if you want to delete the demo user, the User ID is 2.

3 Open the issue database for the project.

4 Open tblDts and look for the user ID in the columns of choice list fields that use tblUser. For example, nUserID (Owner), nOriginatorID (Contact), and nSubmitterID (Submitter)

To sort the table by user ID:

a Click in the nUserID, nOriginatorID, or nSubmitterID column.

b In the Record menu, click Sort then click Sort Ascending or Sort Descending.

c Scroll through the records to see if the user owns any records.

Note that the revision history (the tblDts_History table in the issue database) also references users. And while unlikely, queries, summary reports, time reports, and notifications may also reference specific users. The definitions of queries, reports, and notifications are in the project definitions database.

If existing issues do reference the user, you can always reassign open issues, but closed issues can be a problem. You may want to keep a historical record of who reported, submitted, and resolved an issue. If so, you have to keep the disabled users.

Related Topics

About the Databases

Editing Databases

Removing Disabled Users from Choice Lists

Adding a Choice List of Users or Contacts


Removing Disabled Users from Choice Lists

Instead of deleting users from the users database, you can prevent the Owner and Contact lists from showing disabled users. However, if an existing issue references the user in its Owner or Contact field, the field will be empty.

To remove disabled users from choice lists:

1 Open the project definitions database.

2 Open tblDtsFields and find the owner (nID = 11) and contact (nID = 13) records.

3 In the tWhere field, add And fDeleted = 0 to the Where clause. For example:

Where (([nID] >= 0 And [tName] <> '') Or [tName] = '<User>') And fOriginator = 0 And fDeleted = 0


Adding a Choice List of Users or Contacts

To add a choice list of users:

1 In the Field Editor, create a new field.

2 In the Type list, click Multi-Choice List or Single Choice List.

3 In the Table Containing Choices list, click tblUser.

tblUser cannot be viewed or edited in the Choice Editor.

4 Click Close to apply the changes.

5 Open the project definitions database.

6 Open tblDtsFields and find the record for the new field. In the tWhere field, type:

Where (([nID] >= 0 And [tName] <> '') Or
     [tName] = '<User>') And fOriginator = 0

The [nID] >= 0 condition removes the macros defined in tblUser (the users database):

User ID | User Name
-4 | <Contact>
-3 | <User>
-2 | <Previous Owner>
-1 | <Owner>

The user with nID = 0 is the <None> macro.

The fOriginator = 0 condition removes contacts, so that the list contains users only.

To add a choice list of users and contacts:

Use this tWhere clause:

Where (([nID] >= 0 And [tName] <> '') Or
     [tName] = '<User>')

Related Topics

About the Databases

Editing Databases

Deleting Users

Removing Disabled Users from Choice Lists


Integration with VOIP Telephone Systems

Vector Issue Tracker is capable of integrating with Voice Over IP telephone systems, provided they are SIP-enabled.

When users are logged in, the VOIP integration will detect incoming phone calls. If an incoming call can be matched with a contact within Issue Tracker, an Incoming Call dialog will appear with information related to the contact: profile photo, address and contact information, company, and most importantly: all open issues related to the contact. Rather than having to seek out a client's information, the Issue Tracker analyst is automatically presented with valuable information.

For more information about Issue Tracker's VOIP integration, please contact your Vector Networks Representative.

Related Topics

Viewing Contact Details


Issue Closure Sequence

Issue Tracker gives Administrators the ability to define the order in which issues should be closed. By default, no such rules are active; however, Administrators have the option enforce the following closure sequences:

First-In, First-Out per Owner

Among all the issues assigned to an owner, the oldest issue must be closed first.

First-In, First-Out per Contact

Among all the issues originated from a contact, the oldest issue must be closed first.

First-In, First-Out per Work Team

Among all the issues assigned to a work team, the oldest issue must be closed first.

First-In, First-Out per Owner and Contact

Among all the issues assigned to an owner and originated from a contact, the oldest issue must be closed first.

First-In, First-Out per Work Team and Contact

Among all the issues assigned to a work team and originated from a contact, the oldest issue must be closed first.

First-In, First-Out per Work Team and Owner

Among all the issues assigned to a work team and an owner, the oldest issue must be closed first.

Closure sequences can be defined on a per-project basis, and apply to all associated web views.

To enforce a closure sequence:

1 Open Issue Tracker Web Admin.

2 Select the Options tab.

3 Select a Project.

4 Select Set Closure Sequence from the options.

5 Check the Enforce the sequence of closing issues following this order check box.

6 Select the checkbox next to the closure sequence you wish to activate.

7 Click OK.

Related Topics

Project-Specific Options


Project-Specific Options

Issue Tracker Web Admin features an Options tab which allows administrators to customize certain project-specific settings.

The available options include:

Organize users per project

Allows administrators to choose which categories of users, contacts, and companies will be displayed within the project.

For more information, see Hiding Users in Projects .

Set closure sequence

Allows administrators to define the order in which issues must be closed.

For more information, see Issue Closure Sequence .

Related Topics

Hiding Users in Projects

Issue Closure Sequence


Enabling Timestamping in New Projects

When you create a new project based on the Issue Tracker project, the new project inherits the original timestamping fields and new Web views are created based on the Web views of the original project.

When a new Web view is copied from an existing one, timestamping fields retain their behaviour. However, if a new, blank Web view is created by clicking New View [image], then additional steps need to be taken to enable timestamping.

To make timestamping work in Web views of the new project, you must update the Html code after control attribute of the Description, Description Log, Activity, and Activity Log fields.

You need to set the Html code after control attribute of the timestamping fields. The required HTML is included below. Note that it is formatted for readability—the attribute itself takes a single line of text.

Description

<script type='text/javascript'>
     document.write(
           parent.objCustomCode.getCodeAfterField(
                 '%fieldname%',
                 'mem_29_txtDetailedDescription' )
)
</script>

Description Log

<script type='text/javascript'>
document.write(
     parent.objCustomCode.getCodeAfterField(
           '%fieldname%',
           '' )
)
</script>

Activity

<script type='text/javascript'>
document.write(
     parent.objCustomCode.getCodeAfterField(
           '%fieldname%',
           'mem_56_mem_56_ActivityLog' )
)
</script>

Activity Log

<script type='text/javascript'>
document.write(
     parent.objCustomCode.getCodeAfterField(
           '%fieldname%',
            '' )
)
</script>


Adding Timestamping

Changes to a memo field can be time-stamped. For example, you can time-stamp the changes, comments, notes, and follow-ups that are added to an issue description over time.

Timestamping requires two memo fields, one for input and one for storing the timestamped log. When an issue is saved, the Web view automatically copies the contents of the input field to the log field.

1 Use the Field Editor to create a memo field for input of new data, and a field for displaying the timestamped log. For the input field, clear the Show in Choice Lists and Maintain Revision History check boxes.

2 Find the internal name of the timestamp log field. The internal name looks like mem_58_mem_58_FieldName.

If you have Microsoft Access, you can find the internal name by opening the project definitions database and looking in the tblDtsFields table. The field name is composed from the values in the nID and tBoundControlName fields:

mem_<nID>_<tBoundControlName>

The tBoundControlName field includes a repeat of the mem_<nID> string. That is why the string appears twice in the name.

If you don’t have a copy of Microsoft Access, generate a Web view for the project, then get the value of the name attribute of the text area control associated with the timestamp log field. You can find this in the tmplRecord.html file located in the HTML folder of the view:

CensusWebVD\<project>_<view>\HTML

3 Set the HTML code after control attributes:

Before you generate a Web view, you must export the two fields and set their HTML code after control attributes.

a For the input field, enter this HTML code (as a single line of text):

<script type='text/javascript'>document.write
( parent.objCustomCode.getCodeAfterField( '%fieldname%', '<timestamp-log-field-name>' ) ) </script>

<timestamp-log-field-name> is the field name you found in the previous step. Note that the javascript is case sensitive.

b For the timestamp log field, enter this HTML code (as a single line of text):

<script type='text/javascript'>document.write
(parent.objCustomCode.getCodeAfterField('%fieldname%','' ) )</script>

Related Topics

Customizing Timestamping

Timestamping with One Memo Field

Inserting Custom HTML Code


Customizing Timestamping

By default, each time a new entry is added to the timestamp log, a line that looks like this is added:

December 11,2001 4:38 PM analyst (New)

You can customize the way the timestamp log is formatted by editing MoveControlData() in Js\CustomCode.js. For example, you can insert a line of dashes to separate entries, add tabs (\t), or add more line breaks (\r):

objTargetControl.value="--------------------------------\r" +

                                                     getDateTime() + "\r" +

                                                     objSourceControl.value + "\r\r"

                                                     objTargetControl.value + "\r";

where:

getDateTime() returns a string that includes the date, time, name of the current user, and current value of the Progress field.

objSourceControl.value is the new input to add to the timestamp log

objTargetControl.value is the content of the timestamp log.

Related Topics

Adding Timestamping

Timestamping with One Memo Field


Timestamping with One Memo Field

You can implement timestamping with just one memo field. To do this, use the HTML code before control attribute to insert a text area control above the timestamp log field. This text area control is not tied to any database field. It exists only to allow input, which is copied into the timestamp log field when you save the issue. The advantage to this approach is that you avoid storing an extra memo field in the issue database. The disadvantage is that you cannot use Issue Tracker Admin or the Web View Editor to customize the input text area (for example, to change the caption or position of the control).

Html code after control:

<script type='text/javascript'>
document.write(parent.objCustomCode.getCodeAfterField('%fieldname%',''));
</script>

Html code before control:

<script type='text/javascript'>
document.write(parent.objCustomCode.getInputMemoField('mem_desc', '%fieldname%'));

</script>

New function in CustomCode.js:

function getInputMemoField( inputFld, logFld )

{

var strOutput;

strOutput="<textarea  class='MemoFieldWidth'
";
strOutput+="name='" + inputFld + "' ";
strOutput+="wrap=physical  rows=10 cols=73";
strOutput+="onfocus=\"parent.MemoGotFocus('"

+ inputFld + "')\" ";

strOutput+="onchange=\"parent.OnMemoRecordChanged('"
+ inputFld + "')\" ";
strOutput+="onkeypress=\"parent.OnMemoRecordChanged('" + inputFld +"')\"></textarea><br>";

strOutput+="<script type='text/javascript'>";

strOutput+="document.write(parent.objCustomCode.getCodeAfterField('" + inputFld + "','" +logFld + "'))</script>";

strOutput+="</script>";

return strOutput;

}

New declaration in CustomCode.js:

// Declaration of the public functions

this.getInputMemoField=getInputMemoField;

Related Topics

Adding Timestamping

Customizing Timestamping

Inserting Custom HTML Code


Changing the Format of Attachments

The Detailed choice in the Include list of the Notification Editor attaches a report to the notification message. This report includes most fields for an issue.

If you do not use Crystal Reports, attachments can be HTML files or text files. If you do use Crystal Reports, attachments are RTF files by default. You can change this to be PDF, text, or a number of other formats. See Viewing Reports for more information on using Crystal Reports for listing reports.

To change the format of a notification attachment:

1 Open the project definitions database.

2 In tblMailContents, change the nFormatType for the attachments. (Attachments have nType = 3 in tblMailContents).

nFormatType constants:

NoFormat | 0 | Excel40 | 20
CrystalReport | 1 | Excel50 | 21
DataInterchange | 2 | Excel50Tabular | 22
RecordStyle | 3 | ODBC | 23
RichText | 4 | HTML32Standard | 24
Comma Separated Values | 5 | Explorer32Extend | 25
TabSeparatedValues | 6 | NetScape20 | 26
CharSeparated Values | 7 | Excel70 | 27
Text | 8 | Excel70Tabular | 28
TabSeparatedText | 9 | Excel80 | 29
PaginatedText | 10 | Excel80Tabular | 30
Lotus123WKS | 11 | PortableDocFormat | 31
Lotus123WK1 | 12 | HTML40 | 32
Lotus123WK3 | 13 | CrystalReport70 | 33
WordForWindows | 14 | ReportDefinition | 34
Excel21 | 18 | ExactRichText | 35
Excel30 | 18 | XML | 36

Related Topics

Attaching Information

Adding Custom Mail Contents

Example Macros

Adding New Notification Reports

Editing Databases


Attaching Information

By default, the Revision Record and Summary are included in the body of the e-mail notification message. You can include this information as separate attachments.

To do this, open the project definitions database and in tblMailContents change the nType to 3. nType determines where the content is put in the e-mail message.

nType | Description
1 | Subject
2 | Body of e-mail message
3 | Attachment

Related Topics

Specifying Notification Contents

Changing the Format of Attachments

Adding Custom Mail Contents

Example Macros

Adding New Notification Reports

Editing Databases


Adding Custom Mail Contents

In the Notification Editor, the Include list specifies what to include in an e-mail notification message. You can add items to this list. The items can be used as the message subject, inserted in the message body, or included as attachments to the message.

To add an item to the Include list of the Notification Editor:

1 Define a function in the macroXX.bas file.

This function should return the content you want to include in the e-mail message.

macroXX.bas is located in the project sub-folder of the IssueTrackerServer folder (for example:

IssueTrackerServer\vit\macro70.bas)

2 Open the project definitions database, and in the tblMacros table, add a row for the new function.

tName is the name of the macro.

tFunctionName is the name of a function defined in macroXX.bas.

nType specifies what arguments the function takes:

1 = No Arguments

2 = Issue Record

3 = Revision history

4 = Expression

3 In the tblMailContents table, add a row for the macro, using the same tName as in tblMacros.

nType specifies where to include the contents:

1 = subject

2 = body

3 = attachment

nFormatType specifies the format:

4 = rtf

8 = text

14 = word

31 = pdf

32 = html40

When nType = 2, nFormatType must be 8 (text), otherwise the contents appears as a plain text e-mail message that contains RTF or PDF, which is never sent. This will hold up all your notifications.

Related Topics

Specifying Notification Contents

Changing the Format of Attachments

Attaching Information

Example Macros

Adding New Notification Reports

Editing Databases


Example Macros

Function to return a string:

Public Function GetCustomSubject(oCensusApplication, lngDtsRecordID, oExpression, recRevisionHistory)
GetCustomSubject = "Your subject goes here."
End Function

Function to return the contents of a text file:

Public Function GetCustomMsgBody( oCensusApplication, lngDtsRecordID, oExpression, recRevisionHistory )

Dim fsObj
Dim txtStreamObj
Dim emailbody
Dim strFileName

strFileName = "C:\Messages\msg.txt"

Set fsObj = CreateObject(
"Scripting.FileSystemObject")

Set txtStreamObj = fsObj.OpenTextFile(
strFileName, 1, False, False)

emailbody = txtStreamObj.ReadAll

txtStreamObj.Close
GetCustomMsgBody = emailbody
End Function

Function that takes the revision history as an argument and extracts a field value:

Public Function GetSubject(oCensusApplication, lngDtsRecordID, oExpression, recRevisionHistory)

Dim lngLastRevisionNumber
Dim rstValue
Dim variablename

If oCensusApplication Is Nothing Then
Exit Function
End If

If recRevisionHistory Is Nothing Then
Exit Function
End If

'get the last revision number
GetRevisionNumberRange recRevisionHistory, 0, _
lngLastRevisionNumber

' Get the value for the field from the table
' of the last revision in the given set.

Set rstValue = oCensusApplication.CurrentProject._
DataStores.Item(32). _
GetConnection(1).Execute( _
 "SELECT tBriefDescription FROM tblDts_History_
WHERE nID=" & lngDtsRecordID _
& " AND nRevisionNumber=" _
& lngLastRevisionNumber, , 1)

' Build subject line that looks like:
'HELPDESK [Ticket 37] - Cannot print PDF file
If Not rstValue.EOF Then
If Not IsNull(rstValue.Fields(0).Value) Then
GetSubject = "HELPDESK [Ticket " &_
lngDtsRecordID & "] - " &_
rstValue.Fields(0).Value
End If
End If
End Function

In the SELECT statement, tBriefDescription is the internal name for the Summary field. You can find the internal field names in the tName column of the tblDtsFields table in the project definitions database.

Related Topics

Changing the Format of Attachments

Attaching Information

Adding Custom Mail Contents

Adding Notification Reports


Adding New Notification Reports

Adding Notification Reports

Vector Issue Tracker can use reports to format information included in e-mail notifications. For example, the Detailed and Summary items are formatted by reports. You can define new reports and add them to the list of items that can be included in an e-mail notification message.

To add a new report for notifications:

1 In Issue Tracker Admin, use the Report Editor to define a new listing report.

2 Save and preview the report.

3 Exit Issue Tracker Admin.

4 Open the project definitions database.

5 Open the tblSystemCustomReports table, find the record for the report you just created, and get the nID value.

6 Open the tblMailContents table and create a new record.

Field | Description
nID | Next available ID number for a record in the tblMailContents table.
tName | Name displayed in the Include list of the Notification Editor.
nType | 2 = include in message body 3 = attachment
tFunction | The GenerateReport function takes care of generating the report for the notification message.
tArguments | <nID>.10, where <nID> is the ID of the report in tblSystemCustomReports.
nFormatType | 4 = rtf 8 = text 14 = word 31 = pdf 32 = html40 See Changing the Format of Attachments for more format type values. When nType = 2, nFormatType must be 8 (text).

The report is now available in the Include list of the Notifications Editor.

If you’re using Crystal Reports for your listing reports, you’ll have to create a Crystal Report report file (.rpt) for the new notification report.

To create an .rpt file for your notification report:

1 View the report in a Web view.

This creates an .rpt file in the CensusWebVD\<project>_<view>\Reports folder. For example:

\Program Files\Vector\IssueTrackerServer\CensusWeb\Views\CensusWebVD\HelpDesk_HelpDesk\Reports

2 Copy the .rpt file to the IssueTrackerServer\<project>\Reports folder. For example:

\Program Files\Vector\IssueTrackerServer\HelpDesk\Reports

3 Rename the file by removing portrait (or landscape) from the .rpt file name.

Related Topics

Defining Listing Reports

Specifying Notification Contents

Changing the Format of Attachments

Attaching Information

Adding Custom Mail Contents

Example Macros

Editing Databases


Submit-only Views Without Persistent Cookies

Submit-only views use persistent cookies to store contact information, such as the user's name and e-mail address. You can set up submit-only views so that submitters do not have to enter their contact information. Consequently, the submit-only views use session cookies only.

To do this, you enter the contact information into Vector Issue Tracker yourself, and then provide each user with their own specific URL.

To set up submit-only views that do not use persistent cookies:

1 Use Issue Tracker Web Admin to create contacts if the submit-only view is intended to allow people without Vector Issue Tracker user accounts to submit bugs directly. If the submit-only view is intended for people who have user accounts, the user information already exists in Vector Issue Tracker.

2 Send a personal URL for the submit-only view to each person who needs to submit issues.

The personal URL for a contact looks something like this:
http://server/vit/logon.asp?
View=Issue Tracker%2FReport%20Issue&CookieInfo13=14;Emily

The first part of the URL is the URL for the Vector Issue Tracker logon page. The second part of the URL (in bold) is the query string. The View= part of the query string specifies the project and view:

View=<project>%2F<view>

where:

%2F is the escape sequence for a forward slash (/).

CookieInfo13= specifies the user’s contact information:

CookieInfo13=<User ID>;<Personal Name>

<User ID> is the numeric ID assigned to the contact or user. You can find this value in the tblUser table of the Users database. <Personal Name> is the name of the contact or user.

Spaces in the project, view, and personal name must be replaced with the escape sequence %20.

Related Topics

Pointing Users to Web Views


About Branding Web Views

You can customize the look of a Web view by editing the CensusMain.css style sheet in CensusWeb\Views\CensusWebVD\Theme\css.

Put a copy of your customized style sheet in the CUSTOMIZEDFILES folder. For example, in #AllProjects#\Theme\css or #Project#vit\Theme\css.

Related Topics

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Replacing Logos

To replace the logo, edit the td.Logol and div.Logo rules in CensusMain.css. The background-image property specifies the logo image.

Note that Vector Issue Tracker uses two versions of the logo, logol for light backgrounds (Web view page) and logo for dark backgrounds (logon page).

/* logo on a Web view page */
td.Logol
{

     background-image:url(../images/logos/logol.gif);
     background-repeat:no-repeat;
     display:block;
     left:27px;
     width:200px;
     height:60px;
     position:absolute;

}

/* logo on the Vector Issue Tracker logon page */
div.Logo
{

     background-image:url(../images/logos/logo.gif);
     background-repeat:no-repeat;
     display:block;
     left:27px;
     width:200px;
     height:60px;
     position:absolute;
     b-order:3 orange solid;

}

Related Topics

View Toolbar

Branding the Logon Page

Branding Web Views

Branding Dialogs


View Toolbar

The View toolbar is the top part of a Web view, where the logo and the Help, Log Off, and other buttons are displayed.

body.TopToolbarBody sets the background color.

td.Logol sets the logo image displayed in the toolbar.

Related Topics

Branding Web Views

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Summary List Toolbar

The toolbar has three parts: the top (with the Query, Sort, and Layout lists), the middle (the Ad-hoc Query Editor), and the bottom (used for bottom rounded corner images).

For the top part:

body.ToolbarBody sets the background color.

This class is also used by many dialogs, such as Attach File, History, and Options.

ToolbarLeft, ToolbarCenter, and ToolbarRight set the background images. ToolbarCenter also sets the font properties for the captions.

For the middle part:

body.ToolbarM sets the background color.

ToolbarMLeft, ToolbarMCenter, and ToolbarMRight set the background images. ToolbarMCenter also sets the font properties for the captions.

For the bottom part:

body.ToolbarB sets the background color.

ToolbarBLeft, ToolbarBCenter, and ToolbarBRight set the background images.

Related Topics

Branding Web Views

View Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Summary List Header

The appearance of the heading row for the Summary List is controlled by:

headerSummaryList

HeaderSummaryListCellCenter

HeaderSummaryListCellLeft

HeaderSummaryListCellRight

headerSummaryList sets properties for the entire table. The three HeaderListSummaryCell classes are used to set background images. If you don’t want to use images, you can comment out the HeaderListSummaryCell classes and use headerSummaryList to set the background and text colors.

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Summary List

body.SummaryListBody formats the page background and text.

The appearance of links in the Summary List are controlled by body.SummaryListBody a:link and body.SummaryListBody a:visited.

To change the shading of the rows in the list, edit these CSS classes. The two sets of CSS classes allow for rows with alternating shading.

SummaryList1

SummaryList1Hover (for Internet Explorer)

SummaryList1HoverN (for Netscape)

SummaryList2

SummaryList2Hover (for Internet Explorer)

SummaryList2HoverN (for Netscape)

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Tabs

The appearance of the selected tab is controlled by:

TabsLeftCornerUp

TabsBackgroundUp

TabsRightCornerUp

The appearance of the unselected tabs is controlled by:

TabsLeftCornerDown

TabsBackgroundDown

TabsRightCornerDown

For example, you could replace the background images or use solid colors instead of images.

To customize the font used for the text on the tabs, edit TabsBackgroundDown and TabsBackroundUp.

The area to the right of tabs (where the next/previous page controls are located) can be styled with tabsBody (the background color) and tabsBorder (the bottom border), and PageNavigation (the Page X of Y text).

To put a dividing border between the Summary List and the tab area, use border-top with tabsBody.

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Form

Each tab in a Web view is a form that contains a table. The HTML looks like this:

<body class="RecordBody" >

     <form name="Record">

           <table class="RecordTab" >

So, for example, to change the background color of the tabs, edit the body.RecordBody class in CensusMain.css.

To apply styles to the form element, you can use this selector in the style sheet:

body.RecordBody form { ... }

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Field Captions

Field captions in a Web view are formatted with the CSS classes normalfield, requiredfield, and disabledfield.

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


Form Elements

The CSS class applied to a form element is specified by the CSS Class field attribute in the Web View Editor. You can customize the default CSS classes or define your own and apply them to fields through the Attribute Editor.

The default CSS classes for form elements are TextBoxWidth, ComboBoxWidth, and MemoFieldWidth, InputAttachment (for the Attachments box), and InputCalendar (for date fields).

Related Topics

Applying CSS Styles

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Command Bar

Branding the Logon Page

Branding Dialogs


Command Bar

The command bar is the bar at the bottom of the page that contains the Issue box and the New, Save, Cancel, and Print buttons.

body.CommandBarBody sets the background color for the command bar. You can set the text color here (except for the text in the message area).

CommandBarBLeft, CommandBarBCenter, and CommandBarBRight specify the background images for the command bar.

CommandBarMsgLeft, CommandBarMsgCenter, and CommandBarMsgRight specify the background images for the message area (For example: Ready. Click New to create a new issue.) of the command bar.

ControlsCaptionDark sets the style for the Current Issue label.

CurrentRecord and CurrentRecordHover set the style for the Current Issue text box.

Related Topics

Branding Web Views

View Toolbar

Summary List Toolbar

Summary List Header

Summary List

Tabs

Form

Field Captions

Form Elements

Command Bar

Branding the Logon Page

Branding Dialogs


About Branding Dialogs

Dialogs are pages that users open by clicking a button. This includes the Attachments, Reports, Revision History, Password, Options, and Contacts dialogs.

Most of the dialogs use the same style sheet as the Web view. However, the Contacts and Password dialogs use the CensusMain.css style sheet found in CensusWebVD\Admin\THEME\css.

Related Topics

Common Styles for All Dialogs

Attachments Dialog

Reports Dialog

Revision History Dialog

Options Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Common Styles for All Dialogs

body.toolbarBody sets the background color for the dialog pages (except for the Reports dialog, which uses body.ReportsBody).

The box with rounded corners is a set of background images specified by these classes:

BoxTLeft, BoxTCenter, and BoxTRight

BoxMLeft, BoxMCenter, and BoxMRight

BoxBLeft, BoxBCenter, and BoxBRight

Related Topics

Branding Dialogs

Attachments Dialog

Reports Dialog

Revision History Dialog

Options Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Attachments Dialog

body.toolbarBody sets the background color for the page.

DialogLabel formats the captions.

InputFile and InputFileHover format the text boxes.

The list of attached files is displayed in a table. HeaderSummaryListCellCenter formats the heading row (where the File Name and Remove captions are displayed).

SummaryList1 and SummaryList2 format the list of files.

DialogLabel formats the file names.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Reports Dialog

Revision History Dialog

Options Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Reports Dialog

body.ReportsBody sets the background color for the page.

The appearance of the tabs is controlled by the same CSS classes that apply to the tabs in a Web view (see Tabs ).

The Report Name caption uses the normalfield class.

The <select> element that lists the available reports uses the ReportList class.

The Layout: and Viewer Type: captions use the AdminNormalTextDarkBG class. The corresponding <select> elements do not use a CSS class, but you can use their IDs (LayoutType and ViewerType) with ID selectors in the CSS file.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Attachments Dialog

Revision History Dialog

Options Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Revision History Dialog

This dialog uses only the common styles.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Attachments Dialog

Reports Dialog

Options Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Options Dialog

body.toolbarBody sets the background color for the page.

Captions use the normalfield class.

Form elements (such as <input>) are in a <TD> that uses the normalfield class, but the form elements themselves have no class.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Attachments Dialog

Reports Dialog

Revision History Dialog

Contacts Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Contacts Dialog

This dialog uses the CensusMain.css style sheet in CensusWebVD\Admin\THEME\css.

body.RecordBody sets the background color for the page.

The caption for the Display list uses the DialogLabel class, and the <select> element uses AdminComboBoxWidth.

On the input form for contact information, the captions use requiredfield and DialogLabel. The form elements all use AdminComboBoxWidth.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Attachments Dialog

Reports Dialog

Revision History Dialog

Options Dialog

Password Dialog

Branding Web Views

Branding the Logon Page


Password Dialog

This dialog uses the CensusMain.css style sheet in CensusWebVD\Admin\THEME\css.

body.toolbarBody sets the background color for the page.

normalfield formats the captions Old Password, Password, and Confirm Password.

AdminTextBoxWidth and AdminTextBoxWidthHover format the text boxes.

AdminNormalTextDarkBG formats the Password can contain a maximum of 14 characters message.

Related Topics

Branding Dialogs

Common Styles for All Dialogs

Attachments Dialog

Reports Dialog

Revision History Dialog

Options Dialog

Contacts Dialog

Branding Web Views

Branding the Logon Page


About Branding the Logon Page

The heights of some of the table cells are hard-coded in CensusWebVD\logon.asp.

LogonBody sets the background color for the page.

The images and background colors for the box with rounded corners are set by these classes:

Logon-t-left, td.Logon-t-center, div.Logon-t-right

Logon-m-left, div.Logon-m-center, td.Logon-m-right

Logon-b-left, td.Logon-b-center, div.Logon-b-right

Note the mix of div and td elements. If you want to replace the images with colors and borders, set the left and right classes to the background color and use the center classes to define your border.

div.Logo inserts the Vector Issue Tracker logo.

div.Logon-decor-img inserts the keyboard image with the orange border

LogonForm positions the logon form (the Logon Name and Password text boxes).

div.LogonField and div.PwdField position the form elements.

div.LogonCaption formats the Logon Name and Password labels.

input.LogonInput and input.LogonInputHover format the text boxes.

a.LogonState1 and a.LogonState1:hover set the images used for the Logon button.

HelpState1 and HelpState1:hover set the images used for the Help button.

Related Topics

ValidateLogon Page

Branding Web Views

Branding Dialogs


Validate Logon Page

The ValidateLogon page displays the available views. With a few exceptions (documented below), this page uses the same styles as the Logon page.

The heights of some of the table cells are hard-coded in CensusWebVD\validatelogon.asp.

ExitState1 and ExitState1:hover specify the images used for the Log Off button.

div.ViewList-m-center is used instead of div.Logon-m-center.

div.ViewList-decor-img is used instead of div.Logon-decor-img to display the keyboard image with the orange border

div.ViewLinks positions and sizes the area used to display the list of available views. This class also adds the vertical orange bar.

div.LogonCaption formats the Click the view you want to open string.

ViewListCaption formats the DIVs that contain the project names.

ViewList-Link, ViewList-Link:link, ViewList-Link:visited, and ViewList-Link:hover format the view names, which are hyperlinks.

Related Topics

Branding the Logon Page

Branding Web Views

Branding Dialogs


Adding Rows

By default, the timesheet project allows users to track weekly time spent for up to four different projects. If you need to track time for more than four different projects or tasks, you can add more rows to the timesheet.

Step 1: Create fields in the Field Editor

1 Create a new choice list for selecting projects. Copy the Project1 field and name it Project5.

2 Create the input fields for the days of the week.

a Copy the P1HRsMon field and name it P5HrsMon.

b Copy P5HrsMon and name it P5HrsTue.

c Copy P5HrsTue and name it P5HrsWed.

d Continue until you have input fields for all seven days of the week.

3 Create a field to hold the weekly total. Copy Proj1TotalWkHrs and name it Proj5TotalWkHrs.

4 Click Apply to add the fields to the project.

Step 2: Export the new fields to the view

1 In the Web View Editor, click the timesheet view in the Project / View list.

2 Under Fields, click the last field (Product4) in the Export to View list. Click Attributes, and delete the value of the Html code after control attribute.

3 Move the new fields from the Available list to the Export to View list.

The new fields are added to the end of the Export to View list. The order of the fields does not matter.

4 Click the last field in the Export to View list. Click Attributes, and set the value of the Html code after control attribute to “-->”.

Step 3: Edit timesheet.js

1 Open timesheet.js in your favorite text editor. You can find this file in the folder:

CensusServer\CensusWeb\CUSTOMIZEDFILES\#Project#Timesheet\#AllWebViews#\Js

This is the file to edit if you want to add a row to all Web views of your timesheet project. If you want to add rows to only certain Web views, you’ll need to create a new folder. For example:

CensusServer\CensusWeb\CUSTOMIZEDFILES
     \#Project#Timesheet\#WebViews#Timesheets_MyTimesheets\Js

2 At the top of the file, declare and initialize a variable that holds the ID of the new row:

var PROJ_FIVE_ID=4;

3 In the WriteTimesheetGrid() function, create a new array that holds the row information, and store this new array in m_arrTimesheet:

m_arrTimesheet[PROJ_FIVE_ID]=new Array(

"cbo_97_cbo_97_Project5"

+ INNER_ARRAY_SPLITTER + INNER_ARRAY_SPLITTER+ strProjComboOptions,

"nbr_98_nbr_98_P5HrsMon",

"nbr_99_nbr_99_P5HrsTue",

"nbr_100_nbr_100_P5HrsWed",

"nbr_101_nbr_101_P5HrsThu",

"nbr_102_nbr_102_P5HrsFri",

"nbr_103_nbr_103_P5HrsSat",

"nbr_104_nbr_104_P5HrsSun",

"nbr_105_nbr_105_Proj5TotalWkHrs"

+ INNER_ARRAY_SPLITTER + CONTROL_TYPE_TOTAL);

4 Use the ID of the new row (PROJ_FIVE_ID) as an index into the m_arrTimesheet array.

In the new array, specify the names assigned to form controls in the generated HTML. These names are based on the tBoundControlName, which you can find in the tblDtsFields table of the project definitions database. For example, if the tBoundControlName is cbo_97_Project5, then the form control name is cbo_97_cbo_97_Project5.

Add a call to GetTimesheetProjRow() for the new row. Put this call before the call to GetTimesheetDayTotalRow().

// Calls to GetTimesheetProjRow() for previous rows

strHTML+=m_oTimesheet.GetTimesheetProjRow(
m_arrTimesheet[PROJ_FIVE_ID]
);

// call to GetTimesheetDayTotalRow()

Step 4: Update layouts, queries, sorts, and reports

Any layouts, queries, sorts, or reports that use values from the rows in a timesheet must be updated.

For example, the Current Issue - Detailed report is used to print the current timesheet. If you don’t update this report, it won’t show the rows you added.

Step 5: Regenerate the Web views

If you get javascript errors when you try to open the Web view, log off and fix timesheet.js. You don’t need to regenerate the Web view, but you must copy timesheet.js from the CUSTOMIZEDFILES folder to the Web view folder.

Related Topics

Changing the Timesheet Starting Day

Creating a Timesheet

Generating Web Views


Changing the Timesheet Starting Day

The weekly timesheets can start on any day of the week. By default, the weekly timesheets start on Monday.

To change the timesheet starting day:

1 In the Web View Editor, click the timesheet view in the Project / View list.

2 Under Fields, click the last field before the fields that make up the actual timesheet. By default, this is the Weekly Total Hours field.

3 Click Attributes and then click the attribute value of the Html code after control attribute. This should take you to the end of the line of text, where you’ll see the START_MONDAY constant as the last argument to a function.

4 Change this to the new starting day. Use one of these constants:

START_MONDAY

START_TUESDAY

START_WEDNESDAY

START_THURSDAY

START_FRIDAY

START_SATURDAY

START_SUNDAY

Related Topics

Adding Rows

Creating a Timesheet


Creating a Timesheet

When you create a new project based on the Timesheet project, you must add the timesheet to a Web view of the new project. After that, you can copy the Web view to create more views of the new project.

To add a timesheet to a Web view:

1 Export the fields displayed above the timesheet (by default: Employee, Weekly Start Date, and Weekly Total Hours).

2 Enter the following HTML into the HTML code after control attribute of the last field currently in the Export to View list.

Instead of typing in this HTML, you can copy the HTML code after control value from the Weekly Total Hours field in the original Timesheet / Timesheet Web view.

<script type="text/javascript"
src="../js/Timesheet.js"></script>
<select name="TS_cbo_vals" class="HiddenObject"><WC@53></WC@53>
</select><script>WriteTimesheetGrid(escape
(document.Record.TS_cbo_vals.innerHTML),START_MONDAY);</script><!--

3 Export the timesheet fields. The order does not matter.

DailyTotalMon, ..., DailyTotalSun (7 fields)

P1HrsMon, ..., P1HrsSun (7 fields)

P2HrsMon, ..., P2HrsSun (7 fields)

P3HrsMon, ..., P3HrsSun (7 fields)

P4HrsMon, ..., P4HrsSun (7 fields)

Proj1TotalWkHrs, ..., Proj4TotalWkHrs (4 fields)

Project1, ..., Project4 (4 fields)

4 Enter the string “-->” (without the quotation marks) into the HTML code after control attribute of the last field in the Export to View list.

Related Topics

Adding Rows

Changing the Timesheet Starting Day


Chapter 18 - Databases


Databases Overview

Overview

Vector Issue Tracker Access Enabled supports Jet/Access databases; Vector Issue Tracker SQL Enabled adds support for SQL Server.

By default, all Jet/Access databases are stored in the IssueTrackerServer folder (for example, C:\Program Files\Vector\IssueTrackerServer). SQL Server databases are located on the SQL Server computer in a folder specified by the administrator.

Project databases

A project includes two main databases:

A database of issues (and their revision histories).

A database of definitions, which contains the queries, sorts, layouts, reports, notifications, fields, and tabs available in the project.

Users database

In addition to the project databases, there is a database of users. The users database is shared by all projects.

Related Topics

Issue Database

Project Definitions Database

Users Database

Other Project Files

Other Databases

Relocating Databases to SQL Server


Issue Database

Microsoft Access

Issues are stored in the file <project>01.dat, where <project> is the name of the Vector Issue Tracker project.

SQL Server

Issues are stored in the <project>01_Dat database, where <project> is the name of the Vector Issue Tracker project. The database consists of:

<project>01_Dat.mdf

The master data file (MDF) of the database.

<project>01_Dat_log.LDF

Log file that holds the log information used to recover the database. There must be at least one log file for each database, although there can be more than one.

Tables

tblDts

Stores most of the information entered for an issue. This includes most of the fields on the Overview, Description, and Detail tabs, as well as the information entered on any custom tabs added to the project.

tblFixInformation

In previous releases of Vector Issue Tracker, new fields added to the Resolution tab were stored in tblFixInformation. The default fields are stored in tblDts.

Any new fields added to the Resolution tab are stored in tblDts.

tblAttachments

Stores any files attached to an issue.

tblRevisionHistory

Stores the revision history for issues.

Related Topics

Database Overview

Project Definitions Database

Users Database

Other Project Files

Other Databases

Relocating Databases to SQL Server


Project Definitions Database

Database

Microsoft Access

The project definitions database is named <project>02.def, where <project> is the name of the Vector Issue Tracker project.

SQL Server

The project definitions database is named <project>02_DEF, and consists of these files:

<project>02_DEF.mdf

<project>02_DEF_log.LDF

Tables

tblDtsFields

Defines the fields available in a Vector Issue Tracker project. The Field Editor in Issue Tracker Admin provides a user interface for editing most of the columns in this table.

In tblDtsFields, the tWhere column specifies a Where clause that controls the contents of a choice list. The Issue Tracker project uses the Where clause to build the Contact, Owner, and Submitter choice lists.

For example, this Where clause removes macros (such as <User>) and contacts from the Owner list:

Where (([nID] >= 0 And [tName] <> '')Or
[tName] = '<User>') And fOriginator = 0

The [nID] >= 0 condition removes the macros defined in tblUser:

User ID | User Name
-4 | <Contact>
-3 | <User>
-2 | <Previous Owner>
-1 | <Owner>

The user with nID = 0 is the <None> macro.

The fOriginator = 0 condition removes contacts, so that the list contains users only.

tName is the name of the user.

tblState

Specifies the list of choices for the State field. The State field is a read-only field that is set based on the Progress field.

tblSubState

Specifies the list of choices for the Progress field. Each possible substate corresponds to a possible State value (Open or Closed).

Choice List Tables

A choice table specifies the possible values for a choice list field. Each row in a choice table includes an nID, a tName (the choice text), and optionally, an nChoiceID (for non-alphabetical choice lists).

In the issue database, multi-choice fields store a semi-colon separated list of the tName values (the choice text strings), not the nID values.

Related Topics

Database Overview

Issue Database

Users Database

Other Project Files

Other Databases

Relocating Databases to SQL Server


Users Database

Database

All Vector Issue Tracker projects share the same database of users. The users database also stores global choice lists.

Microsoft Access

The user database is named users.mdb.

SQL Server

The user database is named USERS_MDB, and consists of these files:

USERS_MDB.mdf

USERS_MDB_log.LDF

Tables

tblUser

Lists the users and contacts. Users have logon names and passwords. Contacts are people who report issues, but do not have a logon account.

If you add a field to the Origin tab, the field is added to tblUser, not tblDts. The Origin tab is a read-only tab that displays user and contact information. The user and contact information is actually entered in Issue Tracker Web Admin (Security tab). This allows user and contact information to be entered once for all issues, instead every time for each issue.

Related Topics

Database Overview

Issue Database

Project Definitions Database

Other Project Files

Other Databases

Relocating Databases to SQL Server


Other Project Files

<project>03.Usr is a Microsoft Access database. It contains a number of temporary tables used by Issue Tracker Admin.

<project>.cen controls project initialization and versioning.

Related Topics

Database Overview

Issue Database

Project Definitions Database

Users Database

Other Databases

Relocating Databases to SQL Server


Other Databases

These databases are shared by all projects:

censusweb.mdb (CENSUSWEB_MDB in SQL Server) stores Web view definitions. Used by the Web View Editor.

Licenses.mdb (LICENSES_MDB in SQL Server) stores licensing information.

Related Topics

Database Overview

Issue Database

Project Definitions Database

Users Database

Other Project Files

Relocating Databases to SQL Server


Chapter 19 - Relocating Issue Tracker

Chapter 19 - Relocating Issue Tracker Installation


About the Relocation Wizard

Vector Issue Tracker includes a Relocation Wizard for moving its installations from one computer to another.

When you relocate Vector Issue Tracker, the Relocation Wizard:

Logs off all users.

Unloads the virtual directories used by Vector Issue Tracker.

Stops the Mq Issue Agent service.

Detaches local SQL Server databases.

Backs up the IssueTrackerServer and IssueTrackerTools folders before relocating them.

Copies Vector Issue Tracker to another computer and disables the original installation.

Regenerates all your Web views after Vector Issue Tracker is relocated. The Web views are all regenerated in the default CensusWeb/Views/CensusWebVD folder.

The Relocation Wizard relocates SQL Server databases if:

The SQL Server databases are local to the source computer.

The version of SQL Server on the target computer is greater than or equal to the version of SQL Server on the source computer.

Related Topics

Before You Relocate

Relocating Vector Issue Tracker

If Something Goes Wrong

Updating Client Programs

Enabling Vector Issue Tracker after Relocation


Before You Relocate

Check Permissions

You must run the Relocation Wizard with a user account that has Full Control permission for the IssueTrackerServer folders on all computers (current location and new location).

Close all copies of Issue Tracker Admin and the Web View Editor

This includes all copies of the programs, not just those installed on the Web server.

Relocate Projects

If you have any projects located outside of the IssueTrackerServer folder, use Issue Tracker Admin to move the projects into the IssueTrackerServer folder. After you relocate Vector Issue Tracker, you can use Issue Tracker Admin to move the projects back outside of the IssueTrackerServer folder.

Back Up

The Relocation Wizard backs up your IssueTrackerServer and IssueTrackerTools folders, but you may want to create your own backups.

Log Off Users

The Relocation Wizard logs off users, but you may want to inform users that Vector Issue Tracker will not be available.

Related Topics

Relocating Vector Issue Tracker

Updating Client Programs

Enabling Vector Issue Tracker after Relocation


Relocating Vector HelpDesk

Relocating Vector Issue Tracker

In Vector Issue Tracker, all components are typically installed on one computer: the Web server. The Relocation Wizard allows you to move Vector Issue Tracker to a different computer.

To relocate Vector Issue Tracker:

1 Close all copies of Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor.

2 On the target computer, perform a clean install of Vector Issue Tracker.

3 On the target computer, run the Relocation Wizard, called MqRelocateTool.exe, located in IssueTrackerTools\Support\Relocation.

4 In the Logon Name and Password boxes, enter a Vector Issue Tracker user account that belongs to a group with Admins permissions.

5 In the Relocate From section, enter the location of the current Issue Tracker Server as a UNC path (for example, "\\NANP\IssueTrackerServer").

Make sure the Computer Name box contains the name of the computer where the current Issue Tracker Server is located, and the Local Path box contains the location of the current Issue Tracker Server relative to a root directory (for example, “C:\Program Files\Vector\IssueTrackerServer”).

6 In Relocate To section, make sure the Issue Tracker Server box contains the installation location of the Issue Tracker Server on the target computer, and the Issue Tracker Tools box contains the location of Issue Tracker Admin and the Web View Editor on the new computer.

7 Select the Show Advanced Options check box to show the name of the target computer. If the name isincorrect or missing, enter the name.

8 Click OK to start the relocation.

When the relocation is complete, the Wizard regenerates all the Web views.

9 Update any remote installations of Issue Tracker Admin and Web View Editor to reference the new IssueTrackerServer share.

Check you can open the relocated projects and Web views, and you can run Issue Tracker Admin, Issue Tracker Web Admin, and the Web View Editor.

You can now uninstall the old copy of Vector Issue Tracker.

Related Topics

Before You Relocate

If Something Goes Wrong

Updating Client Programs


If Something Goes Wrong

If something goes wrong when you relocate Vector Issue Tracker:

Check the error log. The Relocation Wizard creates an error log in the IssueTrackerServer\Relocation folder of the computer where you run the wizard.

The folder name includes the date and time, so the path to the error log looks something like this:

IssueTrackerServer
     \Relocation_02-20-2003_10.44.50
           \RelocationErrorLog.txt

Check there is enough free disk space on the new server. Typically, the amount of disk space required is at least twice the size of the current IssueTrackerServer folder.

If you are relocating SQL projects, reattach the databases to the SQL Server before trying again.


Updating Client Programs

After you relocate Vector Issue Tracker, you must update any client programs. Client programs are copies of Issue Tracker Admin and the Web View Editor installed on computers other than the Web server.

To update the client programs on a computer, you run the MqRelocateClients.exe program on that computer.

When the Relocation Wizard finishes, it puts a copy of the MqRelocateClients.exe program in the IssueTrackerServer\Relocation_<timestamp> folder.

If you send the MqRelocateClients.exe program to users to run, you must also send the INI file located in the same folder as MqRelocateClients.exe.


Enabling Issue Tracker after Relocation

Enabling Vector Issue Tracker after Relocation

When the Relocation Wizard copies a Vector Issue Tracker installation to a different computer, it automatically disables the original installation. However, you can re-enable the original installation if you want to continue using it, for example, when you to test an upgrade with live data, while continuing to use the original installation.

To enable Vector Issue Tracker after a relocation:

Apply the following steps to the original Vector Issue Tracker installation.

1 Reattach all SQL Server databases.

To prevent users from using old databases, the Relocation Wizard detaches all SQL Server databases.

Reattach the <project>_DAT databases and the USERS_MDB database using the .mdf or .ldf files in your IssueTrackerServer folder.

2 Rename licenses.mdb.

Locate a file in the IssueTrackerServer folder with a name that looks like Licenses.mdb_2004-06-18_20.23.21.bak. If there are several files like this, use the one with the most recent date in the name.

3 Allow users to log on.

In the IssueTrackerServer folder, open the file census.ini. Find the [SessionControl] section, and if Enabled=0, change it to Enabled=1.

Start Issue Tracker Admin and click Tools > Integrity. Select the Remove Locks check box and click Start.

In the CensusWebVD folder (by default, IssueTrackerServer\CensusWeb\Views\CensusWebVD), locate a file with a name like Logon.asp_bck_logoff. If this file exists, delete the Logon.asp file and rename Logon.asp_bck_logoff to Logon.asp.

In the CensusWebAdmin folder (by default, IssueTrackerServer\CensusWeb\Views\CensusWebAdmin), locate a file with a name like Logon.htm_bck_logoff. If this file exists, delete the Logon.htm file and rename Logon.htm_bck_logoff to Logon.htm.

4 Restart the notification service.

If you use notifications, open Services and start the Mq Issue Agent service.

To open Services, click Start, click Control Panel, double-click Administrative Tools, and then double-click Services.


Analyzing Survey Results

Understanding where your Service Desk function could be improved is important to any organisation. Issue Tracker's Survey feature gives Adminstrators the ability to understand how Issue Tracker and the Service desk are servicing the organisation.

Issue Tracker allows you to quickly access reports based on the results of Surveys completed by end users. Access to these results can be through the individual issues or on a project wide basis through web based reports, giving a graphical break down of the feedback from within the organisation.

Accessing Graphical Reports

1 Open a Vector Issue Tracker web view.

2 Select the Reports icon.

3 Select the Custom tab.

4 Select the Survey reports from the custom, web based reports.

5 Click View.

Two reports are available within Vector Issue Tracker:

Survey Results Overview displays an overview of the results based across the project, not reliant on the analyst or issue.

Survey Results by Owner displays results from Surveys based on the owner of that issue, allowing Administrators to view how individual Service Desk Analysts are performing.


Asset Tags

When users report an issue, it can be useful for the Issue Tracker user to understand the components at the End Users disposal. Many organisations have deployed Asset Tags for ease of identifying the assets.

Issue Tracker gives analysts the ability to quickly and easily search from within the Web based interface for that users assets, and pull up the relevant information based on the information from the end user.

Seaching for the Asset based on Asset Tag Number

1 Log into the HelpDesk/HelpDesk web view.

2 Open any issue.

3 Ensure the Overview tab is selected.

4 Within the Issue Details pane, ensure that the correct Computer Name is selected. To select the Asset for that device, click the [image] next to the Asset Tag ID field.

5 Use the Select the value for the Asset Tag ID field dialog to select an asset.

6 Click OK.

7 Select the Asset Info tab.

All the information related to the selected Asset is displayed within the Web view, providing easy access to support and warranty information. The relationship between the Computer and Asset could potentially be made strictly within Issue Tracker, even if the computer is not being tracked by Vector Asset Management.


Assigning Profile Photos to Contacts

Issue Tracker allows administrators to associate profile photos with either users, contacts, companies, or VARs.

Profile photos must:

Have a dimension of 100x100 pixels.

Be in GIF format.

Adding a profile photo to an existing contact:

1 Take note of the contact's ID number.

2 Navigate to the following path on the Issue Tracker server:

C:\Program Files\Vector\IssueTrackerServer\CensusWeb\Views\CensusWebVD\Theme\images\images\contacts

Where "C" is the drive where you installed Issue Tracker

1 Create a folder, and type the contact ID as the name.

2 Place the profile photo in this folder, in GIF format, and name it: contact.gif.

Related Topics

Viewing Contact Details

Using Auto Suggest


Databases

Supported Configuration

Vector Issue Tracker supports two possible configurations: Standard and Distributed. In both configurations, all components are installed on the Web server. The difference between the two configurations is the location of the databases.

Standard Configuration

All components are installed on the Web server.

All databases are located on the Web server. By default, the databases are Microsoft Access databases, but you can relocate them to SQL Server (if you have a license for Vector Issue Tracker SQL Enabled).

If you intend to relocate databases to SQL Server, we recommend you use the Distributed configuration.

Distributed Configuration

This configuration requires Vector Issue Tracker SQL Enabled.

All components are installed on the Web server.

All databases are in SQL Server, and are located on a separate SQL Server computer (the database server).

To set up a distributed configuration, install Vector Issue Tracker in the standard configuration, then use Issue Tracker Web Admin to relocate the databases from the Web server to the SQL Server computer.

Configuration Options

Both configurations allow you to install additional copies of Issue Tracker Admin and the Web View Editor on other computers. For example, you can install the Web View Editor on your computer, so you can edit and regenerate existing Web views from your desk.

Notes

To create new Web views, you must use the Web View Editor installed on the Web server. Copies of the Web View Editor installed on other computers can edit and regenerate existing Web views, but cannot create new Web views.


Revision History Reports

In addition to the regular revision history dialog offered within each web view, Vector Issue Tracker offers three specialized reports:

Revision History - Last Full Month

Revision History - Last Full Quarter

Revision History - Last Full Week

These reports offer administrators the ability to track revisions made to a particular issue, in a very clean, graphical manner. The reports follow the lifecycle of the issue by using the substate, and reveal exactly how long the issues stayed on each substate. Additionally, issue ownership is reflected in the report, showing specifically who triggered each substate change. The time-based data presented in these reports can be useful in judging issue resolution performance on a per-ticket basis. For additional ways of improving issue resolution times, see About Service Level Agreements .


Using Auto Suggest

Certain single-choice fields in Issue Tracker come equipped with a feature called Auto Suggest, which facilitates the process of selecting a value.

As text is typed into an Auto Suggest field, a small frame appears, showcasing the best match based on what has been typed.

Interacting with the Auto Suggest feature is simple, and can be achieved with either the keyboard or mouse.

Keyboard

Pressing ENTER or TAB will automatically select the best match, and set the field to that value.

Using the UP ARROW or DOWN ARROW will automatically step through the match list, updating the textbox with each step.

Mouse

Left-clicking a row within the AutoSuggest frame will accept the value, and set it to the field.

Left-clicking outside of the Auto Suggest frame makes it disappear. To make it re-appear, left-click the textbox.

When there are multiple pages, the arrow icons at the bottom can be used to navigate.

Notes

Deleting all contents from the textbox will make the Auto Suggest list show all possible matches.

All single-choice fields that make use of the Select from Dialog Web View Field Attribute automatically have the Auto Suggest feature enabled.

The Auto Suggest frame differs according to the content being displayed.

If the choice list is based on the users table, three columns will be shown: Name, E-mail, and Type.

Otherwise, only one column will be shown: Value.

The user icon in the image above only appears when the choice list is related to the users table. When clicked, it pulls up information about the selected contact.

For more information, see Viewing Contact Details .

Related Topics

Viewing Contact Details


Viewing Contact Details

While using web views, sometimes analysts require additional information about a particular user, contact, company, or VAR. Issue Tracker offers a way to view this information in one click, simply by interacting with the field that houses the contact.

In the image above, the name of the contact is accompanied by a small icon [image] - the analyst can simply click on the icon, and bring up related information.

A select set of contact-related fields are prominently displayed at the top of the dialog, including the contact's phone numbers, addresses, e-mail, and related company. Should the analyst desire to view information relating to the company specifically, they can simply click on the name, and another contact details dialog will appear with the information.

A profile photo is also visible on the page, as each contact in Issue Tracker can have a profile photo assigned to them. The profile photo seen in the image above is the default, shown whenever a contact does not have a profile photo assigned to them. For more information, see Assigning Profile Photos to Contacts .

To the right of the contact fields are three distinct buttons:

Show Address On Map

When clicked, Issue Tracker will launch a new window that will automatically show the contact's address on Google Maps.

Create New Contacts

When clicked, the Users & Contacts view will appear in a new window, allowing the analyst to easily create a new contact.

Update Current Contact

When clicked, the Users & Contacts view will appear in a new window, and it will automatically have the right contact loaded. The analyst can then make changes to the contact information, perhaps bringing it up to date.

Finally, at the bottom of the dialog is a compact summary list - which, by default, shows All Open Issues related to the contact. The analyst can easily change this query by clicking the name of the current query, and selecting another from the list that appears. Once the desired query has been selected, selecting one of the issues listed is straight-forward - one can either double-click any row, or click the Load button that appears. The dialog also supports paging, allowing analysts to skip groups of issues if needed.

Notes

Only single-choice fields whose choice values reside in the user table are eligible for the Contact Details button.

For more information, see Configuring Choice Lists .

Use of the Select from Dialog Web View Field Attribute is recommended, but not required to have a Contact Details button.

For more information, see Configuring Choice Lists .

This Contact Details dialog is nearly identical to the Incoming Call dialog that appears when VOIP Integration is enabled.

For more information, see Integration with VOIP Telephone Systems .

Related Topics

AutoSuggest

Integration with VOIP Telephone Systems

Configuring Choice Lists